# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory RHSA-2009:0005 ()
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63110);
 script_cve_id("CVE-2005-0706");
 script_version ("$");
 name["english"] = "RedHat Security Advisory RHSA-2009:0005";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory RHSA-2009:0005.

GNOME VFS is the GNOME virtual file system. It provides a modular
architecture and ships with several modules that implement support for
various local and remote file systems as well as numerous protocols,
including HTTP, FTP, and others.

A buffer overflow flaw was discovered in the GNOME virtual file system when
handling data returned by CDDB servers. If a user connected to a malicious
CDDB server, an attacker could use this flaw to execute arbitrary code on
the victim's machine. (CVE-2005-0706)

Users of gnome-vfs and gnome-vfs2 are advised to upgrade to these updated
packages, which contain a backported patch to correct this issue. All
running GNOME sessions must be restarted for the update to take effect.

Solution:
Please note that this update is available via
Red Hat Network.  To use Red Hat Network, launch the Red
Hat Update Agent with the following command: up2date

http://rhn.redhat.com/errata/RHSA-2009-0005.html
http://www.redhat.com/security/updates/classification/#moderate

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Redhat Security Advisory RHSA-2009:0005";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"gnome-vfs", rpm:"gnome-vfs~1.0.1~18.2", rls:"RHENT_2.1")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"gnome-vfs-devel", rpm:"gnome-vfs-devel~1.0.1~18.2", rls:"RHENT_2.1")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"gnome-vfs2", rpm:"gnome-vfs2~2.2.5~2E.3.3", rls:"RHENT_3")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"gnome-vfs2-debuginfo", rpm:"gnome-vfs2-debuginfo~2.2.5~2E.3.3", rls:"RHENT_3")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"gnome-vfs2-devel", rpm:"gnome-vfs2-devel~2.2.5~2E.3.3", rls:"RHENT_3")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"gnome-vfs2", rpm:"gnome-vfs2~2.8.2~8.7.el4_7.2", rls:"RHENT_4")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"gnome-vfs2-debuginfo", rpm:"gnome-vfs2-debuginfo~2.8.2~8.7.el4_7.2", rls:"RHENT_4")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"gnome-vfs2-devel", rpm:"gnome-vfs2-devel~2.8.2~8.7.el4_7.2", rls:"RHENT_4")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"gnome-vfs2-smb", rpm:"gnome-vfs2-smb~2.8.2~8.7.el4_7.2", rls:"RHENT_4")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
