# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory RHSA-2009:0478 ()
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63973);
 script_cve_id("CVE-2009-1492", "CVE-2009-1493");
 script_version ("$");
 name["english"] = "RedHat Security Advisory RHSA-2009:0478";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory RHSA-2009:0478.

Adobe Reader allows users to view and print documents in Portable Document
Format (PDF).

Two flaws were discovered in Adobe Reader's JavaScript API. A PDF file
containing malicious JavaScript instructions could cause Adobe Reader to
crash or, potentially, execute arbitrary code as the user running Adobe
Reader. (CVE-2009-1492, CVE-2009-1493)

All Adobe Reader users should install these updated packages. They contain
Adobe Reader version 8.1.5, which is not vulnerable to these issues. All
running instances of Adobe Reader must be restarted for the update to take
effect.

Solution:
Please note that this update is available via
Red Hat Network.  To use Red Hat Network, launch the Red
Hat Update Agent with the following command: up2date

http://rhn.redhat.com/errata/RHSA-2009-0478.html
http://www.adobe.com/support/security/bulletins/apsb09-06.html
http://www.redhat.com/security/updates/classification/#critical

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Redhat Security Advisory RHSA-2009:0478";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"acroread", rpm:"acroread~8.1.5~2", rls:"RHENT_3")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"acroread-plugin", rpm:"acroread-plugin~8.1.5~2", rls:"RHENT_3")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"acroread", rpm:"acroread~8.1.5~1.el4", rls:"RHENT_4")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"acroread-plugin", rpm:"acroread-plugin~8.1.5~1.el4", rls:"RHENT_4")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"acroread", rpm:"acroread~8.1.5~1.el5", rls:"RHENT_5")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"acroread-plugin", rpm:"acroread-plugin~8.1.5~1.el5", rls:"RHENT_5")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
