# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 015-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53778);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 015-1 (sash)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to sash
announced via advisory DSA 015-1.

Versions of sash prior to 3.4-4 did not clone /etc/shadow properly
which lead into readable files for anybody.  This was fixed by the
Debian maintainer.

This package only exists in stable, so if you are running unstable you
won't see a bugfix unless you use the resources from the bottom of
this message to the proper configuration.

We recommend you upgrade your sash package immediately.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20015-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 015-1 (sash)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"sash", ver:"3.4-6", rls:"DEB2.2")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
