# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 080-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53571);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 080-1 (htdig)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to htdig
announced via advisory DSA 080-1.

Nergal reported a vulnerability in the htsearch program which is
distributed as part of the ht://Dig package, a indexing and searching
system for small domains or intranets.  Using former versions it was
able to pass the parameter `-c' to the cgi program in order to use a
different configuration file.

A malicious user could point htsearch to a file like `/dev/zero' and
let the server run in an endless loop, trying to read config
parameters.  If the user has write permission on the server he can
point the program to it and retrive any file readable by the webserver
user id.

This problem has been fixed in version of 3.1.5-2.1 for Debian
GNU/Linux 2.2.

We recommend that you upgrade your htdig package immediately.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20080-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 080-1 (htdig)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"htdig-doc", ver:"3.1.5-2.0potato.1", rls:"DEB2.2")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"htdig", ver:"3.1.5-2.0potato.1", rls:"DEB2.2")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
