# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 092-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53832);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 092-1 (wmtv)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to wmtv
announced via advisory DSA 092-1.

Nicolas Boullis found a nasty security problem in the wmtv (a
dockable video4linux tv player for windowmaker) package as
distributed in Debian GNU/Linux 2.2.

wmtv can optionally run a command if you double-click on the tv
window. This command can be specified using the -e command-line
option. However since wmtv is installed suid root this command
was also run as root, which gives local users a very simple way
to get root access.

This has been fixed in version 0.6.5-2potato1 by dropping root
privileges before executing the command. We recommend that you
upgrade your wmtv package immediately.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20092-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 092-1 (wmtv)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"wmtv", ver:"0.6.5-2potato1", rls:"DEB2.2")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
