# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 097-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53385);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 097-1 (exim)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to exim
announced via advisory DSA 097-1.

Patrice Fournier discovered a bug in all versions of Exim older than
Exim 3.34 and Exim 3.952.

The Exim maintainer, Philip Hazel, writes about this issue: The
problem exists only in the case of a run time configuration which
directs or routes an address to a pipe transport without checking the
local part of the address in any way.  This does not apply, for
example, to pipes run from alias or forward files, because the local
part is checked to ensure that it is the name of an alias or of a
local user.  The bug's effect is that, instead of obeying the correct
pipe command, a broken Exim runs the command encoded in the local part
of the address.

This problem has been fixed in Exim version 3.12-10.2 for the stable
distribution Debian GNU/Linux 2.2 and 3.33-1.1 for the testing and
unstable distribution.  We recommend that you upgrade your exim


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20097-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 097-1 (exim)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"exim", ver:"3.12-10.2", rls:"DEB2.2")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"eximon", ver:"3.12-10.2", rls:"DEB2.2")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
