# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1006-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56456);
 script_bugtraq_id(14935);
 script_cve_id("CVE-2005-3081");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1006-1 (wzdftpd)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to wzdftpd
announced via advisory DSA 1006-1.

kcope discovered that the wzdftpd FTP server lacks input sanitising
for the SITE command, which may lead to the execution of arbitrary
shell commands.

The old stable distribution (woody) does not contain wzdftpd packages.

For the stable distribution (sarge) this problem has been fixed in
version 0.5.2-1.1sarge1.

For the unstable distribution (sid) this problem has been fixed in
version 0.5.5-1.

We recommend that you upgrade your wzdftpd package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201006-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1006-1 (wzdftpd)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"wzdftpd", ver:"0.5.2-1.1sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wzdftpd-back-mysql", ver:"0.5.2-1.1sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wzdftpd-dev", ver:"0.5.2-1.1sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wzdftpd-mod-perl", ver:"0.5.2-1.1sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wzdftpd-mod-tcl", ver:"0.5.2-1.1sarge1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
