# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1028-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56532);
 script_bugtraq_id(17415);
 script_cve_id("CVE-2006-0053");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1028-1 (libimager-perl)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to libimager-perl
announced via advisory DSA 1028-1.

Kjetil Kjernsmo discovered a bug in libimager-perl, a Perl extension
for generating 24 bit images, which can lead to a segmentation fault
if it operates on 4-channel JPEG images.

The old stable distribution (woody) does not contain this package.

For the stable distribution (sarge) this problem has been fixed in
version perl_0.44-1sarge1.

For the unstable distribution (sid) this problem has been fixed in
version 5.0-1.

We recommend that you upgrade your libimager-perl package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201028-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1028-1 (libimager-perl)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"libimager-perl", ver:"0.44-1sarge1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
