# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 104-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53838);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 104-1 (cipe)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to cipe
announced via advisory DSA 104-1.

Larry McVoy found a bug in the packet handling code for the CIPE
VPN package: it did not check if a received packet was too short
and could crash.

This has been fixed in version 1.3.0-3, and we recommend that you
upgrade your cipe packages immediately.

Please note that the package only contains the needed kernel patch,
you will have to build the kernel modules for your kernel with the
updated source from the cipe-source package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20104-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 104-1 (cipe)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"cipe-common", ver:"1.3.0-3", rls:"DEB2.2")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"cipe-source", ver:"1.3.0-3", rls:"DEB2.2")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
