# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1074-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56803);
 script_cve_id("CVE-2006-1655");
 script_bugtraq_id(17365);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1074-1 (mpg123)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to mpg123
announced via advisory DSA 1074-1.

A. Alejandro Hernndez discovered a vulnerability in mpg123, a
command-line player for MPEG audio files. Insufficient validation of
MPEG 2.0 layer 3 files results in several buffer overflows.

For the stable distribution (sarge) these problems have been fixed in
version 0.59r-20sarge1.

For the unstable distribution (sid) these problems have been fixed in
version 0.59r-22.

We recommend that you upgrade your mpg123 packages.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201074-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1074-1 (mpg123)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"mpg123", ver:"0.59r-20sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"mpg123-esd", ver:"0.59r-20sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"mpg123-nas", ver:"0.59r-20sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"mpg123-oss-3dnow", ver:"0.59r-20sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"mpg123-oss-i486", ver:"0.59r-20sarge1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
