# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1090-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56890);
 script_cve_id("CVE-2006-2447");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1090-1 (spamassassin)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to spamassassin
announced via advisory DSA 1090-1.

A vulnerability has been discoverd in SpamAssassin, a Perl-based spam
filter using text analysis, that can allow remote attackers to execute
arbitrary commands.  This problem only affects systems where spamd is
reachable via the internet and used with vpopmail virtual users, via
the -v / --vpopmail switch, and with the -P / --paranoid
switch which is not the default setting on Debian.

The old stable distribution (woody) is not affected by this problem.

For the stable distribution (sarge) this problem has been fixed in
version 3.0.3-2sarge1.

For the volatile archive for the stable distribution (sarge) this
problem has been fixed in version 3.1.0a-0volatile3.

For the unstable distribution (sid) this problem has been fixed in
version 3.1.3-1.

We recommend that you upgrade your spamd package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201090-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1090-1 (spamassassin)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"spamassassin", ver:"3.0.3-2sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"spamc", ver:"3.0.3-2sarge1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
