# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1104-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(57070);
 script_cve_id("CVE-2006-2198", "CVE-2006-2199", "CVE-2006-3117");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1104-1 (openoffice.org)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to openoffice.org
announced via advisory DSA 1104-1.

Several vulnerabilities have been discovered in OpenOffice.org, a free
office suite.  The Common Vulnerabilities and Exposures Project
identifies the following problems:

CVE-2006-2198

It turned out to be possible to embed arbitrary BASIC macros in
documents in a way that OpenOffice.org does not see them but
executes them anyway without any user interaction.

CVE-2006-2199

It is possible to evade the Java sandbox with specially crafted
Java applets.

CVE-2006-3117

Loading malformed XML documents can cause buffer overflows and
cause a denial of service or execute arbitrary code.

This update has the Mozilla component disabled, so that the
Mozilla/LDAP adressbook feature won't work anymore.  It didn't work on
anything else than i386 on sarge either.

The old stable distribution (woody) does not contain OpenOffice.org
packages.

For the stable distribution (sarge) this problem has been fixed in
version 1.1.3-9sarge2.

For the unstable distribution (sid) this problem has been fixed in
version 2.0.3-1.

We recommend that you upgrade your OpenOffice.org packages.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201104-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1104-1 (openoffice.org)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"openoffice.org-l10n-af", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-ar", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-ca", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-cs", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-cy", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-da", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-de", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-el", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-en", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-es", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-et", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-eu", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-fi", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-fr", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-gl", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-he", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-hi", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-hu", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-it", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-ja", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-kn", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-ko", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-lt", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-nb", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-nl", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-nn", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-ns", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-pl", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-pt-br", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-pt", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-ru", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-sk", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-sl", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-sv", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-th", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-tn", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-tr", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-zh-cn", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-zh-tw", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-l10n-zu", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-mimelnk", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-thesaurus-en-us", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"ttf-opensymbol", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-bin", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-dev", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-evolution", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-gtk-gnome", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"openoffice.org-kde", ver:"1.1.3-9sarge2", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
