# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1164-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(57332);
 script_cve_id("CVE-2006-4434");
 script_bugtraq_id(19714);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1164-1 (sendmail)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to sendmail
announced via advisory DSA 1164-1.

A programming error has been discovered in sendmail, an alternative
mail transport agent for Debian, that could allow a remote attacker to
crash the sendmail process by sending a specially crafted email
message.

Please note that in order to install this update you also need
libsasl2 library from proposed updates as outlined in DSA 1155-2.

For the stable distribution (sarge) this problem has been fixed in
version 8.13.3-3sarge3

For the unstable distribution (sid) this problem has been fixed in
version 8.13.8-1

We recommend that you upgrade your sendmail package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201164-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1164-1 (sendmail)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"sendmail-base", ver:"8.13.4-3sarge3", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"sendmail-cf", ver:"8.13.4-3sarge3", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"sendmail-doc", ver:"8.13.4-3sarge3", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"sendmail", ver:"8.13.4-3sarge3", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libmilter-dev", ver:"8.13.4-3sarge3", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libmilter0", ver:"8.13.4-3sarge3", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"rmail", ver:"8.13.4-3sarge3", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"sendmail-bin", ver:"8.13.4-3sarge3", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"sensible-mda", ver:"8.13.4-3sarge3", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
