# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1166-2
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(57512);
 script_cve_id("CVE-2006-3814");
 script_bugtraq_id(20060723);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1166-2 (cheesetracker (0.9.9-1sarge1))";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to cheesetracker (0.9.9-1sarge1)
announced via advisory DSA 1166-2.

This update to DSA-1166 adds the architectures which were missing from
the previous advisory.

Luigi Auriemma discovered a buffer overflow in the loading component
of cheesetracker, a sound module tracking program, which could allow a
maliciously constructed input file to execute arbitary code.

For the stable distribution (sarge) this problem has been fixed in
version 0.9.9-1sarge1.

For the unstable distribution (sid) this problem has been fixed in
version 0.9.9-6.

We recommend that you upgrade your cheesetracker package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201166-2

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1166-2 (cheesetracker (0.9.9-1sarge1))";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"cheesetracker", ver:"0.9.9-1sarge1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
