# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1174-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(57359);
 script_cve_id("CVE-2006-4339");
 script_bugtraq_id(19849);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1174-1 (openssl096)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to openssl096
announced via advisory DSA 1174-1.

Daniel Bleichenbacher discovered a flaw in OpenSSL cryptographic package
that could allow an attacker to generate a forged signature that OpenSSL
will accept as valid.

For the stable distribution (sarge) this problem has been fixed in
version 0.9.6m-1sarge2

This package exists only for compatibility with older software, and is
not present in the unstable or testing branches of Debian.

We recommend that you upgrade your openssl packages.  Note that services

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201174-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1174-1 (openssl096)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"libssl0.9.6", ver:"0.9.6m-1sarge2", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
