# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1284-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(58336);
 script_cve_id("CVE-2007-1320", "CVE-2007-1321", "CVE-2007-1322", "CVE-2007-1323", "CVE-2007-1366");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1284-1 (qemu)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to qemu
announced via advisory DSA 1284-1.

Several vulnerabilities have been discovered in the QEMU processor
emulator, which may lead to the execution of arbitrary code or denial of
service. The Common Vulnerabilities and Exposures project identifies the
following problems:

CVE-2007-1320
Tavis Ormandy discovered that a memory management routine of the Cirrus
video driver performs insufficient bounds checking, which might
allow the execution of arbitrary code through a heap overflow.

CVE-2007-1321
Tavis Ormandy discovered that the NE2000 network driver and the socket
code perform insufficient input validation, which might allow the
execution of arbitrary code through a heap overflow.

CVE-2007-1322
Tavis Ormandy discovered that the icebp instruction can be abused to
terminate the emulation, resulting in denial of service.

CVE-2007-1323
Tavis Ormandy discovered that the NE2000 network driver and the socket
code perform insufficient input validation, which might allow the
execution of arbitrary code through a heap overflow.

CVE-2007-1366
Tavis Ormandy discovered that the aam instruction can be abused to
crash qemu through a division by zero, resulting in denial of
service.

For the oldstable distribution (sarge) these problems have been fixed in
version 0.6.1+20050407-1sarge1.

For the stable distribution (etch) these problems have been fixed
in version 0.8.2-4etch1.

For the unstable distribution (sid) these problems will be fixed soon.

We recommend that you upgrade your qemu packages.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201284-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1284-1 (qemu)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"qemu", ver:"0.6.1+20050407-1sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"qemu", ver:"0.8.2-4etch1", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
