# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1298-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(58348);
 script_cve_id("CVE-2007-2524");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1298-1 (otrs2)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to otrs2
announced via advisory DSA 1298-1.

It was discovered that the Open Ticket Request System performs
insufficient input sanitising for the Subaction parameter, which allows
the injection of arbitrary web script code.

The oldstable distribution (sarge) doesn't include otrs2.

For the stable distribution (etch) this problem has been fixed in
version 2.0.4p01-18.

The unstable distribution (sid) isn't affected by this problem.

We recommend that you upgrade your otrs2 package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201298-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1298-1 (otrs2)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"otrs2", ver:"2.0.4p01-18", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
