# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1331-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(58452);
 script_cve_id("CVE-2006-4486", "CVE-2006-0207", "CVE-2007-1864");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1331-1 (php4)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to php4
announced via advisory DSA 1331-1.

Several remote vulnerabilities have been discovered in PHP, a
server-side, HTML-embedded scripting language, which may lead to the
execution of arbitrary code. The Common Vulnerabilities and Exposures
project identifies the following problems:

CVE-2006-0207
Stefan Esser discovered HTTP response splitting vulnerabilities
in the session extension. This only affects Debian 3.1 (Sarge).

CVE-2006-4486
Stefan Esser discovered that an integer overflow in memory allocation
routines allows the bypass of memory limit restrictions. This only
affects Debian 3.1 (Sarge) on 64 bit architectures.

CVE-2007-1864
It was discovered that a buffer overflow in the xmlrpc extension
allows the execution of arbitrary code.

For the oldstable distribution (sarge) these problems have been fixed
in version 4.3.10-22.

For the stable distribution (etch) these problems have been fixed
in version 4.4.4-8+etch4.

The unstable distribution (sid) no longer contains php4.

We recommend that you upgrade your PHP packages. Sarge packages for

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201331-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1331-1 (php4)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"php4-pear", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libapache-mod-php4", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libapache2-mod-php4", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-cgi", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-cli", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-common", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-curl", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-dev", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-domxml", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-gd", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-imap", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-ldap", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-mcal", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-mhash", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-mysql", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-odbc", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-recode", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-snmp", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-sybase", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-xslt", ver:"4.3.10-22", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-pear", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libapache-mod-php4", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libapache2-mod-php4", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-cgi", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-cli", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-common", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-curl", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-dev", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-domxml", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-gd", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-imap", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-ldap", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-mcal", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-mcrypt", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-mhash", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-mysql", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-odbc", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-pgsql", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-pspell", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-recode", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-snmp", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-sybase", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-xslt", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"php4-interbase", ver:"4.4.4-8+etch4", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
