# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1421-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(59956);
 script_cve_id("CVE-2007-5742");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1421-1 (wesnoth)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to wesnoth
announced via advisory DSA 1421-1.

A vulnerability has been discovered in Battle for Wesnoth that allows
remote attackers to read arbitrary files the user running the client
has access to on the machine running the game client.

For the old stable distribution (sarge) this problem has been fixed in
version 0.9.0-7.

For the stable distribution (etch) this problem has been fixed in
version 1.2-3.

For the stable backports distribution (etch-backports) this problem
has been fixed in version 1.2.8-1~bpo40+1.

For the unstable distribution (sid) this problem has been fixed in
version 1.2.8-1.

For the experimental distribution this problem has been fixed in
version 1.3.12-1.

We recommend that you upgrade your wesnoth package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201421-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1421-1 (wesnoth)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"wesnoth-data", ver:"0.9.0-7", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-ei", ver:"0.9.0-7", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-httt", ver:"0.9.0-7", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-music", ver:"0.9.0-7", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-sotbe", ver:"0.9.0-7", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-tdh", ver:"0.9.0-7", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-trow", ver:"0.9.0-7", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth", ver:"0.9.0-7", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-editor", ver:"0.9.0-7", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-server", ver:"0.9.0-7", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-data", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-ei", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-httt", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-music", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-trow", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-tsg", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-ttb", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-utbs", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-editor", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wesnoth-server", ver:"1.2-3", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
