# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1545-1 (rsync)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(60791);
 script_cve_id("CVE-2008-1720");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1545-1 (rsync)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to rsync
announced via advisory DSA 1545-1.

Sebastian Krahmer discovered that an integer overflow in rsync's code
for handling extended attributes may lead to arbitrary code execution.

For the stable distribution (etch), this problem has been fixed in
version 2.6.9-2etch2.

For the unstable distribution (sid), this problem has been fixed in
version 3.0.2-1.

We recommend that you upgrade your rsync package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201545-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1545-1 (rsync)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"rsync", ver:"2.6.9-2etch2", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
