# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1550-1 (suphp)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(60797);
 script_cve_id("CVE-2008-1614");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1550-1 (suphp)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to suphp
announced via advisory DSA 1550-1.

It was discovered that suphp, an Apache module to run PHP scripts with
owner permissions handles symlinks insecurely, which may lead to
privilege escalation by local users.

For the stable distribution (etch), this problem has been fixed in
version 0.6.2-1+etch0.

For the unstable distribution (sid), this problem will be fixed soon.

We recommend that you upgrade your suphp packages.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201550-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1550-1 (suphp)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"libapache-mod-suphp", ver:"0.6.2-1+etch0", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"suphp-common", ver:"0.6.2-1+etch0", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libapache2-mod-suphp", ver:"0.6.2-1+etch0", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
