# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1593-1 (tomcat5.5)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(61110);
 script_cve_id("CVE-2008-1947");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1593-1 (tomcat5.5)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to tomcat5.5
announced via advisory DSA 1593-1.

Tt was discovered that the Host Manager web application performed
insufficient input sanitising, which could lead to cross-site scripting.

For the stable distribution (etch), this problem has been fixed in
version 5.5.20-2etch3.

For the unstable distribution (sid), this problem has been fixed in
version 5.5.26-3.

We recommend that you upgrade your tomcat5.5 packages.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201593-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1593-1 (tomcat5.5)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"tomcat5.5-admin", ver:"5.5.20-2etch3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libtomcat5.5-java", ver:"5.5.20-2etch3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"tomcat5.5-webapps", ver:"5.5.20-2etch3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"tomcat5.5", ver:"5.5.20-2etch3", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
