# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1624-1 (libxslt)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(61376);
 script_cve_id("CVE-2008-2935");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1624-1 (libxslt)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to libxslt
announced via advisory DSA 1624-1.

Chris Evans discovered that a buffer overflow in the RC4 functions of
libexslt may lead to the execution of arbitrary code.

For the stable distribution (etch), this problem has been fixed in
version 1.1.19-3.

For the unstable distribution (sid), this problem will be fixed soon.

We recommend that you upgrade your libxslt packages.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201624-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1624-1 (libxslt)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"xsltproc", ver:"1.1.19-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libxslt1-dbg", ver:"1.1.19-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libxslt1-dev", ver:"1.1.19-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libxslt1.1", ver:"1.1.19-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"python-libxslt1", ver:"1.1.19-3", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
