# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1659-1 (libspf2)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(61781);
 script_cve_id("CVE-2008-2469");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1659-1 (libspf2)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to libspf2
announced via advisory DSA 1659-1.

Dan Kaminsky discovered that libspf2, an implementation of the Sender
Policy Framework (SPF) used by mail servers for mail filtering, handles
malformed TXT records incorrectly, leading to a buffer overflow
condition (CVE-2008-2469).

Note that the SPF configuration template in Debian's Exim configuration
recommends to use libmail-spf-query-perl, which does not suffer from
this issue.

For the stable distribution (etch), this problem has been fixed in
version 1.2.5-4+etch1.

For the testing distribution (lenny), this problem has been fixed in
version 1.2.5.dfsg-5+lenny1.

For the unstable distribution (sid), this problem will be fixed soon.

We recommend that you upgrade your libspf2 package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201659-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1659-1 (libspf2)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"libspf2-2", ver:"1.2.5-4+etch1", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"spfquery", ver:"1.2.5-4+etch1", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libspf2-dev", ver:"1.2.5-4+etch1", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
