# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1694-2 (xterm)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63100);
 script_cve_id("CVE-2008-2383");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1694-2 (xterm)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to xterm
announced via advisory DSA 1694-2.

The xterm update in DSA-1694-1 disabled font changing as a precaution.
However, users reported that they need this feature.  The update in this
DSA makes font shifting through escape sequences configurable, using a
new allowFontOps X resource, and unconditionally enables font changing
through keyboard sequences.

For the stable distribution (etch), this problem has been fixed in
version 222-1etch4.

For the testing distribution (lenny), this problem has been fixed in
version 235-2.

For the unstable distribution (sid), this problem has been fixed in
version 238-2.

We recommend that you upgrade your xterm package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201694-2

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1694-2 (xterm)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"xterm", ver:"222-1etch4", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
