# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 171-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53427);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 171-1 (fetchmail, fetchmail-ssl)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to fetchmail, fetchmail-ssl
announced via advisory DSA 171-1.

Stefan Esser discovered several buffer overflows and a broken boundary
check within fetchmail.  If fetchmail is running in multidrop mode
these flaws can be used by remote attackers to crash it or to execute
arbitrary code under the user id of the user running fetchmail.
Depending on the configuration this even allows a remote root
compromise.

These problems have been fixed in version 5.9.11-6.1 for both
fetchmail and fetchmail-ssl for the current stable distribution
(woody), in version 5.3.3-4.2 for fetchmail for the old stable
distribution (potato) and in version 6.1.0-1 for both fetchmail and
fetchmail-ssl for the unstable distribution (sid).  There are no
fetchmail-ssl packages for the old stable distribution (potato) and
thus no updates.

We recommend that you upgrade your fetchmail packages immediately.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20171-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 171-1 (fetchmail, fetchmail-ssl)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"fetchmailconf", ver:"5.3.3-4.2", rls:"DEB2.2")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"fetchmail", ver:"5.3.3-4.2", rls:"DEB2.2")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"fetchmail-common", ver:"5.9.11-6.1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"fetchmailconf", ver:"5.9.11-6.1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"fetchmail", ver:"5.9.11-6.1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"fetchmail-ssl", ver:"5.9.11-6.1", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
