# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1776-1 (slurm-llnl)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63887);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1776-1 (slurm-llnl)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to slurm-llnl
announced via advisory DSA 1776-1.

It was discovered that the Simple Linux Utility for Resource Management
(SLURM), a cluster job management and scheduling system, did not drop
the supplemental groups. These groups may be system groups with elevated
privileges, which may allow a valid SLURM user to gain elevated privileges.

The old stable distribution (etch) does not contain a slurm-llnl package.

For the stable distribution (lenny), this problem has been fixed in
version 1.3.6-1lenny3.

For the unstable distribution (sid), this problem has been fixed in
version 1.3.15-1.

We recommend that you upgrade your slurm-llnl package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201776-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1776-1 (slurm-llnl)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"slurm-llnl-doc", ver:"1.3.6-1lenny3", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libpmi0-dev", ver:"1.3.6-1lenny3", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"slurm-llnl", ver:"1.3.6-1lenny3", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"slurm-llnl-slurmdbd", ver:"1.3.6-1lenny3", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libpmi0", ver:"1.3.6-1lenny3", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"slurm-llnl-sview", ver:"1.3.6-1lenny3", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libslurm13", ver:"1.3.6-1lenny3", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"slurm-llnl-basic-plugins-dev", ver:"1.3.6-1lenny3", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libslurm13-dev", ver:"1.3.6-1lenny3", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"slurm-llnl-basic-plugins", ver:"1.3.6-1lenny3", rls:"DEB5.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
