# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1780-1 (libdbd-pg-perl)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63933);
 script_cve_id("CVE-2009-0663", "CVE-2009-1341");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 1780-1 (libdbd-pg-perl)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to libdbd-pg-perl
announced via advisory DSA 1780-1.

Two vulnerabilities have been discovered in libdbd-pg-perl, the DBI
driver module for PostgreSQL database access (DBD::Pg).

CVE-2009-0663

A heap-based buffer overflow may allow attackers to execute arbitrary
code through applications which read rows from the database using the
pg_getline and getline functions.  (More common retrieval methods,
such as selectall_arrayref and fetchrow_array, are not affected.)

CVE-2009-1341

A memory leak in the routine which unquotes BYTEA values returned from
the database allows attackers to cause a denial of service.

For the old stable distribution (etch), these problems have been fixed
in version 1.49-2+etch1.

For the stable distribution (lenny) and the unstable distribution (sid),
these problems have been fixed in version 2.1.3-1 before the release of
lenny.

We recommend that you upgrade your libdbd-pg-perl package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201780-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 1780-1 (libdbd-pg-perl)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"libdbd-pg-perl", ver:"1.49-2+etch1", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
