# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 202-2
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53448);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 202-2 (im)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to im
announced via advisory DSA 202-2.

Despite popular belief, the IM packages are not architecture
independent, since the number of the fsync syscal is detected on
build time and this number differs on Linux architectures and
other operating systems.  As a result of this the optional feature
``NoSync=no'' does only work on the architecture the package was
built on.  As usual, we are including the text of the original
advisory DSA 202-1:

Tatsuya Kinoshita discovered that IM, which contains interface
commands and Perl libraries for E-mail and NetNews, creates
temporary files insecurely.

1. The impwagent program creates a temporary directory in an
insecure manner in /tmp using predictable directory names
without checking the return code of mkdir, so it's possible to
seize a permission of the temporary directory by local access
as another user.

2. The immknmz program creates a temporary file in an insecure
manner in /tmp using a predictable filename, so an attacker
with local access can easily create and overwrite files as
another user.

This problem has been fixed in version 141-18.2 for the current
stable distribution (woody), in version 133-2.3 of the old stable
distribution (potato).  A correection is expected for the unstable
distribution (sid) soon.

We recommend that you upgrade your IM package.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20202-2

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 202-2 (im)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"im", ver:"133-2.3", rls:"DEB2.2")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"im", ver:"141-18.2", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
