# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 223-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53303);
 script_bugtraq_id(6549);
 script_cve_id("CVE-2002-1390");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 223-1 (geneweb)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to geneweb
announced via advisory DSA 223-1.

A security issue has been discovered by Daniel de Rauglaudre, upstream
author of geneweb, a genealogical software with web interface.  It
runs as a daemon on port 2317 by default.  Paths are not properly
sanitized, so a carefully crafted URL lead geneweb to read and display
arbitrary files of the system it runs on.

For the current stable distribution (woody) this problem has been
fixed in version 4.06-2.

The old stable distribution (potato) is not affected.

For the unstable distribution (sid) this problem has been
fixed in version 4.09-1.

We recommend that you upgrade your geneweb package.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20223-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 223-1 (geneweb)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"geneweb", ver:"4.06-2", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"gwtp", ver:"4.06-2", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
