# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 296-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53368);
 script_cve_id("CVE-2003-0204");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 296-1 (kdebase)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to kdebase
announced via advisory DSA 296-1.

The KDE team discoverd a vulnerability in the way KDE uses Ghostscript
software for processing of PostScript (PS) and PDF files.  An attacker
could provide a malicious PostScript or PDF file via mail or websites
that could lead to executing arbitrary commands under the privileges
of the user viewing the file or when the browser generates a directory
listing with thumbnails.

For the stable distribution (woody) this problem has been fixed in
version 2.2.2-14.4 of kdebase and associated packages.

The old stable distribution (potato) is not affected since it does not
contain KDE.

For the unstable distribution (sid) this problem will be fixed soon.

For the unofficial backport of KDE 3.1.1 to woody by Ralf Nolden on
download.kde.org, this problem has been fixed in version 3.1.1-0woody3
of kdebase.  Using the normal backport line for apt-get you will get
the update:

deb http://download.kde.org/stable/latest/Debian stable main

We recommend that you upgrade your kdebase and associated packages.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20296-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 296-1 (kdebase)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"kdebase-doc", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kdewallpapers", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kate", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kdebase", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kdebase-audiolibs", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kdebase-dev", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kdebase-libs", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kdm", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"konqueror", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"konsole", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kscreensaver", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libkonq-dev", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libkonq3", ver:"2.2.2-14.4", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
