# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 305-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53597);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 305-1 (sendmail)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to sendmail
announced via advisory DSA 305-1.

Paul Szabo discovered bugs in three scripts included in the sendmail
package where temporary files were created insecurely (expn,
checksendmail and doublebounce.pl).  These bugs could allow an
attacker to gain the privileges of a user invoking the script
(including root).

For the stable distribution (woody) these problems have been fixed in
version 8.12.3-6.4.

For the old stable distribution (potato) these problems have been fixed
in version 8.9.3-26.1.

For the unstable distribution (sid) these problems have been fixed in
version 8.12.9-2.

We recommend that you update your sendmail package.



Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20305-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 305-1 (sendmail)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"sendmail-doc", ver:"8.12.3-6.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libmilter-dev", ver:"8.12.3-6.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"sendmail", ver:"8.12.3-6.4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"sendmail", ver:"8.9.3-26.1", rls:"DEB2.2")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
