# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 477-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53707);
 script_cve_id("CVE-2004-0372");
 script_bugtraq_id(9939);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 477-1 (xine-ui)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to xine-ui
announced via advisory DSA 477-1.

Shaun Colley discovered a problem in xine-ui, the xine video player
user interface.  A script contained in the package to possibly remedy
a problem or report a bug does not create temporary files in a secure
fashion.  This could allow a local attacker to overwrite files with
the privileges of the user invoking xine.

This update also removes the bug reporting facility since bug reports
can't be processed upstream anymore.

For the stable distribution (woody) this problem has been fixed in
version 0.9.8-5.

For the unstable distribution (sid) this problem will be fixed soon.

We recommend that you upgrade your xine-ui package.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20477-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 477-1 (xine-ui)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"xine-ui", ver:"0.9.8-5.1", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
