# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 651-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53482);
 script_cve_id("CVE-2005-0094", "CVE-2005-0095");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 651-1 (squid)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to squid
announced via advisory DSA 651-1.

Several vulnerabilities have been discovered in Squid, the internet
object cache, the popular WWW proxy cache.  The Common Vulnerabilities
and Exposures Project identifies the following vulnerabilities:

CVE-2005-0094

infamous41md discovered a buffer overflow in the parser for
Gopher responses which will lead to memory corruption and usually
crash Squid.

CVE-2005-0095

infamous41md discovered an integer overflow in the receiver of
WCCP (Web Cache Communication Protocol) messages.  An attacker
could send a specially crafted UDP datagram that will cause Squid
to crash.

For the stable distribution (woody) these problems have been fixed in
version 2.4.6-2woody5.

For the unstable distribution (sid) these problems have been fixed in
version 2.5.7-4.

We recommend that you upgrade your squid package.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20651-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 651-1 (squid)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"squid", ver:"2.4.6-2woody5", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"squid-cgi", ver:"2.4.6-2woody5", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"squidclient", ver:"2.4.6-2woody5", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
