# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 654-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53487);
 script_cve_id("CVE-2004-1184", "CVE-2004-1185", "CVE-2004-1186");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 654-1 (enscript)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to enscript
announced via advisory DSA 654-1.

Erik Sjlund has discovered several security relevant problems in
enscript, a program to convert ASCII text into Postscript and other
formats.  The Common Vulnerabilities and Exposures project identifies
the following vulnerabilities:

CVE-2004-1184

Unsanitised input can cause the execution of arbitrary commands
via EPSF pipe support.  This has been disabled, also upstream.

CVE-2004-1185

Due to missing sanitising of filenames it is possible that a
specially crafted filename can cause arbitrary commands to be
executed.

CVE-2004-1186

Multiple buffer overflows can cause the program to crash.

Usually, enscript is only run locally, but since it is executed inside
of viewcvs some of the problems mentioned above can easily be turned
into a remote vulnerability.

For the stable distribution (woody) these problems have been fixed in
version 1.6.3-1.3.

For the unstable distribution (sid) these problems have been fixed in
version 1.6.4-6.

We recommend that you upgrade your enscript package.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20654-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 654-1 (enscript)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"enscript", ver:"1.6.3-1.3", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
