# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 734-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(54003);
 script_cve_id("CVE-2005-1269", "CVE-2005-1934");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 734-1 (gaim)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to gaim
announced via advisory DSA 734-1.

Two denial of service problems have been discovered in Gaim, a
multi-protocol instant messaging client.  The Common Vulnerabilities
and Exposures project identifies the following problems:

CVE-2005-1269
A malformed Yahoo filename can result in a crash of the application.

CVE-2005-1934
A malformed MSN message can lead to incorrect memory allocation
resulting in a crash of the application.

The old stable distribution (woody) does not seem to be affected.

For the stable distribution (sarge) these problems have been fixed in
version 1.2.1-1.3.

For the unstable distribution (sid) these problems have been fixed in
version 1.3.1-1.

We recommend that you upgrade your gaim package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20734-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 734-1 (gaim)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"gaim-data", ver:"1.2.1-1.3", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"gaim", ver:"1.2.1-1.3", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"gaim-dev", ver:"1.2.1-1.3", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
