# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 743-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(54190);
 script_cve_id("CVE-2005-1545", "CVE-2005-1546");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 743-1 (ht)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to ht
announced via advisory DSA 743-1.

Several problems have been discovered in ht, a viewer, editor and
analyser for various executables, that may lead to the execution of
arbitrary code.  The Common Vulnerabilities and Exposures project
identifies the following problems:

CVE-2005-1545

Tavis Ormandy of the Gentoo Linux Security Team discovered an
integer overflow in the ELF parser.

CVE-2005-1546

The authors have discovered a buffer overflow in the PE parser.

For the old stable distribution (woody) these problems have been fixed
in version 0.5.0-1woody4.  For the HP Precision architecture, you are
advised not to use this package anymore since we cannot provide
updated packages as it doesn't compile anymore.

For the stable distribution (sarge) these problems have been fixed in
version 0.8.0-2sarge4.

For the unstable distribution (sid) these problems have been fixed in
version ht_0.8.0-3.

We recommend that you upgrade your ht package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20743-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 743-1 (ht)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"ht", ver:"0.5.0-1woody4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"ht", ver:"0.8.0-2sarge4", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
