# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 782-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(55163);
 script_bugtraq_id(14572);
 script_cve_id("CVE-2005-2547");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 782-1 (bluez-utils)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to bluez-utils
announced via advisory DSA 782-1.

Henryk Pltz discovered a vulnerability in bluez-utils, tools and
daemons for Bluetooth.  Due to missing input sanitising it is possible
for an attacker to execute arbitrary commands supplied as device name
from the remote device.

The old stable distribution (woody) is not affected by this problem
since it doesn't contain bluez-utils packages.

For the stable distribution (sarge) this problem has been fixed in
version 2.15-1.1.

For the unstable distribution (sid) this problem has been fixed in
version 2.19-1.

We recommend that you upgrade your bluez-utils package.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20782-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 782-1 (bluez-utils)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"bluez-bcm203x", ver:"2.15-1.1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"bluez-cups", ver:"2.15-1.1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"bluez-pcmcia-support", ver:"2.15-1.1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"bluez-utils", ver:"2.15-1.1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
