# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 826-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(55491);
 script_cve_id("CVE-2005-1766", "CVE-2005-2710");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 826-1 (helix-player)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to helix-player
announced via advisory DSA 826-1.

Multiple security vulnerabilities have been identified in the
helix-player media player that could allow an attacker to execute code
on the victim's machine via specially crafted network resources.

CVE-2005-1766
Buffer overflow in the RealText parser could allow remote code
execution via a specially crafted RealMedia file with a long
RealText string.

CVE-2005-2710
Format string vulnerability in Real HelixPlayer and RealPlayer 10
allows remote attackers to execute arbitrary code via the image
handle attribute in a RealPix (.rp) or RealText (.rt) file.

For the stable distribution (sarge), these problems have been fixed in
version 1.0.4-1sarge1

For the unstable distribution (sid), these problems have been fixed in
version 1.0.6-1

We recommend that you upgrade your helix-player package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20826-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 826-1 (helix-player)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"helix-player", ver:"1.0.4-1sarge1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
