# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 945-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56189);
 script_bugtraq_id(16278);
 script_cve_id("CVE-2005-3126");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 945-1 (antiword)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to antiword
announced via advisory DSA 945-1.

Javier Fernandez-Sanguino Pena from the Debian Security Audit project
discovered that two scripts in antiword, utilities to convert Word
files to text and Postscript, create a temporary file in an insecure
fashion.

For the old stable distribution (woody) these problems have been fixed in
version 0.32-2woody0.

For the stable distribution (sarge) these problems have been fixed in
version 0.35-2sarge1.

For the unstable distribution (sid) these problems have been fixed in
version 0.35-2.

We recommend that you upgrade your antiword package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20945-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 945-1 (antiword)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"antiword", ver:"0.32-2woody0", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"antiword", ver:"0.35-2sarge1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
