# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 951-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56214);
 script_cve_id("CVE-2005-4065", "CVE-2005-4644");
 script_bugtraq_id(15720,16198);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 951-1 (trac)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to trac
announced via advisory DSA 951-1.

Several vulnerabilies have been discovered in trac, an enhanced wiki
and issue tracking system for software development projects.  The
Common Vulnerabilities and Exposures project identifie the following
problems:

CVE-2005-4065

Due to missing input sanitising it is possible to inject arbitrary
SQL code into the SQL statements.

CVE-2005-4644

A cross-site scripting vulnerability has been discovered that
allows remote attackers to inject arbitrary web script or HTML.

The old stable distribution (woody) does not contain trac packages.

For the stable distribution (sarge) these problems have been fixed in
version 0.8.1-3sarge3.

For the unstable distribution (sid) these problems have been fixed in
version 0.9.3-1.

We recommend that you upgrade your trac package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20951-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 951-1 (trac)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"trac", ver:"0.8.1-3sarge3", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
