# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 989-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56395);
 script_bugtraq_id(16347);
 script_cve_id("CVE-2006-0402");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 989-1 (zoph)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to zoph
announced via advisory DSA 989-1.

Neil McBride discovered that Zoph, a web based photo management system
performs insufficient sanitising for input passed to photo searches, which
may lead to the execution of SQL commands through a SQL injection attack.

The old stable distribution (woody) does not contain zoph packages.

For the stable distribution (sarge) this problem has been fixed in
version 0.3.3-12sarge1.

For the unstable distribution (sid) this problem has been fixed in
version 0.5-1.

We recommend that you upgrade your zoph package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20989-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 989-1 (zoph)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"zoph", ver:"0.3.3-12sarge1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
