# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 992-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56399);
 script_bugtraq_id(15743);
 script_cve_id("CVE-2005-4048");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 992-1 (ffmpeg)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to ffmpeg
announced via advisory DSA 992-1.

Simon Kilvington discovered that specially crafted PNG images can trigger
a heap overflow in libavcodec, the multimedia library of ffmpeg, which may
lead to the execution of arbitrary code.

The old stable distribution (woody) doesn't contain ffmpeg packages.

For the stable distribution (sarge) this problem has been fixed in
version 0.cvs20050313-2sarge1.

For the unstable distribution (sid) this problem has been fixed in
version 0.cvs20050918-5.1.

We recommend that you upgrade your ffmpeg package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20992-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 992-1 (ffmpeg)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securiytspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"ffmpeg", ver:"0.cvs20050313-2sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libavcodec-dev", ver:"0.cvs20050313-2sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libavformat-dev", ver:"0.cvs20050313-2sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libpostproc-dev", ver:"0.cvs20050313-2sarge1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
