# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-0897 (tor)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63268);
 script_version ("$");
 name["english"] = "Fedora Core 9 FEDORA-2009-0897 (tor)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to tor
announced via advisory FEDORA-2009-0897.

Update Information:

New upstream release 0.2.0.33, with lots of bug fixes and one security fix:
https://blog.torproject.org/blog/tor-0.2.0.33-stable-released

ChangeLog:

* Thu Jan 22 2009 Enrico Scholz  - 0.2.0.33-1
- updated to 0.2.0.33 (SECURITY: fixed heap-corruption bug)

References:

[ 1 ] Bug #481289 - tor: remote heap corruption bug fixed in 0.2.0.33
https://bugzilla.redhat.com/show_bug.cgi?id=481289

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update tor' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-0897

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Fedora Core 9 FEDORA-2009-0897 (tor)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"<td>tor", rpm:"<td>tor~0.2.0.33~1.fc9", rls:"FC9")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"tor", rpm:"tor~0.2.0.33~1.fc9", rls:"FC9")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"tor-core", rpm:"tor-core~0.2.0.33~1.fc9", rls:"FC9")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"tor-lsb", rpm:"tor-lsb~0.2.0.33~1.fc9", rls:"FC9")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"tor-debuginfo", rpm:"tor-debuginfo~0.2.0.33~1.fc9", rls:"FC9")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
