# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-1736 (fail2ban)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63407);
 script_cve_id("CVE-2009-0362");
 script_version ("$");
 name["english"] = "Fedora Core 9 FEDORA-2009-1736 (fail2ban)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to fail2ban
announced via advisory FEDORA-2009-1736.

Fail2ban scans log files like /var/log/pwdfail or
/var/log/apache/error_log and bans IP that makes too many password
failures. It updates firewall rules to reject the IP address.

Update Information:

This updates fixes CVE-2009-0362. See     http://cve.mitre.org/cgi-
bin/cvename.cgi?name=CVE-2009-0362    for further details.
ChangeLog:

* Sat Feb 14 2009 Axel Thimm  - 0.8.3-18
- Fix CVE-2009-0362 (Fedora bugs #485461, #485464, #485465, #485466).
* Mon Dec  1 2008 Ignacio Vazquez-Abrams  - 0.8.3-17
- Rebuild for Python 2.6
* Sun Aug 24 2008 Axel Thimm  - 0.8.3-16
- Update to 0.8.3.
* Wed May 21 2008 Tom spot Callaway  - 0.8.2-15
- fix license tag
* Thu Mar 27 2008 Axel Thimm  - 0.8.2-14
- Close on exec fixes by Jonathan Underwood.

References:

[ 1 ] Bug #485461 - CVE-2009-0362 fail2ban: remote DoS via crafted domain names
https://bugzilla.redhat.com/show_bug.cgi?id=485461

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update fail2ban' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-1736

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Fedora Core 9 FEDORA-2009-1736 (fail2ban)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"fail2ban", rpm:"fail2ban~0.8.3~18.fc9", rls:"FC9")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
