# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-4870 (squirrelmail)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63985);
 script_cve_id("CVE-2009-1581", "CVE-2008-2379", "CVE-2008-3663", "CVE-2009-1579", "CVE-2009-1580", "CVE-2009-1578");
 script_version ("$");
 name["english"] = "Fedora Core 9 FEDORA-2009-4870 (squirrelmail)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to squirrelmail
announced via advisory FEDORA-2009-4870.

ChangeLog:

* Tue May 12 2009 Michal Hlavinka  - 1.4.18-1
- update to 1.4.18 (fixes CVE-2009-1581)
* Thu Dec  4 2008 Michal Hlavinka  - 1.4.17-1
- update to 1.4.17 (fixes CVE-2008-2379)
* Wed Oct  1 2008 Michal Hlavinka  - 1.4.16-1
- update to 1.4.16
- resolves: #464185: CVE-2008-3663 Squirrelmail session hijacking

References:

[ 1 ] Bug #500360 - CVE-2009-1579 SquirrelMail: Server-side code injection in map_yp_alias username map
https://bugzilla.redhat.com/show_bug.cgi?id=500360
[ 2 ] Bug #500358 - CVE-2009-1580 SquirrelMail: Session fixation vulnerability
https://bugzilla.redhat.com/show_bug.cgi?id=500358
[ 3 ] Bug #500356 - CVE-2009-1581 SquirrelMail: CSS positioning vulnerability
https://bugzilla.redhat.com/show_bug.cgi?id=500356
[ 4 ] Bug #500363 - CVE-2009-1578 SquirrelMail: Multiple cross site scripting issues
https://bugzilla.redhat.com/show_bug.cgi?id=500363

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update squirrelmail' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-4870

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Fedora Core 9 FEDORA-2009-4870 (squirrelmail)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"squirrelmail", rpm:"squirrelmail~1.4.18~1.fc9", rls:"FC9")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
