#
#VID 6bb6188c-17b2-11de-ae4d-0030843d3802
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID 6bb6188c-17b2-11de-ae4d-0030843d3802
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63702);
 script_cve_id("CVE-2009-0135", "CVE-2009-0136");
 script_bugtraq_id(33210);
 script_version ("$");
 name["english"] = "FreeBSD Ports: amarok";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: amarok

CVE-2009-0135
Multiple integer overflows in the Audible::Tag::readTag function in
metadata/audible/audibletag.cpp in Amarok 1.4.10 through 2.0.1 allow
remote attackers to execute arbitrary code via an Audible Audio (.aa)
file with a large (1) nlen or (2) vlen Tag value, each of which
triggers a heap-based buffer overflow.

CVE-2009-0136
Multiple array index errors in the Audible::Tag::readTag function in
metadata/audible/audibletag.cpp in Amarok 1.4.10 through 2.0.1 allow
remote attackers to cause a denial of service (application crash) or
execute arbitrary code via an Audible Audio (.aa) file with a crafted
(1) nlen or (2) vlen Tag value, each of which can lead to an invalid
pointer dereference, or the writing of a 0x00 byte to an arbitrary
memory location, after an allocation failure.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://www.debian.org/security/2009/dsa-1706
http://secunia.com/advisories/33505
http://www.vuxml.org/freebsd/6bb6188c-17b2-11de-ae4d-0030843d3802.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: amarok";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"amarok");
if(!isnull(bver) && revcomp(a:bver, b:"1.4.10_3")<0) {
    security_note(0, data:"Package amarok version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
