#
#VID bc6a7e79-e111-11dd-afcd-00e0815b8da8
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID bc6a7e79-e111-11dd-afcd-00e0815b8da8
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63241);
 script_cve_id("CVE-2008-2852");
 script_version ("$");
 name["english"] = "FreeBSD Ports: cgiwrap";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: cgiwrap

CVE-2008-2852
Cross-site scripting (XSS) vulnerability in CGIWrap before 4.1, when
an Internet Explorer based browser is used, allows remote attackers to
inject arbitrary web script or HTML via unspecified vectors related to
failure to set the charset in error messages.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://secunia.com/advisories/30765
http://cgiwrap.sourceforge.net/changes.html
http://www.vuxml.org/freebsd/bc6a7e79-e111-11dd-afcd-00e0815b8da8.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: cgiwrap";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"cgiwrap");
if(!isnull(bver) && revcomp(a:bver, b:"4.0_2")<0) {
    security_note(0, data:"Package cgiwrap version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
