#
#VID 12efc567-9879-11dd-a5e7-0030843d3802
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID 12efc567-9879-11dd-a5e7-0030843d3802
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(61804);
 script_version ("$");
 name["english"] = "FreeBSD Ports: drupal5";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
   drupal5
   drupal6

Solution:
Update your system with the appropriate patches or
software upgrades.

http://drupal.org/node/318706
http://secunia.com/advisories/32200/
http://secunia.com/advisories/32201/
http://secunia.com/advisories/32198/
http://www.vuxml.org/freebsd/12efc567-9879-11dd-a5e7-0030843d3802.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: drupal5";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"drupal5");
if(!isnull(bver) && revcomp(a:bver, b:"5.11")<0) {
    security_note(0, data:"Package drupal5 version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"drupal6");
if(!isnull(bver) && revcomp(a:bver, b:"6.5")<0) {
    security_note(0, data:"Package drupal6 version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
