#
#VID e319da0b-a228-11da-b410-000e0c2e438a
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56315);
 script_cve_id("CVE-2005-1686");
 script_version ("$");
 name["english"] = "FreeBSD Ports: gedit";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: gedit

CVE-2005-1686
Format string vulnerability in gedit 2.10.2 may allow attackers to
cause a denial of service (application crash) via a bin file with
format string specifiers in the filename.  NOTE: while this issue is
triggered on the command line by the gedit user, it has been reported
that web browsers and email clients could be configured to provide a
file name as an argument to gedit, so there is a valid attack that
crosses security boundaries.

Solution:
Update your system with the appropriate patches or
software upgrades.

:http://marc.theaimsgroup.com/?l=bugtraq&m=111661117701398
http://www.vuxml.org/freebsd/e319da0b-a228-11da-b410-000e0c2e438a.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: gedit";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"gedit");
if(!isnull(bver) && revcomp(a:bver, b:"2.10.3")<0) {
    security_note(0, data:"Package gedit version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
