#
#VID f4af098d-d921-11da-ad4a-00123ffe8333
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56648);
 script_bugtraq_id(17155);
 script_cve_id("CVE-2006-1329");
 script_version ("$");
 name["english"] = "FreeBSD Ports: jabberd";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: jabberd

CVE-2006-1329
The SASL negotiation in Jabber Studio jabberd before 2.0s11 allows
remote attackers to cause a denial of service ('c2s segfault') by
sending a 'response stanza before an auth stanza'.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://article.gmane.org/gmane.network.jabber.admin/27372
http://jabberstudio.org/projects/jabberd2/releases/view.php?id=826
http://secunia.com/advisories/19281/
http://www.vuxml.org/freebsd/f4af098d-d921-11da-ad4a-00123ffe8333.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: jabberd";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"jabberd");
if(!isnull(bver) && revcomp(a:bver, b:"2.0.11")<0) {
    security_note(0, data:"Package jabberd version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
