#
#VID 66dbb2ee-99b8-45b2-bb3e-640caea67a60
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52700);
 script_cve_id("CVE-2005-1453");
 script_bugtraq_id(13489,13492);
 script_version ("$");
 name["english"] = "FreeBSD Ports: leafnode";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: leafnode

CVE-2005-1453
fetchnews in leafnode 1.9.48 to 1.11.1 allows remote NNTP servers to
cause a denial of service (crash) by closing the connection while
fetchnews is reading (1) an article header or (2) an article body,
which also prevents fetchnews from querying other servers.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://leafnode.sourceforge.net/leafnode-SA-2005-01.txt
http://www.frsirt.com/english/advisories/2005/0468
http://secunia.com/advisories/15252
http://sourceforge.net/mailarchive/forum.php?thread_id=7186974&forum_id=10210
http://article.gmane.org/gmane.network.leafnode.announce/52
http://www.dt.e-technik.uni-dortmund.de/pipermail/leafnode-list/2005q2/000900.html
http://www.fredi.de/maillist/msg00111.html
http://archives.neohapsis.com/archives/vulnwatch/2005-q2/0037.html
http://www.vuxml.org/freebsd/66dbb2ee-99b8-45b2-bb3e-640caea67a60.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: leafnode";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"leafnode");
if(!isnull(bver) && revcomp(a:bver, b:"1.9.48")>=0 && revcomp(a:bver, b:"1.11.2")<0) {
    security_note(0, data:"Package leafnode version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
