#
#VID 72cdf2ab-5b87-11dc-812d-0011098b2f36
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(58807);
 script_cve_id("CVE-2003-0826", "CVE-2005-0814");
 script_version ("$");
 name["english"] = "FreeBSD Ports: lsh";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: lsh

CVE-2003-0826
lsh daemon (lshd) does not properly return from certain functions in
(1) read_line.c, (2) channel_commands.c, or (3) client_keyexchange.c
when long input is provided, which could allow remote attackers to
execute arbitrary code via a heap-based buffer overflow attack.
CVE-2005-0814
Unknown vulnerability in lshd in Lysator LSH 1.x and 2.x before 2.0.1
allows remote attackers to cause a denial of service via unknown
vectors.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://secunia.com/advisories/14609
http://www.vuxml.org/freebsd/72cdf2ab-5b87-11dc-812d-0011098b2f36.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: lsh";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"lsh");
if(!isnull(bver) && revcomp(a:bver, b:"0")>=0) {
    security_note(0, data:"Package lsh version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
