#
#VID ad9d2518-3471-4737-b60b-9a1f51023b28
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52999);
 script_bugtraq_id(10412);
 script_cve_id("CVE-2004-0412");
 script_version ("$");
 name["english"] = "FreeBSD Ports: mailman, ja-mailman";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
   mailman
   ja-mailman

CVE-2004-0412
Mailman before 2.1.5 allows remote attackers to obtain user passwords
via a crafted email request to the Mailman server.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://mail.python.org/pipermail/mailman-announce/2004-May/000072.html
http://www.vuxml.org/freebsd/ad9d2518-3471-4737-b60b-9a1f51023b28.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: mailman, ja-mailman";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"mailman");
if(!isnull(bver) && revcomp(a:bver, b:"2.1.5")<0) {
    security_note(0, data:"Package mailman version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"ja-mailman");
if(!isnull(bver) && revcomp(a:bver, b:"2.1.5")<0) {
    security_note(0, data:"Package ja-mailman version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
