#
#VID 99015cf5-c4dd-11da-b2fb-000e0c2e438a
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56516);
 script_cve_id("CVE-2005-4501");
 script_bugtraq_id(16032);
 script_version ("$");
 name["english"] = "FreeBSD Ports: mediawiki";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: mediawiki

CVE-2005-4501
MediaWiki before 1.5.4 uses a hard-coded 'internal placeholder
string', which allows remote attackers to bypass protection against
cross-site scripting (XSS) attacks and execute Javascript using inline
style attributes, which are processed by Internet Explorer.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://sourceforge.net/project/shownotes.php?release_id=379951
http://www.vuxml.org/freebsd/99015cf5-c4dd-11da-b2fb-000e0c2e438a.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: mediawiki";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"mediawiki");
if(!isnull(bver) && revcomp(a:bver, b:"1.5.4")<0) {
    security_note(0, data:"Package mediawiki version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
