#
#VID af747389-42ba-11d9-bd37-00065be4b5b6
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52279);
 script_cve_id("CVE-2003-1054");
 script_bugtraq_id(7375);
 script_version ("$");
 name["english"] = "FreeBSD Ports: mod_access_referer";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: mod_access_referer

CVE-2003-1054
mod_access_referer 1.0.2 allows remote attackers to cause a denial of
service (crash) via a malformed Referer header that is missing a
hostname, as parsed by the ap_parse_uri_components function in Apache,
which triggers a null dereference.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://secunia.com/advisories/8612/
http://marc.theaimsgroup.com/?l=full-disclosure&m=105053485515811
http://www.vuxml.org/freebsd/af747389-42ba-11d9-bd37-00065be4b5b6.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: mod_access_referer";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"mod_access_referer");
if(!isnull(bver) && revcomp(a:bver, b:"1.0.2_1")<0) {
    security_note(0, data:"Package mod_access_referer version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
