#
#VID d2a43243-087b-11db-bc36-0008743bf21a
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(57068);
 script_bugtraq_id(18642);
 script_version ("$");
 name["english"] = "FreeBSD Ports: mutt, mutt-lite";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
   mutt
   mutt-lite
   mutt-devel
   mutt-devel-lite
   ja-mutt
   zh-mutt-devel
   ja-mutt-devel
   mutt-ng

Solution:
Update your system with the appropriate patches or
software upgrades.

http://dev.mutt.org/cgi-bin/gitweb.cgi?p=mutt/.git;a=commit;h=dc0272b749f0e2b102973b7ac43dbd3908507540
http://www.vuxml.org/freebsd/d2a43243-087b-11db-bc36-0008743bf21a.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: mutt, mutt-lite";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"mutt");
if(!isnull(bver) && revcomp(a:bver, b:"1.4.2.1_2")<=0) {
    security_note(0, data:"Package mutt version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"mutt-lite");
if(!isnull(bver) && revcomp(a:bver, b:"1.4.2.1_2")<=0) {
    security_note(0, data:"Package mutt-lite version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"mutt-devel");
if(!isnull(bver) && revcomp(a:bver, b:"1.5.11_2")<=0) {
    security_note(0, data:"Package mutt-devel version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"mutt-devel-lite");
if(!isnull(bver) && revcomp(a:bver, b:"1.5.11_2")<=0) {
    security_note(0, data:"Package mutt-devel-lite version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"ja-mutt");
if(!isnull(bver) && revcomp(a:bver, b:"1.4.2.1.j1")<=0) {
    security_note(0, data:"Package ja-mutt version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"zh-mutt-devel");
if(!isnull(bver) && revcomp(a:bver, b:"1.5.11_20040617")<=0) {
    security_note(0, data:"Package zh-mutt-devel version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"ja-mutt-devel");
if(!isnull(bver) && revcomp(a:bver, b:"1.5.6.j1_2")<=0) {
    security_note(0, data:"Package ja-mutt-devel version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"mutt-ng");
if(!isnull(bver) && revcomp(a:bver, b:"20060501")<=0) {
    security_note(0, data:"Package mutt-ng version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
