#
#VID 8d075001-a9ce-11d8-9c6d-0020ed76ef5a
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52450);
 script_bugtraq_id(10385);
 script_cve_id("CVE-2004-0398");
 script_version ("$");
 name["english"] = "FreeBSD Ports: neon";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
   neon
   sitecopy

CVE-2004-0398
Heap-based buffer overflow in the ne_rfc1036_parse date parsing
function for the neon library (libneon) 0.24.5 and earlier, as used by
cadaver before 0.22, allows remote WebDAV servers to execute arbitrary
code on the client.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://security.e-matters.de/advisories/062004.html
http://secunia.com/advisories/11785
http://www.vuxml.org/freebsd/8d075001-a9ce-11d8-9c6d-0020ed76ef5a.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: neon";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"neon");
if(!isnull(bver) && revcomp(a:bver, b:"0.24.5_1")<0) {
    security_note(0, data:"Package neon version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"sitecopy");
if(!isnull(bver) && revcomp(a:bver, b:"0.13.4_1")<=0) {
    security_note(0, data:"Package sitecopy version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
