#
#VID 1e8031be-4258-11de-b67a-0030843d3802
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID 1e8031be-4258-11de-b67a-0030843d3802
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64001);
 script_version ("$");
 name["english"] = "FreeBSD Ports: php4-dba";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
   php4-dba
   php5-dba

Solution:
Update your system with the appropriate patches or
software upgrades.

http://www.securityfocus.com/archive/1/498746/30/0/threaded
http://securityreason.com/achievement_securityalert/58
http://www.vuxml.org/freebsd/1e8031be-4258-11de-b67a-0030843d3802.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: php4-dba";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"php4-dba");
if(!isnull(bver) && revcomp(a:bver, b:"4.4.9_1")<0) {
    security_note(0, data:"Package php4-dba version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"php5-dba");
if(!isnull(bver) && revcomp(a:bver, b:"5.2.7")<0) {
    security_note(0, data:"Package php5-dba version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
