#
#VID 6d78202e-e2f9-11da-8674-00123ffe8333
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(56712);
 script_bugtraq_id(17643);
 script_cve_id("CVE-2006-2016");
 script_version ("$");
 name["english"] = "FreeBSD Ports: phpldapadmin098";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: phpldapadmin098

CVE-2006-2016
Multiple cross-site scripting (XSS) vulnerabilities in phpLDAPadmin
0.9.8 and earlier allow remote attackers to inject arbitrary web
script or HTML via the (1) dn parameter in (a) compare_form.php, (b)
copy_form.php, (c) rename_form.php, (d) template_engine.php, and (e)
delete_form.php; (2) scope parameter in (f) search.php; and (3)
Container DN, (4) Machine Name, and (5) UID Number fields in (g)
template_engine.php.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://pridels.blogspot.com/2006/04/phpldapadmin-multiple-vuln.html
http://www.frsirt.com/english/advisories/2006/1450
http://secunia.com/advisories/19747/
http://www.vuxml.org/freebsd/6d78202e-e2f9-11da-8674-00123ffe8333.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: phpldapadmin098";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"phpldapadmin098");
if(!isnull(bver) && revcomp(a:bver, b:"0.9.8.3")<0) {
    security_note(0, data:"Package phpldapadmin098 version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
