#
#VID 6a164d84-2f7f-11d9-a9e7-0001020eed82
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52315);
 script_cve_id("CVE-2004-0977");
 script_bugtraq_id(11295);
 script_version ("$");
 name["english"] = "FreeBSD Ports: postgresql-contrib";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: postgresql-contrib

CVE-2004-0977
The make_oidjoins_check script in PostgreSQL 7.4.5 and earlier allows local
users to overwrite files via a symlink attack on temporary files.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://www.postgresql.org/news/234.html
http://www.trustix.net/errata/2004/0050/
http://www.vuxml.org/freebsd/6a164d84-2f7f-11d9-a9e7-0001020eed82.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: postgresql-contrib";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"postgresql-contrib");
if(!isnull(bver) && revcomp(a:bver, b:"7.2.6")<0) {
    security_note(0, data:"Package postgresql-contrib version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
if(!isnull(bver) && revcomp(a:bver, b:"7.3")>0 && revcomp(a:bver, b:"7.3.8")<0) {
    security_note(0, data:"Package postgresql-contrib version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
if(!isnull(bver) && revcomp(a:bver, b:"7.4")>0 && revcomp(a:bver, b:"7.4.6")<0) {
    security_note(0, data:"Package postgresql-contrib version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
