#
#VID 43a7b0a7-f9bc-11d9-b473-00061bc2ad93
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(54410);
 script_cve_id("CVE-2005-2302");
 script_version ("$");
 name["english"] = "FreeBSD Ports: powerdns";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: powerdns

CVE-2005-2302
PowerDNS before 2.9.18, when allowing recursion to a restricted range
of IP addresses, does not properly handle questions from clients that
are denied recursion, which could cause a 'blank out' of answers to
those clients that are allowed to use recursion.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://doc.powerdns.com/security-policy.html
http://marc.theaimsgroup.com/?l=bugtraq&m=112155941310297&w=2
http://www.vuxml.org/freebsd/43a7b0a7-f9bc-11d9-b473-00061bc2ad93.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: powerdns";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"powerdns");
if(!isnull(bver) && revcomp(a:bver, b:"2.9.18")<0) {
    security_note(0, data:"Package powerdns version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
