#
#VID ebffe27a-f48c-11d8-9837-000c41e2cdad
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52417);
 script_cve_id("CVE-2004-0691", "CVE-2004-0692", "CVE-2004-0693");
 script_version ("$");
 name["english"] = "FreeBSD Ports: qt";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: qt

CVE-2004-0691
Heap-based buffer overflow in the BMP image format parser for the QT
library (qt3) before 3.3.3 allows remote attackers to cause a denial
of service (application crash) and possibly execute arbitrary code.

CVE-2004-0692
The XPM parser in the QT library (qt3) before 3.3.3 allows remote
attackers to cause a denial of service (application crash) via a
malformed image file that triggers a null dereference, a different
vulnerability than CVE-2004-0693.

CVE-2004-0693
The GIF parser in the QT library (qt3) before 3.3.3 allows remote
attackers to cause a denial of service (application crash) via a
malformed image file that triggers a null dereference, a different
vulnerability than CVE-2004-0692.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://www.trolltech.com/developer/changes/changes-3.3.3.html
http://scary.beasts.org/security/CESA-2004-004.txt
http://www.vuxml.org/freebsd/ebffe27a-f48c-11d8-9837-000c41e2cdad.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: qt";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"qt");
if(!isnull(bver) && revcomp(a:bver, b:"3.3.3")<0) {
    security_note(0, data:"Package qt version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
