#
#VID 2328ADEF-157C-11D9-8402-000D93664D5C
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52362);
 script_bugtraq_id(10546);
 script_cve_id("CVE-2004-0607");
 script_version ("$");
 name["english"] = "FreeBSD Ports: racoon";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: racoon

The installed version of racoon does not properly
check the validity of certificates, ignoring validation
failures from OpenSSL.  This can be used by attackers to
bypass authentication restrictions.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://www.kame.net/racoon/racoon-ml/msg00517.html
http://marc.theaimsgroup.com/?l=bugtraq&m=108726102304507
http://www.vuxml.org/freebsd/2328adef-157c-11d9-8402-000d93664d5c.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: racoon";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"racoon");
if(!isnull(bver) && revcomp(a:bver, b:"20040818a")<0) {
    security_note(0, data:"Package racoon version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
