#
#VID 739bb51d-7e82-11d8-9645-0020ed76ef5a
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52492);
 script_cve_id("CVE-2004-0164");
 script_bugtraq_id(9416,9417);
 script_version ("$");
 name["english"] = "FreeBSD Ports: racoon";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: racoon

CVE-2004-0164
KAME IKE daemon (racoon) does not properly handle hash values, which
allows remote attackers to delete certificates via (1) a certain
delete message that is not properly handled in isakmp.c or
isakmp_inf.c, or (2) a certain INITIAL-CONTACT message that is not
properly handled in isakmp_inf.c.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://www.securityfocus.com/archive/1/349756
http://www.vuxml.org/freebsd/739bb51d-7e82-11d8-9645-0020ed76ef5a.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: racoon";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"racoon");
if(!isnull(bver) && revcomp(a:bver, b:"20040116a")<0) {
    security_note(0, data:"Package racoon version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
