#
#VID 2689f4cb-ec4c-11d8-9440-000347a4fa7d
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52411);
 script_cve_id("CVE-2004-0792");
 script_version ("$");
 name["english"] = "FreeBSD Ports: rsync";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: rsync

CVE-2004-0792
Directory traversal vulnerability in the sanitize_path function in
util.c for rsync 2.6.2 and earlier, when chroot is disabled, allows
attackers to read or write certain files.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://samba.org/rsync/#security_aug04
http://secunia.com/advisories/12294
http://www.osvdb.org/8829
http://lists.samba.org/archive/rsync-announce/2004/000017.html
http://www.vuxml.org/freebsd/2689f4cb-ec4c-11d8-9440-000347a4fa7d.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: rsync";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"rsync");
if(!isnull(bver) && revcomp(a:bver, b:"2.6.2_2")<0) {
    security_note(0, data:"Package rsync version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
