#
#VID 3e4ffe76-e0d4-11d8-9b0a-000347a4fa7d
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52413);
 script_bugtraq_id(10819);
 script_cve_id("CVE-2004-0557");
 script_version ("$");
 name["english"] = "FreeBSD Ports: sox";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: sox

CVE-2004-0557
Multiple buffer overflows in the st_wavstartread function in wav.c for
Sound eXchange (SoX) 12.17.2 through 12.17.4 allow remote attackers to
execute arbitrary code via certain WAV file header fields.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://secunia.com/advisories/12175
http://www.osvdb.org/8267
http://archives.neohapsis.com/archives/vulnwatch/2004-q3/0014.html
http://www.vuxml.org/freebsd/3e4ffe76-e0d4-11d8-9b0a-000347a4fa7d.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: sox";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"sox");
if(!isnull(bver) && revcomp(a:bver, b:"12.17.1")>0 && revcomp(a:bver, b:"12.17.4_1")<=0) {
    security_note(0, data:"Package sox version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
