#
#VID f8551668-de09-4d7b-9720-f1360929df07
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(52483);
 script_cve_id("CVE-2004-0183", "CVE-2004-0184");
 script_version ("$");
 name["english"] = "FreeBSD Ports: tcpdump";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
   tcpdump
   racoon

CVE-2004-0183
TCPDUMP 3.8.1 and earlier allows remote attackers to cause a denial of
service (crash) via ISAKMP packets containing a Delete payload with a
large number of SPI's, which causes an out-of-bounds read, as
demonstrated by the Striker ISAKMP Protocol Test Suite.

CVE-2004-0184
Integer underflow in the isakmp_id_print for TCPDUMP 3.8.1 and earlier
allows remote attackers to cause a denial of service (crash) via an
ISAKMP packet with an Identification payload with a length that
becomes less than 8 during byte order conversion, which causes an
out-of-bounds read, as demonstrated by the Striker ISAKMP Protocol
Test Suite.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://www.rapid7.com/advisories/R7-0017.html
http://marc.theaimsgroup.com/?l=bugtraq&m=108067265931525
http://www.vuxml.org/freebsd/f8551668-de09-4d7b-9720-f1360929df07.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: tcpdump";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"tcpdump");
if(!isnull(bver) && revcomp(a:bver, b:"3.8.3")<0) {
    security_note(0, data:"Package tcpdump version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"racoon");
if(!isnull(bver) && revcomp(a:bver, b:"20040408a")<0) {
    security_note(0, data:"Package racoon version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
