#
#VID c89a3ebb-ae07-11dd-b4b2-001f3c8eabeb
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID c89a3ebb-ae07-11dd-b4b2-001f3c8eabeb
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(61878);
 script_version ("$");
 name["english"] = "FreeBSD Ports: trac";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
   trac
   ja-trac

Solution:
Update your system with the appropriate patches or
software upgrades.

http://groups.google.com/group/trac-announce/browse_thread/thread/67f7a22ec818d97d
http://www.vuxml.org/freebsd/c89a3ebb-ae07-11dd-b4b2-001f3c8eabeb.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: trac";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"trac");
if(!isnull(bver) && revcomp(a:bver, b:"0.11.2")<0) {
    security_note(0, data:"Package trac version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"ja-trac");
if(!isnull(bver) && revcomp(a:bver, b:"0.11.2")<0) {
    security_note(0, data:"Package ja-trac version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
