#
#VID 310d0087-0fde-4929-a41f-96f17c5adffe
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from vuxml or freebsd advisories
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53006);
 script_cve_id("CVE-2005-0638");
 script_version ("$");
 name["english"] = "FreeBSD Ports: xli";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
   xli
   xloadimage

CVE-2005-0638
xloadimage before 4.1-r2, and xli before 1.17, allows attackers to
execute arbitrary commands via shell metacharacters in filenames for
compressed images, which are not properly quoted when calling the
gunzip command.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://bugs.gentoo.org/show_bug.cgi?id=79762
http://www.vuxml.org/freebsd/310d0087-0fde-4929-a41f-96f17c5adffe.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "FreeBSD Ports: xli";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "FreeBSD Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"xli");
if(!isnull(bver) && revcomp(a:bver, b:"1.17.0_1")<=0) {
    security_note(0, data:"Package xli version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"xloadimage");
if(!isnull(bver) && revcomp(a:bver, b:"4.1.10")<=0) {
    security_note(0, data:"Package xloadimage version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
