##############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_7zip_detect_win.nasl 1303 2009-04-01 20:40:24Z apr $
#
# 7zip Version Detection (Win)
#
# Authors:
# Sujit Ghosal <sghosal@secpod.com>
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http//intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(800260);
  script_version("$Revision: 1.0 $");
  script_name(english:"7zip Version Detection (Win)");
  desc["english"] = "
  Overview : This script finds the installed 7zip version and saves the
  result in KB item.

  Risk factor : Informational";

  script_description(english:desc["english"]);
  script_summary(english:"Set Version of 7zip in KB for Windows");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"General");
  script_dependencies("secpod_reg_enum.nasl");
  script_require_keys("SMB/WindowsVersion");
  exit(0);
}


include("smb_nt.inc");
include("secpod_smb_func.inc");

if(!get_kb_item("SMB/WindowsVersion")){
  exit(0);
}

key = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\7-Zip\";
name = registry_get_sz(key:key, item:"DisplayName");
if("7-Zip" >< name)
{
  string = eregmatch(pattern:"([0-9]\.[0-9][0-9]?)", string:name);
  if(string[0] != NULL)
  {
    set_kb_item(name:"7zip/Win/Ver", value:string[0]);
    exit(0);
  }
}
