###############################################################################
# OpenVAS Vulnerability Test
#
# CentOS Update for samba CESA-2007:1114 centos3 i386
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(880330);
  script_version("$Revision: 1.0 $");
  script_xref(name: "CESA", value: "2007:1114");
  script_cve_id("CVE-2007-6015", "CVE-2007-4572");
  script_name(english: "CentOS Update for samba CESA-2007:1114 centos3 i386");
  desc["english"] = "

  Vulnerability Insight:
  Samba is a suite of programs used by machines to share files, printers, and
  other information.
  
  A stack buffer overflow flaw was found in the way Samba authenticates
  remote users. A remote unauthenticated user could trigger this flaw to
  cause the Samba server to crash, or execute arbitrary code with the
  permissions of the Samba server. (CVE-2007-6015)
  
  Red Hat would like to thank Alin Rad Pop of Secunia Research for
  responsibly disclosing this issue.
  
  This update also fixes a regression caused by the fix for CVE-2007-4572,
  which prevented some clients from being able to properly access shares.
  
  Users of Samba are advised to upgrade to these updated packages, which
  contain a backported patch to resolve these issues.


  Affected Software/OS:
  samba on CentOS 3

  Fix: Please Install the Updated Packages.

  References:
  http://lists.centos.org/pipermail/centos-announce/2007-December/014494.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of samba");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"CentOS Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "CENTOS3")
{

  if(isrpmvuln(pkg:"samba", rpm:"samba~3.0.9~1.3E.14.3", rls:"CENTOS3"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"samba-client", rpm:"samba-client~3.0.9~1.3E.14.3", rls:"CENTOS3"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"samba-common", rpm:"samba-common~3.0.9~1.3E.14.3", rls:"CENTOS3"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"samba-swat", rpm:"samba-swat~3.0.9~1.3E.14.3", rls:"CENTOS3"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}