###############################################################################
# OpenVAS Vulnerability Test
#
# CentOS Update for evolution CESA-2008:0516 centos4 x86_64
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(880148);
  script_version("$Revision: 1.0 $");
  script_xref(name: "CESA", value: "2008:0516");
  script_cve_id("CVE-2008-1108");
  script_name(english: "CentOS Update for evolution CESA-2008:0516 centos4 x86_64");
  desc["english"] = "

  Vulnerability Insight:
  Evolution is the integrated collection of e-mail, calendaring, contact
  management, communications and personal information management (PIM) tools
  for the GNOME desktop environment.
  
  A flaw was found in the way Evolution parsed iCalendar timezone attachment
  data. If mail which included a carefully crafted iCalendar attachment was
  opened, arbitrary code could be executed as the user running Evolution.
  (CVE-2008-1108)
  
  Red Hat would like to thank Alin Rad Pop of Secunia Research for
  responsibly disclosing this issue.
  
  All users of Evolution should upgrade to these updated packages, which
  contains a backported patch which resolves this issue.


  Affected Software/OS:
  evolution on CentOS 4

  Fix: Please Install the Updated Packages.

  References:
  http://lists.centos.org/pipermail/centos-announce/2008-June/014968.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of evolution");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"CentOS Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "CENTOS4")
{

  if(isrpmvuln(pkg:"evolution", rpm:"evolution~2.0.2~35.0.4.el4_6.2", rls:"CENTOS4"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"evolution-devel", rpm:"evolution-devel~2.0.2~35.0.4.el4_6.2", rls:"CENTOS4"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}