###############################################################################
# OpenVAS Vulnerability Test
#
# CentOS Update for perl CESA-2008:0522 centos3 x86_64
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(880047);
  script_version("$Revision: 1.0 $");
  script_xref(name: "CESA", value: "2008:0522");
  script_cve_id("CVE-2008-1927");
  script_name(english: "CentOS Update for perl CESA-2008:0522 centos3 x86_64");
  desc["english"] = "

  Vulnerability Insight:
  Perl is a high-level programming language commonly used for system
  administration utilities and Web programming.
  
  A flaw was found in Perl's regular expression engine. A specially crafted
  regular expression with Unicode characters could trigger a buffer overflow,
  causing Perl to crash, or possibly execute arbitrary code with the
  privileges of the user running Perl. (CVE-2008-1927)
  
  Users of perl are advised to upgrade to these updated packages, which
  contain a backported patch to resolve this issue.


  Affected Software/OS:
  perl on CentOS 3

  Fix: Please Install the Updated Packages.

  References:
  http://lists.centos.org/pipermail/centos-announce/2008-June/014976.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of perl");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"CentOS Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "CENTOS3")
{

  if(isrpmvuln(pkg:"perl", rpm:"perl~5.8.0~98.EL3", rls:"CENTOS3"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"perl-CGI", rpm:"perl-CGI~2.89~98.EL3", rls:"CENTOS3"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"perl-CPAN", rpm:"perl-CPAN~1.61~98.EL3", rls:"CENTOS3"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"perl-DB_File", rpm:"perl-DB_File~1.806~98.EL3", rls:"CENTOS3"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"perl-suidperl", rpm:"perl-suidperl~5.8.0~98.EL3", rls:"CENTOS3"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}