###############################################################################
# OpenVAS Vulnerability Test
#
# CentOS Update for cups CESA-2008:0937 centos4 x86_64
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(880004);
  script_version("$Revision: 1.0 $");
  script_xref(name: "CESA", value: "2008:0937");
  script_cve_id("CVE-2008-3639", "CVE-2008-3640", "CVE-2008-3641");
  script_name(english: "CentOS Update for cups CESA-2008:0937 centos4 x86_64");
  desc["english"] = "

  Vulnerability Insight:
  The Common UNIX Printing System (CUPS) provides a portable printing layer
  for UNIX(R) operating systems.
  
  A buffer overflow flaw was discovered in the SGI image format decoding
  routines used by the CUPS image converting filter &quot;imagetops&quot;. An attacker
  could create a malicious SGI image file that could, possibly, execute
  arbitrary code as the &quot;lp&quot; user if the file was printed. (CVE-2008-3639)
  
  An integer overflow flaw leading to a heap buffer overflow was discovered
  in the Text-to-PostScript &quot;texttops&quot; filter. An attacker could create a
  malicious text file that could, possibly, execute arbitrary code as the
  &quot;lp&quot; user if the file was printed. (CVE-2008-3640)
  
  An insufficient buffer bounds checking flaw was discovered in the
  HP-GL/2-to-PostScript &quot;hpgltops&quot; filter. An attacker could create a
  malicious HP-GL/2 file that could, possibly, execute arbitrary code as the
  &quot;lp&quot; user if the file was printed. (CVE-2008-3641)
  
  Red Hat would like to thank regenrecht for reporting these issues.
  
  All CUPS users are advised to upgrade to these updated packages, which
  contain backported patches to resolve these issues.


  Affected Software/OS:
  cups on CentOS 4

  Fix: Please Install the Updated Packages.

  References:
  http://lists.centos.org/pipermail/centos-announce/2008-October/015330.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of cups");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"CentOS Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "CENTOS4")
{

  if(isrpmvuln(pkg:"cups", rpm:"cups~1.1.22~0.rc1.9.27.el4_7.1", rls:"CENTOS4"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"cups-devel", rpm:"cups-devel~1.1.22~0.rc1.9.27.el4_7.1", rls:"CENTOS4"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"cups-libs", rpm:"cups-libs~1.1.22~0.rc1.9.27.el4_7.1", rls:"CENTOS4"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}