###############################################################################
# OpenVAS Vulnerability Test
#
# RedHat Update for pcre RHSA-2007:1068-01
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(870178);
  script_version("$Revision: 1.0 $");
  script_xref(name: "RHSA", value: "2007:1068-01");
  script_cve_id("CVE-2006-7225", "CVE-2006-7226", "CVE-2006-7228", "CVE-2006-7230", "CVE-2007-1659");
  script_name(english: "RedHat Update for pcre RHSA-2007:1068-01");
  desc["english"] = "

  Vulnerability Insight:
  PCRE is a Perl-compatible regular expression library.
  
  Flaws were discovered in the way PCRE handles certain malformed regular
  expressions. If an application linked against PCRE, such as Konqueror,
  parses a malicious regular expression, it may have been possible to run
  arbitrary code as the user running the application.
  (CVE-2006-7225, CVE-2006-7226, CVE-2006-7228, CVE-2006-7230, CVE-2007-1659)
  
  Users of PCRE are advised to upgrade to these updated packages, which
  contain backported patches to resolve these issues.
  
  Red Hat would like to thank Ludwig Nussel for reporting these issues.


  Affected Software/OS:
  pcre on Red Hat Enterprise Linux AS version 4,
  Red Hat Enterprise Linux ES version 4,
  Red Hat Enterprise Linux WS version 4

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/rhsa-announce/2007-November/msg00005.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of pcre");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Red Hat Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "RHENT_4")
{

  if(isrpmvuln(pkg:"pcre", rpm:"pcre~4.5~4.el4_6.6", rls:"RHENT_4"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"pcre-debuginfo", rpm:"pcre-debuginfo~4.5~4.el4_6.6", rls:"RHENT_4"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"pcre-devel", rpm:"pcre-devel~4.5~4.el4_6.6", rls:"RHENT_4"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}