###############################################################################
# OpenVAS Vulnerability Test
#
# RedHat Update for gnome-screensaver RHSA-2008:0218-01
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(870111);
  script_version("$Revision: 1.0 $");
  script_xref(name: "RHSA", value: "2008:0218-01");
  script_cve_id("CVE-2008-0887");
  script_name(english: "RedHat Update for gnome-screensaver RHSA-2008:0218-01");
  desc["english"] = "

  Vulnerability Insight:
  gnome-screensaver is the GNOME project's official screen saver program.
  
  A flaw was found in the way gnome-screensaver verified user passwords. When
  a system used a remote directory service for login credentials, a local
  attacker able to cause a network outage could cause gnome-screensaver to
  crash, unlocking the screen. (CVE-2008-0887)
  
  Users of gnome-screensaver should upgrade to this updated package, which
  contains a backported patch to correct this issue.


  Affected Software/OS:
  gnome-screensaver on Red Hat Enterprise Linux (v. 5 server)

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/rhsa-announce/2008-April/msg00008.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of gnome-screensaver");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Red Hat Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "RHENT_5")
{

  if(isrpmvuln(pkg:"gnome-screensaver", rpm:"gnome-screensaver~2.16.1~8.el5", rls:"RHENT_5"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"gnome-screensaver-debuginfo", rpm:"gnome-screensaver-debuginfo~2.16.1~8.el5", rls:"RHENT_5"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}