###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_ccproxy_detect.nasl 831 2009-03-13 10:45:02Z mar $
#
# CCProxy Version Detection
#
# Authors:
# Nikita MR <rnikita@secpod.com>
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(800538);
  script_version("$Revision: 1.0 $");
  script_name(english:"CCProxy Version Detection");
  desc["english"] = "
  Overview: This script detects the version of CCProxy and sets the
  version in KB.

  Risk factor: Informational";

  script_description(english:desc["english"]);
  script_summary(english:"Set KB for the version of CCProxy");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"General");
  script_dependencies("secpod_reg_enum.nasl");
  script_require_keys("SMB/WindowsVersion");
  exit(0);
}


include("smb_nt.inc");
include("secpod_smb_func.inc");

if(!get_kb_item("SMB/WindowsVersion")){
  exit(0);
}

key = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\";
foreach item (registry_enum_keys(key:key))
{
  ccproxyName = registry_get_sz(key:key + item, item:"DisplayName");
  if("CCProxy" >< ccproxyName)
  {
    ccproxyVer = eregmatch(pattern:"CCProxy ([0-9.]+)", string:ccproxyName);
    if(ccproxyVer[1] != NULL){
      set_kb_item(name:"CCProxy/Ver", value:ccproxyVer[1]);
    }
    exit(0);
  }
}
