###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for zvbi FEDORA-2007-0175
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861117);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2007-0175");
  script_cve_id("");
  script_name(english: "Fedora Update for zvbi FEDORA-2007-0175");
  desc["english"] = "

  Vulnerability Insight:
  ZVBI provides functions to capture and decode VBI data. The vertical blanking
  interval (VBI) is an interval in a television signal that temporarily suspends
  transmission of the signal for the electron gun to move back up to the first
  line of the television screen to trace the next screen field. The vertical
  blanking interval can be used to carry data, since anything sent during the VBI
  would naturally not be displayed; various test signals, closed captioning, and
  other digital data can be sent during this time period.


  Affected Software/OS:
  zvbi on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2007-June/msg00047.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of zvbi");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"zvbi", rpm:"zvbi~0.2.25~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"zvbi", rpm:"zvbi~0.2.25~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"zvbi-debuginfo", rpm:"zvbi-debuginfo~0.2.25~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"zvbi-fonts", rpm:"zvbi-fonts~0.2.25~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"zvbi-devel", rpm:"zvbi-devel~0.2.25~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"zvbi-devel", rpm:"zvbi-devel~0.2.25~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"zvbi-fonts", rpm:"zvbi-fonts~0.2.25~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"zvbi-debuginfo", rpm:"zvbi-debuginfo~0.2.25~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"zvbi", rpm:"zvbi~0.2.25~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}