###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for fuse FEDORA-2007-2295
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861540);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2007-2295");
  script_cve_id("");
  script_name(english: "Fedora Update for fuse FEDORA-2007-2295");
  desc["english"] = "

  Vulnerability Insight:
  With FUSE it is possible to implement a fully functional filesystem in a
  userspace program. This package contains the FUSE userspace tools to
  mount a FUSE filesystem.
  
  Note: For security reasons only members of the group &quot;fuse&quot; are allowed to
  (u)mount fuse filesystems. You can find more details on this issue in
  /usr/share/doc/fuse-2.7.0/README.fedora


  Affected Software/OS:
  fuse on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2007-September/msg00367.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of fuse");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"fuse", rpm:"fuse~2.7.0~5.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fuse", rpm:"fuse~2.7.0~5.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fuse-devel", rpm:"fuse-devel~2.7.0~5.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fuse-debuginfo", rpm:"fuse-debuginfo~2.7.0~5.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fuse-libs", rpm:"fuse-libs~2.7.0~5.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fuse-libs", rpm:"fuse-libs~2.7.0~5.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fuse-devel", rpm:"fuse-devel~2.7.0~5.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fuse-debuginfo", rpm:"fuse-debuginfo~2.7.0~5.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fuse", rpm:"fuse~2.7.0~5.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}