###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for t1lib FEDORA-2007-2343
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861095);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2007-2343");
  script_cve_id("CVE-2007-4033");
  script_name(english: "Fedora Update for t1lib FEDORA-2007-2343");
  desc["english"] = "

  Vulnerability Insight:
  T1lib is a rasterizer library for Adobe Type 1 Fonts. It supports
  rotation and transformation, kerning underlining and antialiasing. It
  does not depend on X11, but does provides some special functions for
  X11.
  
  AFM-files can be generated from Type 1 font files and font subsetting
  is possible.


  Affected Software/OS:
  t1lib on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2007-September/msg00431.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of t1lib");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"t1lib", rpm:"t1lib~5.1.1~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"t1lib-devel", rpm:"t1lib-devel~5.1.1~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"t1lib-debuginfo", rpm:"t1lib-debuginfo~5.1.1~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"t1lib", rpm:"t1lib~5.1.1~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"t1lib-devel", rpm:"t1lib-devel~5.1.1~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"t1lib-debuginfo", rpm:"t1lib-debuginfo~5.1.1~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"t1lib", rpm:"t1lib~5.1.1~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}