###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for pidgin FEDORA-2007-2368
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861010);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2007-2368");
  script_cve_id("CVE-2007-4996");
  script_name(english: "Fedora Update for pidgin FEDORA-2007-2368");
  desc["english"] = "

  Vulnerability Insight:
  Pidgin allows you to talk to anyone using a variety of messaging
  protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
  ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
  Zephyr.  These protocols are implemented using a modular, easy to
  use design.  To use a protocol, just add an account using the
  account editor.
  
  Pidgin supports many common features of other clients, as well as many
  unique features, such as perl scripting, TCL scripting and C plugins.
  
  Pidgin is not affiliated with or endorsed by America Online, Inc.,
  Microsoft Corporation, Yahoo! Inc., or ICQ Inc.


  Affected Software/OS:
  pidgin on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2007-October/msg00036.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of pidgin");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"pidgin", rpm:"pidgin~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"finch", rpm:"finch~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"pidgin", rpm:"pidgin~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libpurple-devel", rpm:"libpurple-devel~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"pidgin-perl", rpm:"pidgin-perl~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libpurple-tcl", rpm:"libpurple-tcl~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libpurple", rpm:"libpurple~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"finch-devel", rpm:"finch-devel~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"pidgin-debuginfo", rpm:"pidgin-debuginfo~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"pidgin-devel", rpm:"pidgin-devel~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libpurple-perl", rpm:"libpurple-perl~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libpurple-perl", rpm:"libpurple-perl~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libpurple-devel", rpm:"libpurple-devel~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"pidgin-devel", rpm:"pidgin-devel~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"finch-devel", rpm:"finch-devel~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"pidgin-perl", rpm:"pidgin-perl~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"finch", rpm:"finch~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libpurple", rpm:"libpurple~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"pidgin-debuginfo", rpm:"pidgin-debuginfo~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"pidgin", rpm:"pidgin~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libpurple-tcl", rpm:"libpurple-tcl~2.2.1~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}