###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for rss-glx FEDORA-2007-2652
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861461);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2007-2652");
  script_cve_id("CVE-2007-5585");
  script_name(english: "Fedora Update for rss-glx FEDORA-2007-2652");
  desc["english"] = "

  Vulnerability Insight:
  A port of the Really Slick Screensavers to GLX. Provides several visually
  impressive and graphically intensive screensavers.
  
  Note that this package contains only the display hacks themselves; you will
  need to install the appropriate subpackage for your desktop environment in
  order to use them as screensavers.


  Affected Software/OS:
  rss-glx on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2007-October/msg00335.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of rss-glx");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"rss-glx", rpm:"rss-glx~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"rss-glx-kde", rpm:"rss-glx-kde~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"rss-glx-xscreensaver", rpm:"rss-glx-xscreensaver~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"rss-glx", rpm:"rss-glx~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"rss-glx-debuginfo", rpm:"rss-glx-debuginfo~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"rss-glx-gnome-screensaver", rpm:"rss-glx-gnome-screensaver~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"rss-glx", rpm:"rss-glx~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"rss-glx-xscreensaver", rpm:"rss-glx-xscreensaver~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"rss-glx-debuginfo", rpm:"rss-glx-debuginfo~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"rss-glx-gnome-screensaver", rpm:"rss-glx-gnome-screensaver~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"rss-glx-kde", rpm:"rss-glx-kde~0.8.1.p~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}