###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for openvrml FEDORA-2007-2686
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861486);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2007-2686");
  script_cve_id("");
  script_name(english: "Fedora Update for openvrml FEDORA-2007-2686");
  desc["english"] = "

  Vulnerability Insight:
  OpenVRML is a VRML/X3D support library, including a runtime and facilities
  for reading and displaying VRML and X3D models.


  Affected Software/OS:
  openvrml on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2007-October/msg00392.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of openvrml");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"openvrml", rpm:"openvrml~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-gl", rpm:"openvrml-gl~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-mozilla-plugin", rpm:"openvrml-mozilla-plugin~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml", rpm:"openvrml~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-player", rpm:"openvrml-player~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-xembed", rpm:"openvrml-xembed~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-debuginfo", rpm:"openvrml-debuginfo~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-gl-devel", rpm:"openvrml-gl-devel~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-devel", rpm:"openvrml-devel~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-player", rpm:"openvrml-player~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-gl-devel", rpm:"openvrml-gl-devel~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-devel", rpm:"openvrml-devel~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-mozilla-plugin", rpm:"openvrml-mozilla-plugin~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-gl", rpm:"openvrml-gl~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-debuginfo", rpm:"openvrml-debuginfo~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml-xembed", rpm:"openvrml-xembed~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openvrml", rpm:"openvrml~0.16.6~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}