###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for xfce4-places-plugin FEDORA-2007-4368
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861020);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2007-4368");
  script_cve_id("");
  script_name(english: "Fedora Update for xfce4-places-plugin FEDORA-2007-4368");
  desc["english"] = "

  Vulnerability Insight:
  A menu with quick access to folders, documents, and removable media. The
  Places plugin brings much of the functionality of GNOME’s Places menu to
  Xfce. It puts a simple button on the panel. Clicking on this button opens up
  a menu with 4 sections:
  1) System-defined directories (home folder, trash, desktop, file system)
  2) Removable media (using thunar-vfs)
  3) User-defined bookmarks (reads ~/.gtk-bookmarks)
  4) Recent documents submenu (requires GTK v2.10 or greater)


  Affected Software/OS:
  xfce4-places-plugin on Fedora 8

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2007-December/msg00559.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of xfce4-places-plugin");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC8")
{

  if(isrpmvuln(pkg:"xfce4-places-plugin", rpm:"xfce4-places-plugin~1.0.0~2.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xfce4-places-plugin-debuginfo", rpm:"xfce4-places-plugin-debuginfo~1.0.0~2.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xfce4-places-plugin", rpm:"xfce4-places-plugin~1.0.0~2.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xfce4-places-plugin-debuginfo", rpm:"xfce4-places-plugin-debuginfo~1.0.0~2.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xfce4-places-plugin", rpm:"xfce4-places-plugin~1.0.0~2.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}