###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for epiphany FEDORA-2007-552
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861505);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2007-552");
  script_cve_id("CVE-2007-2867", "CVE-2007-2868", "CVE-2007-1562", "CVE-2007-1362", "CVE-2007-2869", "CVE-2007-1558", "CVE-2007-2870", "CVE-2007-2871");
  script_name(english: "Fedora Update for epiphany FEDORA-2007-552");
  desc["english"] = "

  Vulnerability Insight:
  epiphany is a simple GNOME web browser based on the Mozilla rendering
  engine


  Affected Software/OS:
  epiphany on Fedora Core 5

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2007-May/msg00069.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of epiphany");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC5")
{

  if(isrpmvuln(pkg:"epiphany", rpm:"epiphany~2.14.3~6.fc5", rls:"FC5"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"x86_64/epiphany", rpm:"x86_64/epiphany~2.14.3~6.fc5", rls:"FC5"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"x86_64/debug/epiphany-debuginfo", rpm:"x86_64/debug/epiphany-debuginfo~2.14.3~6.fc5", rls:"FC5"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"x86_64/epiphany-devel", rpm:"x86_64/epiphany-devel~2.14.3~6.fc5", rls:"FC5"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"i386/epiphany-devel", rpm:"i386/epiphany-devel~2.14.3~6.fc5", rls:"FC5"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"i386/epiphany", rpm:"i386/epiphany~2.14.3~6.fc5", rls:"FC5"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"i386/debug/epiphany-debuginfo", rpm:"i386/debug/epiphany-debuginfo~2.14.3~6.fc5", rls:"FC5"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}