###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for xen FEDORA-2007-713
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861596);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2007-713");
  script_cve_id("CVE-2007-1320", "CVE-2007-1321", "CVE-2007-4993");
  script_name(english: "Fedora Update for xen FEDORA-2007-713");
  desc["english"] = "

  Vulnerability Insight:
  This package contains the Xen hypervisor and Xen tools, needed to
  run virtual machines on x86 systems, together with the kernel-xen*
  packages.  Information on how to use Xen can be found at the Xen
  project pages.
  
  Virtualisation can be used to run multiple versions or multiple
  Linux distributions on one system, or to test untrusted applications
  in a sandboxed environment.


  Affected Software/OS:
  xen on Fedora Core 6

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2007-October/msg00082.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of xen");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC6")
{

  if(isrpmvuln(pkg:"xen", rpm:"xen~3.0.3~12.fc6", rls:"FC6"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"x86_64/xen-libs", rpm:"x86_64/xen-libs~3.0.3~12.fc6", rls:"FC6"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"x86_64/xen-devel", rpm:"x86_64/xen-devel~3.0.3~12.fc6", rls:"FC6"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"x86_64/debug/xen-debuginfo", rpm:"x86_64/debug/xen-debuginfo~3.0.3~12.fc6", rls:"FC6"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"x86_64/xen", rpm:"x86_64/xen~3.0.3~12.fc6", rls:"FC6"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"i386/debug/xen-debuginfo", rpm:"i386/debug/xen-debuginfo~3.0.3~12.fc6", rls:"FC6"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"i386/xen", rpm:"i386/xen~3.0.3~12.fc6", rls:"FC6"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"i386/xen-devel", rpm:"i386/xen-devel~3.0.3~12.fc6", rls:"FC6"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"i386/xen-libs", rpm:"i386/xen-libs~3.0.3~12.fc6", rls:"FC6"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}