###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for asterisk FEDORA-2008-0198
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860433);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-0198");
  script_cve_id("");
  script_name(english: "Fedora Update for asterisk FEDORA-2008-0198");
  desc["english"] = "

  Vulnerability Insight:
  Asterisk is a complete PBX in software. It runs on Linux and provides
  all of the features you would expect from a PBX and more. Asterisk
  does voice over IP in three protocols, and can interoperate with
  almost all standards-based telephony equipment using relatively
  inexpensive hardware.


  Affected Software/OS:
  asterisk on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-January/msg00166.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of asterisk");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"asterisk", rpm:"asterisk~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-debuginfo", rpm:"asterisk-debuginfo~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-zaptel", rpm:"asterisk-zaptel~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-voicemail-plain", rpm:"asterisk-voicemail-plain~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-voicemail-odbc", rpm:"asterisk-voicemail-odbc~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-voicemail-imap", rpm:"asterisk-voicemail-imap~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-voicemail", rpm:"asterisk-voicemail~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-tds", rpm:"asterisk-tds~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-snmp", rpm:"asterisk-snmp~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-skinny", rpm:"asterisk-skinny~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-radius", rpm:"asterisk-radius~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-postgresql", rpm:"asterisk-postgresql~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-oss", rpm:"asterisk-oss~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-odbc", rpm:"asterisk-odbc~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-mobile", rpm:"asterisk-mobile~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-misdn", rpm:"asterisk-misdn~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-jabber", rpm:"asterisk-jabber~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-firmware", rpm:"asterisk-firmware~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-festival", rpm:"asterisk-festival~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-fax", rpm:"asterisk-fax~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-devel", rpm:"asterisk-devel~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-curl", rpm:"asterisk-curl~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-conference", rpm:"asterisk-conference~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-alsa", rpm:"asterisk-alsa~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk", rpm:"asterisk~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-alsa", rpm:"asterisk-alsa~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-debuginfo", rpm:"asterisk-debuginfo~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-oss", rpm:"asterisk-oss~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk", rpm:"asterisk~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-zaptel", rpm:"asterisk-zaptel~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-voicemail", rpm:"asterisk-voicemail~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-voicemail-plain", rpm:"asterisk-voicemail-plain~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-skinny", rpm:"asterisk-skinny~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-jabber", rpm:"asterisk-jabber~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-tds", rpm:"asterisk-tds~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-mobile", rpm:"asterisk-mobile~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-snmp", rpm:"asterisk-snmp~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-fax", rpm:"asterisk-fax~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-voicemail-odbc", rpm:"asterisk-voicemail-odbc~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-odbc", rpm:"asterisk-odbc~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-festival", rpm:"asterisk-festival~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-conference", rpm:"asterisk-conference~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-misdn", rpm:"asterisk-misdn~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-radius", rpm:"asterisk-radius~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-curl", rpm:"asterisk-curl~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-firmware", rpm:"asterisk-firmware~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-voicemail-imap", rpm:"asterisk-voicemail-imap~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-postgresql", rpm:"asterisk-postgresql~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"asterisk-devel", rpm:"asterisk-devel~1.4.17~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}