###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for boost FEDORA-2008-0880
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860006);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-0880");
  script_cve_id("CVE-2008-0171", "CVE-2008-0172");
  script_name(english: "Fedora Update for boost FEDORA-2008-0880");
  desc["english"] = "

  Vulnerability Insight:
  Boost provides free peer-reviewed portable C++ source libraries.  The
  emphasis is on libraries which work well with the C++ Standard
  Library, in the hopes of establishing &quot;existing practice&quot; for
  extensions and providing reference implementations so that the Boost
  libraries are suitable for eventual standardization. (Some of the
  libraries have already been proposed for inclusion in the C++
  Standards Committee's upcoming C++ Standard Library Technical Report.)


  Affected Software/OS:
  boost on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-January/msg00760.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of boost");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"boost", rpm:"boost~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"boost-debuginfo", rpm:"boost-debuginfo~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"boost-doc", rpm:"boost-doc~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"boost-devel-static", rpm:"boost-devel-static~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"boost-devel", rpm:"boost-devel~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"boost", rpm:"boost~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"boost-debuginfo", rpm:"boost-debuginfo~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"boost-doc", rpm:"boost-doc~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"boost-devel-static", rpm:"boost-devel-static~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"boost-devel", rpm:"boost-devel~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"boost", rpm:"boost~1.33.1~15.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}