###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for grip FEDORA-2008-10126
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860753);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-10126");
  script_cve_id("CVE-2005-0706");
  script_name(english: "Fedora Update for grip FEDORA-2008-10126");
  desc["english"] = "

  Vulnerability Insight:
  Grip is a GTK+ based front-end for CD rippers (such as cdparanoia and
  cdda2wav) and Ogg Vorbis encoders. Grip allows you to rip entire tracks or
  just a section of a track. Grip supports the CDDB protocol for
  accessing track information on disc database servers.


  Affected Software/OS:
  grip on Fedora 10

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-December/msg00183.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of grip");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC10")
{

  if(isrpmvuln(pkg:"grip", rpm:"grip~3.2.0~24.fc10", rls:"FC10"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}