###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for blender FEDORA-2008-10448
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860103);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-10448");
  script_cve_id("CVE-2008-4863");
  script_name(english: "Fedora Update for blender FEDORA-2008-10448");
  desc["english"] = "

  Vulnerability Insight:
  Blender is the essential software solution you need for 3D, from modeling,
  animation, rendering and post-production to interactive creation and playback.
  
  Professionals and novices can easily and inexpensively publish stand-alone,
  secure, multi-platform content to the web, CD-ROMs, and other media.
  
  This version doesn't contains ffmpeg support, so that any features may be not
  available.


  Affected Software/OS:
  blender on Fedora 10

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-December/msg00178.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of blender");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC10")
{

  if(isrpmvuln(pkg:"blender", rpm:"blender~2.48a~4.fc10", rls:"FC10"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}