###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for gallery2 FEDORA-2008-11218
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860533);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-11218");
  script_cve_id("CVE-2008-3662", "CVE-2008-4129", "CVE-2008-4130");
  script_name(english: "Fedora Update for gallery2 FEDORA-2008-11218");
  desc["english"] = "

  Vulnerability Insight:
  The base Gallery 2 installation - the equivalent of upstream's -minimal
  package.  This package requires a database to be operational.  Acceptable
  database backends include MySQL v 3.x, MySQL v 4.x, PostgreSQL v 7.x,
  PostgreSQL v 8.x, Oracle 9i, Oracle 10g, DB2, and MS SQL Server.  All given
  package versions are minimums, greater package versions are acceptable.


  Affected Software/OS:
  gallery2 on Fedora 10

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-December/msg00781.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of gallery2");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC10")
{

  if(isrpmvuln(pkg:"gallery2", rpm:"gallery2~2.3~1.fc10", rls:"FC10"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}