###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for duplicity FEDORA-2008-1584
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860639);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-1584");
  script_cve_id("CVE-2007-5201");
  script_name(english: "Fedora Update for duplicity FEDORA-2008-1584");
  desc["english"] = "

  Vulnerability Insight:
  Duplicity incrementally backs up files and directory by encrypting
  tar-format volumes with GnuPG and uploading them to a remote (or
  local) file server. In theory many protocols for connecting to a
  file server could be supported; so far ssh/scp, local file access,
  rsync, ftp, HSI, WebDAV and Amazon S3 have been written.
  
  Because duplicity uses librsync, the incremental archives are space
  efficient and only record the parts of files that have changed since
  the last backup. Currently duplicity supports deleted files, full
  unix permissions, directories, symbolic links, fifos, device files,
  but not hard links.


  Affected Software/OS:
  duplicity on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00445.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of duplicity");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"duplicity", rpm:"duplicity~0.4.9~1.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}