###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for qemu FEDORA-2008-2001
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860163);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-2001");
  script_cve_id("");
  script_name(english: "Fedora Update for qemu FEDORA-2008-2001");
  desc["english"] = "

  Vulnerability Insight:
  QEMU is a generic and open source processor emulator which achieves a good
  emulation speed by using dynamic translation. QEMU has two operating modes:
  
   * Full system emulation. In this mode, QEMU emulates a full system (for
     example a PC), including a processor and various peripherials. It can be
     used to launch different Operating Systems without rebooting the PC or
     to debug system code.
   * User mode emulation. In this mode, QEMU can launch Linux processes compiled
     for one CPU on another CPU.
  
  As QEMU requires no host kernel patches to run, it is safe and easy to use.


  Affected Software/OS:
  qemu on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00857.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of qemu");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"qemu", rpm:"qemu~0.9.0~4.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}