###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for turba FEDORA-2008-2087
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860091);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-2087");
  script_cve_id("CVE-2007-6018", "CVE-2008-0807");
  script_name(english: "Fedora Update for turba FEDORA-2008-2087");
  desc["english"] = "

  Vulnerability Insight:
  Turba is the Horde contact management application, which allows access
  to and storage of personal contacts (including name, email address,
  phone number, and other easily customizable fields).  Turba integrates
  with IMP (Horde's webmail application) as its address book.
  
  The Horde Project writes web applications in PHP and releases them under
  Open Source licenses.  For more information (including help with Turba)
  please visit <a  rel= &qt nofollow &qt  href= &qt http://www.horde.org/ &qt >http://www.horde.org/</a>.


  Affected Software/OS:
  turba on Fedora 8

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00927.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of turba");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC8")
{

  if(isrpmvuln(pkg:"turba", rpm:"turba~2.1.7~1.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}