###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for Miro FEDORA-2008-2682
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860713);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-2682");
  script_cve_id("CVE-2008-1233", "CVE-2008-1235", "CVE-2008-1236", "CVE-2008-1237", "CVE-2008-1234", "CVE-2008-1238", "CVE-2008-1241");
  script_name(english: "Fedora Update for Miro FEDORA-2008-2682");
  desc["english"] = "

  Vulnerability Insight:
  Miro is a free application that turns your computer into an
  internet TV video player. This release is still a beta version, which means
  that there are some bugs, but we're moving quickly to fix them and will be
  releasing bug fixes on a regular basis.


  Affected Software/OS:
  Miro on Fedora 8

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-March/msg00577.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of Miro");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC8")
{

  if(isrpmvuln(pkg:"Miro", rpm:"Miro~1.1.2~2.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}