###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for midori FEDORA-2008-3415
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860210);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-3415");
  script_cve_id("CVE-2008-1010", "CVE-2008-1011");
  script_name(english: "Fedora Update for midori FEDORA-2008-3415");
  desc["english"] = "

  Vulnerability Insight:
  Midori is a lightweight web browser, and has many features expected of a
  modern browser, including:
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Bookmarks are stored with XBEL.
  * Searchbox based on OpenSearch.
  * Custom context menu actions.
  * User scripts and user styles support.
  * Extensible via Lua scripts.
  
  The project is currently in an early alpha state. The features are still being
  implemented, and some are still quite incomplete.


  Affected Software/OS:
  midori on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-April/msg00623.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of midori");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"midori", rpm:"midori~0.0.17~3.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}