###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for zoneminder FEDORA-2008-3516
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860782);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-3516");
  script_cve_id("CVE-2008-1381");
  script_name(english: "Fedora Update for zoneminder FEDORA-2008-3516");
  desc["english"] = "

  Vulnerability Insight:
  ZoneMinder is a set of applications which is intended to provide a complete
  solution allowing you to capture, analyse, record and monitor any cameras you
  have attached to a Linux based machine. It is designed to run on kernels which
  support the Video For Linux (V4L) interface and has been tested with cameras
  attached to BTTV cards, various USB cameras and IP network cameras. It is
  designed to support as many cameras as you can attach to your computer without
  too much degradation of performance. This package includes cambozola.jar.


  Affected Software/OS:
  zoneminder on Fedora 7

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-May/msg00078.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of zoneminder");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC7")
{

  if(isrpmvuln(pkg:"zoneminder", rpm:"zoneminder~1.22.3~8.fc7", rls:"FC7"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}