###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for libvorbis FEDORA-2008-3910
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860665);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-3910");
  script_cve_id("CVE-2008-1419", "CVE-2008-1420", "CVE-2008-1423");
  script_name(english: "Fedora Update for libvorbis FEDORA-2008-3910");
  desc["english"] = "

  Vulnerability Insight:
  Ogg Vorbis is a fully open, non-proprietary, patent- and royalty-free,
  general-purpose compressed audio format for audio and music at fixed
  and variable bitrates from 16 to 128 kbps/channel.
  
  The libvorbis package contains runtime libraries for use in programs
  that support Ogg Vorbis.


  Affected Software/OS:
  libvorbis on Fedora 9

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-May/msg00256.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of libvorbis");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC9")
{

  if(isrpmvuln(pkg:"libvorbis", rpm:"libvorbis~1.2.0~4.fc9", rls:"FC9"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}