###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for dbmail FEDORA-2008-4245
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860589);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-4245");
  script_cve_id("CVE-2007-6714");
  script_name(english: "Fedora Update for dbmail FEDORA-2008-4245");
  desc["english"] = "

  Vulnerability Insight:
  Dbmail is the name of a group of programs that enable the possiblilty of
  storing and retrieving mail messages from a database.
  
  Currently dbmail supports the following database backends:
  MySQL
  PostgreSQL
  
  SQLite
  
  
  Please see /usr/share/doc/dbmail-*/README.fedora for specific information on
  installation and configuration in Fedora.


  Affected Software/OS:
  dbmail on Fedora 9

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-July/msg01094.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of dbmail");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC9")
{

  if(isrpmvuln(pkg:"dbmail", rpm:"dbmail~2.2.9~1.fc9", rls:"FC9"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}