###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for libpng FEDORA-2008-4847
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860317);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-4847");
  script_cve_id("CVE-2008-1382");
  script_name(english: "Fedora Update for libpng FEDORA-2008-4847");
  desc["english"] = "

  Vulnerability Insight:
  The libpng package contains a library of functions for creating and
  manipulating PNG (Portable Network Graphics) image format files.  PNG
  is a bit-mapped graphics format similar to the GIF format.  PNG was
  created to replace the GIF format, since GIF uses a patented data
  compression algorithm.
  
  Libpng should be installed if you need to manipulate PNG format image
  files.


  Affected Software/OS:
  libpng on Fedora 8

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-June/msg00033.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of libpng");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC8")
{

  if(isrpmvuln(pkg:"libpng", rpm:"libpng~1.2.29~1.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}