###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for pcre FEDORA-2008-6111
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860310);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-6111");
  script_cve_id("CVE-2008-2371", "CVE-2008-0674");
  script_name(english: "Fedora Update for pcre FEDORA-2008-6111");
  desc["english"] = "

  Vulnerability Insight:
  Perl-compatible regular expression library.
  PCRE has its own native API, but a set of &quot;wrapper&quot; functions that are based on
  the POSIX API are also supplied in the library libpcreposix. Note that this
  just provides a POSIX calling interface to PCRE: the regular expressions
  themselves still follow Perl syntax and semantics. The header file
  for the POSIX-style functions is called pcreposix.h.


  Affected Software/OS:
  pcre on Fedora 8

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00182.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of pcre");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC8")
{

  if(isrpmvuln(pkg:"pcre", rpm:"pcre~7.3~4.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}