###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for wireshark FEDORA-2008-6440
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860721);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-6440");
  script_cve_id("CVE-2008-3140", "CVE-2008-3137", "CVE-2008-3145", "CVE-2008-3138", "CVE-2008-3141", "CVE-2008-3139");
  script_name(english: "Fedora Update for wireshark FEDORA-2008-6440");
  desc["english"] = "

  Vulnerability Insight:
  Wireshark is a network traffic analyzer for Unix-ish operating systems.
  
  This package lays base for libpcap, a packet capture and filtering
  library, contains command-line utilities, contains plugins and
  documentation for wireshark. A graphical user interface is packaged
  separately to GTK+ package.


  Affected Software/OS:
  wireshark on Fedora 9

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00544.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of wireshark");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC9")
{

  if(isrpmvuln(pkg:"wireshark", rpm:"wireshark~1.0.2~1.fc9", rls:"FC9"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}