###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for adminutil FEDORA-2008-7642
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860972);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-7642");
  script_cve_id("CVE-2008-2928", "CVE-2008-2929", "CVE-2008-2932");
  script_name(english: "Fedora Update for adminutil FEDORA-2008-7642");
  desc["english"] = "

  Vulnerability Insight:
  adminutil is libraries of functions used to administer directory
  servers, usually in conjunction with the admin server.  adminutil is
  broken into two libraries - libadminutil contains the basic
  functionality, and libadmsslutil contains SSL versions and wrappers
  around the basic functions.  The PSET functions allow applications to
  store their preferences and configuration parameters in LDAP, without
  having to know anything about LDAP.  The configuration is cached in a
  local file, allowing applications to function even if the LDAP server
  is down.  The other code is typically used by CGI programs used for
  directory server management, containing GET/POST processing code as
  well as resource handling (ICU ures API).


  Affected Software/OS:
  adminutil on Fedora 8

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-September/msg00218.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of adminutil");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC8")
{

  if(isrpmvuln(pkg:"adminutil", rpm:"adminutil~1.1.7~1.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}