###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for httrack FEDORA-2008-7896
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(860767);
  script_version("$Revision: 1.0 $");
  script_xref(name: "FEDORA", value: "2008-7896");
  script_cve_id("CVE-2008-3429");
  script_name(english: "Fedora Update for httrack FEDORA-2008-7896");
  desc["english"] = "

  Vulnerability Insight:
  HTTrack is a free and easy-to-use offline browser utility.
  
  It allows the user to download a World Wide Web site from the Internet to a
  local directory, building recursively all directories, getting HTML, images,
  and other files from the server to your computer. HTTrack arranges the
  original site's relative link-structure. HTTrack can also update an existing
  mirrored site, and resume interrupted downloads. HTTrack is fully
  configurable, and has an integrated help system.


  Affected Software/OS:
  httrack on Fedora 8

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2008-September/msg00711.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of httrack");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC8")
{

  if(isrpmvuln(pkg:"httrack", rpm:"httrack~3.42.93~1.fc8", rls:"FC8"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}