###############################################################################
# OpenVAS Vulnerability Test
#
# HP-UX Update for JRE Bytecode Verifier HPSBUX00187
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(835132);
  script_version("$Revision: 1.0 $");
  script_xref(name: "HPSBUX", value: "00187");
  script_cve_id("");
  script_name(english: "HP-UX Update for JRE Bytecode Verifier HPSBUX00187");
  desc["english"] = "

  Vulnerability Insight:
  A vulnerability in Java(TM) Java Runtime Environment (JRE) Bytecode Verifier 
  may allow remote unauthorized access. 

  Impact:
  Remote increased privilege.

  Affected Software/OS:
  JRE Bytecode Verifier on
  HP-UX B.10.20, B.11.00, B.11.11, B.11.23 

  Fix: Please Install the Updated Packages.

  References:
  http://www11.itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c01035761-1

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of JRE Bytecode Verifier");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"HP-UX Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-hpux.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "HPUX11.22")
{

  if(ishpuxpkgvuln(pkg:"JRE 1.1", revision:"1.1.8.06", rls:"HPUX11.22"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"JRE 1.2", revision:"1.1.8.06", rls:"HPUX11.22"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"JRE 1.3", revision:"1.1.8.06", rls:"HPUX11.22"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.23")
{

  if(ishpuxpkgvuln(pkg:"JRE 1.1", revision:"1.1.8.06", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"JRE 1.2", revision:"1.1.8.06", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"JRE 1.3", revision:"1.1.8.06", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX10.20")
{

  if(ishpuxpkgvuln(pkg:"JRE 1.1", revision:"1.1.8.06", rls:"HPUX10.20"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.11")
{

  if(ishpuxpkgvuln(pkg:"JRE 1.1", revision:"1.1.8.06", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"JRE 1.2", revision:"1.1.8.06", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"JRE 1.3", revision:"1.1.8.06", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}