###############################################################################
# OpenVAS Vulnerability Test
#
# HP-UX Update for ARPA Transport HPSBUX00205
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(835185);
  script_version("$Revision: 1.0 $");
  script_xref(name: "HPSBUX", value: "00205");
  script_cve_id("CVE-2001-0328");
  script_name(english: "HP-UX Update for ARPA Transport HPSBUX00205");
  desc["english"] = "

  Vulnerability Insight:
  TCP Initial Sequence Number (ISN) randomization specified in RFC 1948 is 
  available for HP-UX. 

  Impact:
  Advisory only.

  Affected Software/OS:
  ARPA Transport on
  HP-UX B.11.00, B.11.04, B.11.11 running ARPA Transport. 

  Fix: Please Install the Updated Packages.

  References:
  http://www11.itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c01336000-1

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of ARPA Transport");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"HP-UX Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-hpux.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "HPUX11.00")
{

  if(ishpuxpkgvuln(pkg:"Networking.NET-KRN", patch_list:['PHNE_26771'], rls:"HPUX11.00"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.04")
{

  if(ishpuxpkgvuln(pkg:"Networking.NET-KRN", patch_list:['PHNE_26101'], rls:"HPUX11.04"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.11")
{

  if(ishpuxpkgvuln(pkg:"Networking.NET-KRN", patch_list:['PHNE_25644'], rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}