###############################################################################
# OpenVAS Vulnerability Test
#
# HP-UX Update for LP subsystem HPSBUX00213
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(835010);
  script_version("$Revision: 1.0 $");
  script_xref(name: "HPSBUX", value: "00213");
  script_cve_id("");
  script_name(english: "HP-UX Update for LP subsystem HPSBUX00213");
  desc["english"] = "

  Vulnerability Insight:
  A vulnerability in the lp subsystem may allow local users to create a denial 
  of service (DoS). 

  Impact:
  Local denial of service in lp subsystem.

  Affected Software/OS:
  LP subsystem on
  HP-UX release B.10.20, B.11.00, and B.11.11. 

  Fix: Please Install the Updated Packages.

  References:
  http://www11.itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c01035668-1

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of LP subsystem");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"HP-UX Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-hpux.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "HPUX11.00")
{

  if(ishpuxpkgvuln(pkg:"PrinterMgmt.LP-SPOOL", patch_list:['PHCO_27132'], rls:"HPUX11.00"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX10.20")
{

  if(ishpuxpkgvuln(pkg:"PrinterMgmt.LP-SPOOL", patch_list:['PHCO_27133'], rls:"HPUX10.20"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.11")
{

  if(ishpuxpkgvuln(pkg:"PrinterMgmt.LP-SPOOL", patch_list:['PHCO_27020'], rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}
