###############################################################################
# OpenVAS Vulnerability Test
#
# HP-UX Update for Aries PA Emulator HPSBUX02285
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(835126);
  script_version("$Revision: 1.0 $");
  script_xref(name: "HPSBUX", value: "02285");
  script_cve_id("");
  script_name(english: "HP-UX Update for Aries PA Emulator HPSBUX02285");
  desc["english"] = "

  Vulnerability Insight:
  A potential security vulnerability has been identified in the Aries PA-RISC 
  emulation software running on HP-UX IA-64 platforms only. This vulnerability 
  may allow local unauthorized access. 

  Impact:
  Local unauthorized access

  Affected Software/OS:
  Aries PA Emulator on
  HP-UX B.11.23 (IA), and B.11.31 running all versions of Aries PA-RISC 
  emulation software. 

  Fix: Please Install the Updated Packages.

  References:
  http://www11.itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c01241483-1

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of Aries PA Emulator");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"HP-UX Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-hpux.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "HPUX11.31")
{

  if(ishpuxpkgvuln(pkg:"OS-Core.CORE2-64SLIB", patch_list:['PHSS_36311'], rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"OS-Core.CORE2-SHLIBS", patch_list:['PHSS_36311'], rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.23")
{

  if(ishpuxpkgvuln(pkg:"OS-Core.CORE2-64SLIB", patch_list:['PHSS_35528'], rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"OS-Core.CORE2-SHLIBS", patch_list:['PHSS_35528'], rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}