###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for perl-SOAP-Lite MDKA-2007:009 (perl-SOAP-Lite)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830148);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKA", value: "2007:009");
  script_cve_id("");
  script_name(english: "Mandriva Update for perl-SOAP-Lite MDKA-2007:009 (perl-SOAP-Lite)");
  desc["english"] = "

  Vulnerability Insight:

  SOAP::Lite makes use of auto-generated methods with names that clash
  with methods exported by UNIVERSAL::require.  As a result, using the
  two modules simultaneously will result in an immediate program crash.
  
  The package has been patched with an upstream fix to correct the issue.

  Affected Software/OS:
  perl-SOAP-Lite on Mandriva Linux 2007.0,
  Mandriva Linux 2007.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-01/msg00021.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of perl-SOAP-Lite");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.0")
{

  if(isrpmvuln(pkg:"perl-SOAP-Lite", rpm:"perl-SOAP-Lite~0.69~2.1mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}