###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for timezone MDKA-2007:018-1 (timezone)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830205);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKA", value: "2007:018-1");
  script_cve_id("");
  script_name(english: "Mandriva Update for timezone MDKA-2007:018-1 (timezone)");
  desc["english"] = "

  Vulnerability Insight:

  Updated timezone packages are being provided for older Mandriva Linux
  systems that do not contain the new Daylight Savings Time information
  for 2007 for certain time zones.  These updated packages contain the
  new information.
  
  Update:
  
  This update addresses timezone files such as Canada/Mountain that had
  not been previously updated to the DST information.  While files such
  as MST7MDT were updated, the counterpart files such as Canada/Mountain
  or America/Edmonton, etc. were not.  This update addresses that and
  also ensures that the new timezone information is copied over
  /etc/localtime so no further configuration is required.

  Affected Software/OS:
  timezone on Mandriva Linux 2006.0,
  Mandriva Linux 2006.0/X86_64,
  Mandriva Linux 2007.0,
  Mandriva Linux 2007.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-03/msg00012.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of timezone");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.0")
{

  if(isrpmvuln(pkg:"timezone-2007c", rpm:"timezone-2007c~1.1mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "MNDK_2006.0")
{

  if(isrpmvuln(pkg:"timezone-2007c", rpm:"timezone-2007c~0.1.20060mdk", rls:"MNDK_2006.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}