###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for php-session MDKA-2007:027 (php-session)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830278);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKA", value: "2007:027");
  script_cve_id("");
  script_name(english: "Mandriva Update for php-session MDKA-2007:027 (php-session)");
  desc["english"] = "

  Vulnerability Insight:

  The php-session package includes a cron setting to remove PHP sessions
  that are no longer in use.  Previously, it could expire the session
  even if it was still in use.  This update will prevent the cron job
  from removing sessions that are still actively being used, and will
  only expire after the last action done in the session is older than
  the number of minutes defined in /var/lib/php/maxlifetime.

  Affected Software/OS:
  php-session on Mandriva Linux 2007.0,
  Mandriva Linux 2007.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-04/msg00031.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of php-session");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.0")
{

  if(isrpmvuln(pkg:"php-session", rpm:"php-session~5.1.6~1.2mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}