###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for gnome-vfs2 MDKA-2007:060 (gnome-vfs2)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830122);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKA", value: "2007:060");
  script_cve_id("");
  script_name(english: "Mandriva Update for gnome-vfs2 MDKA-2007:060 (gnome-vfs2)");
  desc["english"] = "

  Vulnerability Insight:

  Unionfs filesystems were not being recognized as supporting trash for
  GNOME applications.  This was preventing the Flash-based product to
  have a fully functional trash under the GNOME desktop environment.
  This update fixes the bug and improves performance for XFS filesystem
  users as well.

  Affected Software/OS:
  gnome-vfs2 on Mandriva Linux 2007.1,
  Mandriva Linux 2007.1/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-06/msg00023.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of gnome-vfs2");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.1")
{

  if(isrpmvuln(pkg:"gnome-vfs2", rpm:"gnome-vfs2~2.18.1~2.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libgnome-vfs2_0", rpm:"libgnome-vfs2_0~2.18.1~2.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libgnome-vfs2_0-devel", rpm:"libgnome-vfs2_0-devel~2.18.1~2.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"lib64gnome-vfs2_0", rpm:"lib64gnome-vfs2_0~2.18.1~2.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"lib64gnome-vfs2_0-devel", rpm:"lib64gnome-vfs2_0-devel~2.18.1~2.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}