###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for hal MDKA-2007:088-1 (hal)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830085);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKA", value: "2007:088-1");
  script_cve_id("");
  script_name(english: "Mandriva Update for hal MDKA-2007:088-1 (hal)");
  desc["english"] = "

  Vulnerability Insight:

  HAL daemon could use 100% cpu when some non storage SCSI peripheral
  when connected to a system.
  
  Update packages fix this issue by upgrading to new version 0.5.9.1,
  as well as other stability fixes and improved suspend/hibernation
  for some laptops.
  
  Update:
  
  An error was introduced in the previous hal-info bugfix update
  that prevented suspend for IBM-based laptops.  This package fixes
  the error and adds additional laptops to the suspend/hibernation
  compatibility list.
  
  As well, the cryptsetup-luks packages are being made available as
  they weren't available on all CD/DVD install media.

  Affected Software/OS:
  hal on Mandriva Linux 2007.1,
  Mandriva Linux 2007.1/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-08/msg00016.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of hal");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.1")
{

  if(isrpmvuln(pkg:"cryptsetup-luks", rpm:"cryptsetup-luks~1.0.3~1.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"hal-info", rpm:"hal-info~0.0~5.20070725.3mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libcryptsetup0", rpm:"libcryptsetup0~1.0.3~1.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libcryptsetup0-devel", rpm:"libcryptsetup0-devel~1.0.3~1.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"lib64cryptsetup0", rpm:"lib64cryptsetup0~1.0.3~1.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"lib64cryptsetup0-devel", rpm:"lib64cryptsetup0-devel~1.0.3~1.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}