###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for ia_ora-gnome MDKA-2007:125 (ia_ora-gnome)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830245);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKA", value: "2007:125");
  script_cve_id("");
  script_name(english: "Mandriva Update for ia_ora-gnome MDKA-2007:125 (ia_ora-gnome)");
  desc["english"] = "

  Vulnerability Insight:

  An invalid memory disallocation in the Ia_Ora GTK theme could cause
  a crash in the GIMP when using the GIMP Small theme.  This updated
  package corrects the issue.

  Affected Software/OS:
  ia_ora-gnome on Mandriva Linux 2008.0,
  Mandriva Linux 2008.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-12/msg00000.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of ia_ora-gnome");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2008.0")
{

  if(isrpmvuln(pkg:"ia_ora-gnome", rpm:"ia_ora-gnome~1.0.17~1mdv2008.0", rls:"MNDK_2008.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libia_ora-gnome", rpm:"libia_ora-gnome~1.0.17~1mdv2008.0", rls:"MNDK_2008.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"lib64ia_ora-gnome", rpm:"lib64ia_ora-gnome~1.0.17~1mdv2008.0", rls:"MNDK_2008.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}