###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for tcpdump MDKSA-2007:056 (tcpdump)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830235);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKSA", value: "2007:056");
  script_cve_id("CVE-2007-1218");
  script_name(english: "Mandriva Update for tcpdump MDKSA-2007:056 (tcpdump)");
  desc["english"] = "

  Vulnerability Insight:

  Off-by-one buffer overflow in the parse_elements function in the 802.11
  printer code (print-802_11.c) for tcpdump 3.9.5 and earlier allows
  remote attackers to cause a denial of service (crash) via a crafted
  802.11 frame. NOTE: this was originally referred to as heap-based, but
  it might be stack-based.
  
  Updated packages have been patched to address this issue.

  Affected Software/OS:
  tcpdump on Mandriva Linux 2006.0,
  Mandriva Linux 2006.0/X86_64,
  Mandriva Linux 2007.0,
  Mandriva Linux 2007.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-03/msg00007.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of tcpdump");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.0")
{

  if(isrpmvuln(pkg:"tcpdump", rpm:"tcpdump~3.9.4~1.1mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "MNDK_2006.0")
{

  if(isrpmvuln(pkg:"tcpdump", rpm:"tcpdump~3.9.3~1.3.20060mdk", rls:"MNDK_2006.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}