###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for ekiga MDKSA-2007:058 (ekiga)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830176);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKSA", value: "2007:058");
  script_cve_id("CVE-2007-1006", "CVE-2007-0999");
  script_name(english: "Mandriva Update for ekiga MDKSA-2007:058 (ekiga)");
  desc["english"] = "

  Vulnerability Insight:

  A format string flaw was discovered in how ekiga processes certain
  messages, which could permit a remote attacker that can connect to
  ekiga to potentially execute arbitrary code with the privileges of
  the user running ekiga. This is similar to the previous
  CVE-2007-1006, but the original evaluation/patches were incomplete.
  
  Updated package have been patched to correct this issue.

  Affected Software/OS:
  ekiga on Mandriva Linux 2007.0,
  Mandriva Linux 2007.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-03/msg00010.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of ekiga");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.0")
{

  if(isrpmvuln(pkg:"ekiga", rpm:"ekiga~2.0.3~1.2mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}