###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for xscreensaver MDKSA-2007:097 (xscreensaver)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830153);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKSA", value: "2007:097");
  script_cve_id("CVE-2007-1859");
  script_name(english: "Mandriva Update for xscreensaver MDKSA-2007:097 (xscreensaver)");
  desc["english"] = "

  Vulnerability Insight:

  A problem with the way xscreensaver verifies user passwords
  was discovered by Alex Yamauchi.  When a system is using remote
  authentication (i.e. LDAP) for logins, a local attacker able to cause
  a network outage on the system could cause xscreensaver to crash,
  which would unlock the screen.
  
  Updated packages have been patched to correct this issue.

  Affected Software/OS:
  xscreensaver on Mandriva Linux 2007.0,
  Mandriva Linux 2007.0/X86_64,
  Mandriva Linux 2007.1,
  Mandriva Linux 2007.1/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-05/msg00005.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of xscreensaver");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.1")
{

  if(isrpmvuln(pkg:"xscreensaver", rpm:"xscreensaver~5.01~3.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xscreensaver-base", rpm:"xscreensaver-base~5.01~3.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xscreensaver-common", rpm:"xscreensaver-common~5.01~3.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xscreensaver-extrusion", rpm:"xscreensaver-extrusion~5.01~3.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xscreensaver-gl", rpm:"xscreensaver-gl~5.01~3.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "MNDK_2007.0")
{

  if(isrpmvuln(pkg:"xscreensaver", rpm:"xscreensaver~5.00~5.1mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xscreensaver-base", rpm:"xscreensaver-base~5.00~5.1mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xscreensaver-common", rpm:"xscreensaver-common~5.00~5.1mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xscreensaver-extrusion", rpm:"xscreensaver-extrusion~5.00~5.1mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"xscreensaver-gl", rpm:"xscreensaver-gl~5.00~5.1mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}