###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for fetchmail MDKSA-2007:105 (fetchmail)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830174);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKSA", value: "2007:105");
  script_cve_id("CVE-2007-1558");
  script_name(english: "Mandriva Update for fetchmail MDKSA-2007:105 (fetchmail)");
  desc["english"] = "

  Vulnerability Insight:

  The APOP functionality in fetchmail's POP3 client implementation was
  validating the APOP challenge too lightly, accepting random garbage
  as a POP3 server's APOP challenge, rather than insisting it conform
  to RFC-822 specifications.
  
  As a result of this flaw, it made man-in-the-middle attacks easier than
  necessary to retrieve the first few characters of the APOP secret,
  allowing them to potentially brute force the remaining characters
  easier than should be possible.
  
  Updated packages have been patched to prevent these issues, however it
  should be noted that the APOP MD5-based authentication scheme should
  no longer be considered secure.

  Affected Software/OS:
  fetchmail on Mandriva Linux 2007.0,
  Mandriva Linux 2007.0/X86_64,
  Mandriva Linux 2007.1,
  Mandriva Linux 2007.1/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-05/msg00020.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of fetchmail");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.1")
{

  if(isrpmvuln(pkg:"fetchmail", rpm:"fetchmail~6.3.6~1.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fetchmail-daemon", rpm:"fetchmail-daemon~6.3.6~1.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fetchmailconf", rpm:"fetchmailconf~6.3.6~1.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "MNDK_2007.0")
{

  if(isrpmvuln(pkg:"fetchmail", rpm:"fetchmail~6.3.4~3.2mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fetchmail-daemon", rpm:"fetchmail-daemon~6.3.4~3.2mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"fetchmailconf", rpm:"fetchmailconf~6.3.4~3.2mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}