###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for x11-driver-video-via MDVA-2008:023 (x11-driver-video-via)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830771);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDVA", value: "2008:023");
  script_cve_id("");
  script_name(english: "Mandriva Update for x11-driver-video-via MDVA-2008:023 (x11-driver-video-via)");
  desc["english"] = "

  Vulnerability Insight:

  The via driver originally available in Xorg on 2007.0 has an
  unresolved symbol that lead the X server to crash. The problem could
  be reproduced on any hardware the driver supports simply by starting
  the X server. The updated driver fixes this specific problem by making
  all the symbols resolved.

  Affected Software/OS:
  x11-driver-video-via on Mandriva Linux 2007.0,
  Mandriva Linux 2007.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2008-02/msg00015.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of x11-driver-video-via");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.0")
{

  if(isrpmvuln(pkg:"x11-driver-video-via", rpm:"x11-driver-video-via~0.2.2~1.1mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}