###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for ksplash-engine-moodin MDVA-2008:067 (ksplash-engine-moodin)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830510);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDVA", value: "2008:067");
  script_cve_id("");
  script_name(english: "Mandriva Update for ksplash-engine-moodin MDVA-2008:067 (ksplash-engine-moodin)");
  desc["english"] = "

  Vulnerability Insight:

  ksplash-engine-moodin has some background caching routines for
  simulating the transparency and the fade-in effect of the loading
  steps. When the session loading happens too fast, the first steps
  don't have enough time to finish the caching before the later steps
  start to happen, showing some images that look cut.
  
  This update corrects the problem.

  Affected Software/OS:
  ksplash-engine-moodin on Mandriva Linux 2008.1,
  Mandriva Linux 2008.1/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2008-05/msg00023.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of ksplash-engine-moodin");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2008.1")
{

  if(isrpmvuln(pkg:"ksplash-engine-moodin", rpm:"ksplash-engine-moodin~0.4.2~12.1mdv2008.1", rls:"MNDK_2008.1"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}