###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for initscripts MDVA-2008:069 (initscripts)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830516);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDVA", value: "2008:069");
  script_cve_id("");
  script_name(english: "Mandriva Update for initscripts MDVA-2008:069 (initscripts)");
  desc["english"] = "

  Vulnerability Insight:

  The bootsplash text messages were not correctly appearing at startup
  (bug #38882).
  
  The /dev/fb0 device was missing in early boot and bootsplash
  initialization was complaining about it (bug #38338).
  
  The shutdown process of network services could be troublesome,
  because resolvconf would be stopped too early.
  
  The updated package fixes these issues.

  Affected Software/OS:
  initscripts on Mandriva Linux 2008.1,
  Mandriva Linux 2008.1/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2008-05/msg00025.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of initscripts");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2008.1")
{

  if(isrpmvuln(pkg:"initscripts", rpm:"initscripts~8.63~8.1mdv2008.1", rls:"MNDK_2008.1"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}