###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for openoffice.org-voikko MDVA-2008:106-1 (openoffice.org-voikko)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830712);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDVA", value: "2008:106-1");
  script_cve_id("");
  script_name(english: "Mandriva Update for openoffice.org-voikko MDVA-2008:106-1 (openoffice.org-voikko)");
  desc["english"] = "

  Vulnerability Insight:

  openoffice.org-voikko provides Finnish spellchecker and hyphenator
  component for OpenOffice.org.
  
  The package is being updated for the new OpenOffice.org version.
  
  Update:
  
  Due to a build error, the previous update for i586 architecture was
  built against the old OpenOffice.org. This update fixes that.

  Affected Software/OS:
  openoffice.org-voikko on Mandriva Linux 2008.1,
  Mandriva Linux 2008.1/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2008-07/msg00037.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of openoffice.org-voikko");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2008.1")
{

  if(isrpmvuln(pkg:"openoffice.org-voikko", rpm:"openoffice.org-voikko~2.2~4.4mdv2008.1", rls:"MNDK_2008.1"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"openoffice.org64-voikko", rpm:"openoffice.org64-voikko~2.2~4.4mdv2008.1", rls:"MNDK_2008.1"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}