###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for mandriva-doc MDVA-2008:160 (mandriva-doc)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830515);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDVA", value: "2008:160");
  script_cve_id("");
  script_name(english: "Mandriva Update for mandriva-doc MDVA-2008:160 (mandriva-doc)");
  desc["english"] = "

  Vulnerability Insight:

  This update of the Mandriva Linux 2009 documentation provides a major
  update to the french release.

  Affected Software/OS:
  mandriva-doc on Mandriva Linux 2009.0,
  Mandriva Linux 2009.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2008-10/msg00043.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of mandriva-doc");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2009.0")
{

  if(isrpmvuln(pkg:"mandriva-doc-common", rpm:"mandriva-doc-common~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"mandriva-doc-Drakxtools-Guide-en", rpm:"mandriva-doc-Drakxtools-Guide-en~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"mandriva-doc-Drakxtools-Guide-fr", rpm:"mandriva-doc-Drakxtools-Guide-fr~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"mandriva-doc-Drakxtools-Guide-pt_br", rpm:"mandriva-doc-Drakxtools-Guide-pt_br~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"mandriva-doc-installer-help", rpm:"mandriva-doc-installer-help~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"mandriva-doc-Introducing-en", rpm:"mandriva-doc-Introducing-en~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"mandriva-doc-Introducing-fr", rpm:"mandriva-doc-Introducing-fr~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"mandriva-doc-Introducing-pt_br", rpm:"mandriva-doc-Introducing-pt_br~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"mandriva-doc-Mastering-Manual-en", rpm:"mandriva-doc-Mastering-Manual-en~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"mandriva-doc-Mastering-Manual-fr", rpm:"mandriva-doc-Mastering-Manual-fr~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"mandriva-doc", rpm:"mandriva-doc~2009.0~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}