###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for kdewebdev4 MDVA-2008:188 (kdewebdev4)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830520);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDVA", value: "2008:188");
  script_cve_id("");
  script_name(english: "Mandriva Update for kdewebdev4 MDVA-2008:188 (kdewebdev4)");
  desc["english"] = "

  Vulnerability Insight:

  The kdewebdev4 package shipped in Mandriva Linux 2009.0 contained
  several packaging bugs.  One is that kfilereplace and kxsldbg had
  file conflicts on icons, and the other was that no meta package
  called 'kdewebdev4' was provided.  The latter issue would cause
  kdewebdev4-devel to be installed when asking to install kdewebdev4.
  
  The updated packages fix these packaging bugs.

  Affected Software/OS:
  kdewebdev4 on Mandriva Linux 2009.0,
  Mandriva Linux 2009.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2008-12/msg00004.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of kdewebdev4");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2009.0")
{

  if(isrpmvuln(pkg:"kdewebdev4", rpm:"kdewebdev4~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"kdewebdev4-devel", rpm:"kdewebdev4-devel~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"kfilereplace", rpm:"kfilereplace~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"kimagemapeditor", rpm:"kimagemapeditor~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"klinkstatus", rpm:"klinkstatus~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"kommander", rpm:"kommander~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"kxsldbg", rpm:"kxsldbg~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libklinkstatuscommon4", rpm:"libklinkstatuscommon4~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libkommandercore4", rpm:"libkommandercore4~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"libkommanderwidgets4", rpm:"libkommanderwidgets4~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"quanta", rpm:"quanta~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"lib64klinkstatuscommon4", rpm:"lib64klinkstatuscommon4~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"lib64kommandercore4", rpm:"lib64kommandercore4~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"lib64kommanderwidgets4", rpm:"lib64kommanderwidgets4~4.1.3~1.2mdv2009.0", rls:"MNDK_2009.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}