###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for blender MDVSA-2008:204 (blender)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830640);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDVSA", value: "2008:204");
  script_cve_id("CVE-2008-1102", "CVE-2008-1103");
  script_name(english: "Mandriva Update for blender MDVSA-2008:204 (blender)");
  desc["english"] = "

  Vulnerability Insight:

  Stefan Cornelius of Secunia Research reported a boundary error when
  Blender processed RGBE images which could be used to execute arbitrary
  code with the privileges of the user running Blender if a specially
  crafted .hdr or .blend file were opened(CVE-2008-1102).
  
  As well, multiple vulnerabilities involving insecure usage of temporary
  files had also been reported (CVE-2008-1103).
  
  The updated packages have been patched to prevent these issues.

  Affected Software/OS:
  blender on Mandriva Linux 2008.0,
  Mandriva Linux 2008.0/X86_64,
  Mandriva Linux 2008.1,
  Mandriva Linux 2008.1/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2008-09/msg00036.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of blender");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2008.0")
{

  if(isrpmvuln(pkg:"blender", rpm:"blender~2.45~2.1mdv2008.0", rls:"MNDK_2008.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "MNDK_2008.1")
{

  if(isrpmvuln(pkg:"blender", rpm:"blender~2.45~7.1mdv2008.1", rls:"MNDK_2008.1"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}