###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_seamonkey_detect_win.nasl 302 2008-10-03 14:07:35Z oct $
#
# Mozilla Seamonkey Version Detection (Windows)
#
# Authors:
# Chandan S <schandan@secpod.com>
#
# Copyright:
# Copyright (c) 2008 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################


if(description)
{
  script_id(800016);
  script_version("Revision: 1.0 ");
  script_name(english:"Mozilla SeaMonkey Version Detection (Windows)");
  desc["english"] = "
  Overview : This script finds the Mozilla SeaMonkey installed version on 
  Windows and save the version in KB.

  Risk factor : Informational";

  script_description(english:desc["english"]);
  script_summary(english:"Set Version of Mozilla SeaMonkey in KB");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2008 SecPod");
  script_family(english:"General");
  script_dependencies("secpod_reg_enum.nasl");
  script_require_keys("SMB/WindowsVersion");
  exit(0);
}


include("smb_nt.inc");

if(!get_kb_item("SMB/WindowsVersion")){
  exit(0);
}

# Check for SeaMonkey version through Registry entry
seaVer = registry_get_sz(key:"SOFTWARE\mozilla.org\SeaMonkey",
                         item:"CurrentVersion");
if(seaVer)
{
  seaVer = eregmatch(pattern:"[0-9.]+", string:seaVer);
  set_kb_item(name:"Seamonkey/Win/Ver", value:seaVer[0]);
}
