###############################################################################
# OpenVAS Vulnerability Test
#
# Ubuntu Update for ktorrent vulnerabilities USN-436-1
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(840186);
  script_version("$Revision: 1.0 $");
  script_xref(name: "USN", value: "436-1");
  script_cve_id("CVE-2007-1384", "CVE-2007-1385");
  script_name(english: "Ubuntu Update for ktorrent vulnerabilities USN-436-1");
  desc["english"] = "

  Vulnerability Insight:

  Bryan Burns of Juniper Networks discovered that KTorrent did not
  correctly validate the destination file paths nor the HAVE statements
  sent by torrent peers.  A malicious remote peer could send specially
  crafted messages to overwrite files or execute arbitrary code with user
  privileges.

  Affected Software/OS:
  ktorrent vulnerabilities on Ubuntu 6.06 LTS ,
  Ubuntu 6.10

  Fix: Please Install the Updated Packages.

  References:
  https://lists.ubuntu.com/archives/ubuntu-security-announce/2007-March/000502.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of ktorrent vulnerabilities");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Ubuntu Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-deb.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "UBUNTU6.06 LTS")
{

  if(isdpkgvuln(pkg:"ktorrent", ver:"1.2-0ubuntu5.1", rls:"UBUNTU6.06 LTS"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "UBUNTU6.10")
{

  if(isdpkgvuln(pkg:"ktorrent", ver:"2.0.3+dfsg1-0ubuntu1.1", rls:"UBUNTU6.10"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}