###############################################################################
# OpenVAS Vulnerability Test
#
# Ubuntu Update for squid vulnerability USN-441-1
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(840136);
  script_version("$Revision: 1.0 $");
  script_xref(name: "USN", value: "441-1");
  script_cve_id("CVE-2007-1560");
  script_name(english: "Ubuntu Update for squid vulnerability USN-441-1");
  desc["english"] = "

  Vulnerability Insight:

  A flaw was discovered in Squid's handling of the TRACE request method
  which could lead to a crash.  Remote attackers with access to the Squid
  server could send malicious TRACE requests, and cause a denial of
  service.

  Affected Software/OS:
  squid vulnerability on Ubuntu 6.10

  Fix: Please Install the Updated Packages.

  References:
  https://lists.ubuntu.com/archives/ubuntu-security-announce/2007-March/000509.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of squid vulnerability");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Ubuntu Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-deb.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "UBUNTU6.10")
{

  if(isdpkgvuln(pkg:"squid-cgi", ver:"2.6.1-3ubuntu1.3", rls:"UBUNTU6.10"))
  {
    security_hole(0);
    exit(0);
  }

  if(isdpkgvuln(pkg:"squid", ver:"2.6.1-3ubuntu1.3", rls:"UBUNTU6.10"))
  {
    security_hole(0);
    exit(0);
  }

  if(isdpkgvuln(pkg:"squidclient", ver:"2.6.1-3ubuntu1.3", rls:"UBUNTU6.10"))
  {
    security_hole(0);
    exit(0);
  }

  if(isdpkgvuln(pkg:"squid-common", ver:"2.6.1-3ubuntu1.3", rls:"UBUNTU6.10"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}