###############################################################################
# OpenVAS Vulnerability Test
#
# Ubuntu Update for system-tools-backends regression USN-663-1
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(840191);
  script_version("$Revision: 1.0 $");
  script_xref(name: "USN", value: "663-1");
  script_cve_id("");
  script_name(english: "Ubuntu Update for system-tools-backends regression USN-663-1");
  desc["english"] = "

  Vulnerability Insight:

  It was discovered that passwords changed (or new users created) via the
  &quot;Users and Groups&quot; tool were created with 3DES hashing.  This reduced the
  security of stored user passwords, and was a regression from the correct
  MD5 hashing.  This update fixes the problem; future password changes
  will correct the hashing used.  We apologize for the inconvenience.

  Affected Software/OS:
  system-tools-backends regression on Ubuntu 8.10

  Fix: Please Install the Updated Packages.

  References:
  https://lists.ubuntu.com/archives/ubuntu-security-announce/2008-November/000771.html

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of system-tools-backends regression");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Ubuntu Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-deb.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "UBUNTU8.10")
{

  if(isdpkgvuln(pkg:"system-tools-backends", ver:"2.6.0-1ubuntu1.1", rls:"UBUNTU8.10"))
  {
    security_hole(0);
    exit(0);
  }

  if(isdpkgvuln(pkg:"system-tools-backends-dev", ver:"2.6.0-1ubuntu1.1", rls:"UBUNTU8.10"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}