# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54556);
 script_bugtraq_id(10172);
 script_cve_id("CVE-2004-0403");
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200404-17 (ipsec-utils)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200404-17.

racoon, which is included in the ipsec-tools and iputils packages in
Portage, does not check the length of ISAKMP headers. Attackers may be
able to craft an ISAKMP header of sufficient length to consume all
available system resoources, causing a Denial of Service.

Solution:
ipsec-tools users should upgrade to version 0.2.5 or later:

    # emerge sync

    # emerge -pv '>=net-firewall/ipsec-tools-0.3.1'
    # emerge '>=net-firewall/ipsec-tools-0.3.1'

iputils users should upgrade to version 021109-r3 or later:

    # emerge sync

    # emerge -pv '>=net-misc/iputils-021109-r3'
    # emerge '>=net-misc/iputils-021109-r3'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200404-17
http://bugs.gentoo.org/show_bug.cgi?id=48847
http://ipsec-tools.sourceforge.net/

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200404-17 (ipsec-utils)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"net-firewall/ipsec-tools", unaffected: make_list("ge 0.3.1"), vulnerable: make_list("lt 0.3.1"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"net-misc/iputils", unaffected: make_list("eq 021109-r3"), vulnerable: make_list("eq 021109-r1"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
