# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54586);
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200406-01 (Ethereal)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200406-01.

Multiple vulnerabilities including one buffer overflow exist in Ethereal,
which may allow an attacker to run arbitrary code or crash the program.

Solution:
All Ethereal users should upgrade to the latest stable version:

    # emerge sync

    # emerge -pv '>=net-analyzer/ethereal-0.10.4'
    # emerge '>=net-analyzer/ethereal-0.10.4'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200406-01
http://bugs.gentoo.org/show_bug.cgi?id=51022
http://www.ethereal.com/appnotes/enpa-sa-00014.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200406-01 (Ethereal)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"net-analyzer/ethereal", unaffected: make_list("ge 0.10.4"), vulnerable: make_list("le 0.10.3"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
