# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54605);
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200406-20 (Openswan)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200406-20.

FreeS/WAN, Openswan, strongSwan and Super-FreeS/WAN contain two bugs when
authenticating PKCS#7 certificates. This could allow an attacker to
authenticate with a fake certificate.

Solution:
All FreeS/WAN 1.9x users should upgrade to the latest stable version:

    # emerge sync

    # emerge -pv '=net-misc/freeswan-1.99-r1'
    # emerge '=net-misc/freeswan-1.99-r1'

All FreeS/WAN 2.x users should upgrade to the latest stable version:

    # emerge sync

    # emerge -pv '>=net-misc/freeswan-2.04-r1'
    # emerge '>=net-misc/freeswan-2.04-r1'

All Openswan 1.x users should upgrade to the latest stable version:

    # emerge sync

    # emerge -pv '=net-misc/openswan-1.0.6_rc1'
    # emerge '=net-misc/openswan-1.0.6_rc1'

All Openswan 2.x users should upgrade to the latest stable version:

    # emerge sync

    # emerge -pv '>=net-misc/openswan-2.1.4'
    # emerge '>=net-misc/openswan-2.1.4'

All strongSwan users should upgrade to the latest stable version:

    # emerge sync

    # emerge -pv '>=net-misc/strongswan-2.1.3'
    # emerge '>=net-misc/strongswan-2.1.3'

All Super-FreeS/WAN users should migrate to the latest stable version of
Openswan. Note that Portage will force a move for Super-FreeS/WAN users to
Openswan.

    # emerge sync

    # emerge -pv '=net-misc/openswan-1.0.6_rc1'
    # emerge '=net-misc/openswan-1.0.6_rc1'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200406-20
http://lists.openswan.org/pipermail/dev/2004-June/000370.html

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200406-20 (Openswan)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"net-misc/freeswan", unaffected: make_list("ge 2.04-r1", "eq 1.99-r1"), vulnerable: make_list("lt 2.04-r1"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"net-misc/openswan", unaffected: make_list("ge 2.1.4", "eq 1.0.6_rc1"), vulnerable: make_list("lt 2.1.4"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"net-misc/strongswan", unaffected: make_list("ge 2.1.3"), vulnerable: make_list("lt 2.1.3"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"net-misc/super-freeswan", unaffected: make_list(), vulnerable: make_list("le 1.99.7.3"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
