# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54616);
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200407-09 (MoinMoin)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200407-09.

MoinMoin contains a bug allowing a user to bypass group ACLs (Access
Control Lists).

Solution:
All users should upgrade to the latest available version of MoinMoin, as
follows:

    # emerge sync

    # emerge -pv '>=net-ww/moinmoin-1.2.2'
    # emerge '>=net-ww/moinmoin-1.2.2'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200407-09
http://bugs.gentoo.org/show_bug.cgi?id=53126
http://sourceforge.net/tracker/index.php?func=detail&aid=948103&group_id=8482&atid=108482
http://www.osvdb.org/6704

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200407-09 (MoinMoin)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"net-www/moinmoin", unaffected: make_list("ge 1.2.2"), vulnerable: make_list("le 1.2.1"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
