# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54651);
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200408-21 (cacti)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200408-21.

With special configurations of Cacti it is possible to change passwords via
a SQL injection attack.

Solution:
All users should upgrade to the latest available version of Cacti, as
follows:

    # emerge sync

    # emerge -pv '>=net-analyzer/cacti-0.8.5a-r1'
    # emerge '>=net-analyzer/cacti-0.8.5a-r1'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200408-21
http://bugs.gentoo.org/show_bug.cgi?id=60630
http://archives.neohapsis.com/archives/fulldisclosure/2004-08/0717.html

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200408-21 (cacti)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"net-analyzer/cacti", unaffected: make_list("ge 0.8.5a-r1"), vulnerable: make_list("le 0.8.5a"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
