# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54702);
 script_bugtraq_id(11406);
 script_cve_id("CVE-2004-0803");
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200410-11 (tiff)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200410-11.

Multiple heap-based overflows have been found in the tiff library image
decoding routines, potentially allowing to execute arbitrary code with the
rights of the user viewing a malicious image.

Solution:
All tiff library users should upgrade to the latest version:

    # emerge sync

    # emerge -pv '>=media-libs/tiff-3.6.1-r2'
    # emerge '>=media-libs/tiff-3.6.1-r2'

xv makes use of the tiff library and needs to be recompiled to receive the
new patched version of the library. All xv users should also upgrade to
the latest version:

    # emerge sync

    # emerge -pv '>=media-gfx/xv-3.10a-r8'
    # emerge '>=media-gfx/xv-3.10a-r8'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200410-11

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200410-11 (tiff)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"media-libs/tiff", unaffected: make_list("ge 3.6.1-r2"), vulnerable: make_list("lt 3.6.1-r2"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"media-gfx/xv", unaffected: make_list("ge 3.10a-r8"), vulnerable: make_list("le 3.10a-r7"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
