# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54831);
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200501-45 (gallery)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200501-45.

Gallery is vulnerable to cross-site scripting attacks.

Solution:
All Gallery users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=www-apps/gallery-1.4.4_p6'

Note: Users with the vhosts USE flag set should manually use webapp-config
to finalize the update.

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200501-45
http://bugs.gentoo.org/show_bug.cgi?id=78522
http://gallery.menalto.com/modules.php?op=modload&name=News&file=article&sid=149
http://secunia.com/advisories/13887/

Risk factor : Low";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200501-45 (gallery)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"www-apps/gallery", unaffected: make_list("ge 1.4.4_p6"), vulnerable: make_list("lt 1.4.4_p6"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
