# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54915);
 script_bugtraq_id(13092);
 script_cve_id("CVE-2005-0941");
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200504-13 (OpenOffice)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200504-13.

OpenOffice.Org is vulnerable to a heap overflow when processing DOC
documents, which could lead to arbitrary code execution.

Solution:
All OpenOffice.Org users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=app-office/openoffice-1.1.4-r1'

All OpenOffice.Org binary users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose
'>=app-office/openoffice-bin-1.1.4-r1'

All OpenOffice.Org Ximian users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose app-office/openoffice-ximian

Note to PPC users: There is no stable OpenOffice.Org fixed version for the
PPC architecture. Affected users should switch to the latest
OpenOffice.Org Ximian version.

Note to SPARC users: There is no stable OpenOffice.Org fixed version for
the SPARC architecture. Affected users should switch to the latest
OpenOffice.Org Ximian version.

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200504-13
http://bugs.gentoo.org/show_bug.cgi?id=88863
http://www.openoffice.org/issues/show_bug.cgi?id=46388

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200504-13 (OpenOffice)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"app-office/openoffice", unaffected: make_list("ge 1.1.4-r1"), vulnerable: make_list("lt 1.1.4-r1"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"app-office/openoffice-bin", unaffected: make_list("ge 1.1.4-r1"), vulnerable: make_list("lt 1.1.4-r1"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"app-office/openoffice-ximian", unaffected: make_list("ge 1.3.9-r1", "rge 1.3.6-r1", "rge 1.3.7-r1"), vulnerable: make_list("lt 1.3.9-r1"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
