# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54936);
 script_cve_id("CVE-2005-1431");
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200505-04 (GnuTLS)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200505-04.

The GnuTLS library is vulnerable to Denial of Service attacks.

Solution:
All GnuTLS users should remove the existing installation and upgrade to the
latest version:

    # emerge --sync
    # emerge --unmerge gnutls
    # emerge --ask --oneshot --verbose net-libs/gnutls

Due to small API changes with the previous version, please do the
following to ensure your applications are using the latest GnuTLS that you
just emerged.

    # revdep-rebuild --soname-regexp libgnutls.so.1[0-1]

Previously exported RSA keys can be fixed by executing the following
command on the key files:

    # certtool -k infile outfile

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200505-04
http://bugs.gentoo.org/show_bug.cgi?id=90726
http://lists.gnupg.org/pipermail/gnutls-dev/2005-April/000858.html

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200505-04 (GnuTLS)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"net-libs/gnutls", unaffected: make_list("ge 1.2.3", "rge 1.0.25"), vulnerable: make_list("lt 1.2.3"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
