# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54969);
 script_cve_id("CVE-2005-1266");
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200506-17 (SpamAssassin, Vipul's Razor)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200506-17.

SpamAssassin and Vipul's Razor are vulnerable to a Denial of Service attack
when handling certain malformed messages.

Solution:
All SpamAssassin users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=mail-filter/spamassassin-3.0.4'

All Vipul's Razor users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=mail-filter/razor-2.74'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200506-17
http://bugs.gentoo.org/show_bug.cgi?id=94722
http://bugs.gentoo.org/show_bug.cgi?id=95492
http://bugs.gentoo.org/show_bug.cgi?id=96776
http://mail-archives.apache.org/mod_mbox/spamassassin-announce/200506.mbox/%3c17072.35054.586017.822288@proton.pathname.com%3e
http://sourceforge.net/mailarchive/forum.php?thread_id=7520323&forum_id=4259

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200506-17 (SpamAssassin, Vipul's Razor)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"mail-filter/spamassassin", unaffected: make_list("ge 3.0.4", "lt 3.0.1"), vulnerable: make_list("lt 3.0.4"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"mail-filter/razor", unaffected: make_list("ge 2.74"), vulnerable: make_list("lt 2.74"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
