# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54972);
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200506-20 (cacti)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200506-20.

Cacti is vulnerable to several SQL injection, authentication bypass and
file inclusion vulnerabilities.

Solution:
All Cacti users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=net-analyzer/cacti-0.8.6f'

Note: Users with the vhosts USE flag set should manually use webapp-config
to finalize the update.

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200506-20
http://bugs.gentoo.org/show_bug.cgi?id=96243
http://bugs.gentoo.org/show_bug.cgi?id=97475
http://www.cacti.net/release_notes_0_8_6e.php
http://www.idefense.com/application/poi/display?id=267&type=vulnerabilities&flashstatus=false
http://www.idefense.com/application/poi/display?id=266&type=vulnerabilities&flashstatus=false
http://www.idefense.com/application/poi/display?id=265&type=vulnerabilities&flashstatus=false
http://www.cacti.net/release_notes_0_8_6f.php
http://www.hardened-php.net/advisory-032005.php
http://www.hardened-php.net/advisory-042005.php
http://www.hardened-php.net/advisory-052005.php

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200506-20 (cacti)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"net-analyzer/cacti", unaffected: make_list("ge 0.8.6f"), vulnerable: make_list("lt 0.8.6f"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
