# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(56118);
 script_bugtraq_id(15998);
 script_cve_id("CVE-2005-4459");
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200601-04 (VMware)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200601-04.

VMware guest operating systems can execute arbitrary code with elevated
privileges on the host operating system through a flaw in NAT networking.

Solution:
All VMware Workstation users should upgrade to a fixed version:

    # emerge --sync
    # emerge --ask --oneshot --verbose app-emulation/vmware-workstation

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200601-04
http://bugs.gentoo.org/show_bug.cgi?id=116238
http://www.vmware.com/support/kb
http://www.vmware.com/support/kb/enduser/std_adp.php?p_faqid=2000

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200601-04 (VMware)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"app-emulation/vmware-workstation", unaffected: make_list("ge 5.5.1.19175", "rge 4.5.3.19414"), vulnerable: make_list("lt 5.5.1.19175"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
