# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(57883);
 script_cve_id("CVE-2006-4339");
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200609-05 (openssl)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200609-05.

OpenSSL fails to properly validate PKCS #1 v1.5 signatures.

Solution:
All OpenSSL users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=dev-libs/openssl-0.9.7k'

All AMD64 x86 emulation base libraries users should upgrade to the latest
version:

    # emerge --sync
    # emerge --ask --oneshot --verbose
'>=app-emulation/emul-linux-x86-baselibs-2.5.2'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200609-05
http://bugs.gentoo.org/show_bug.cgi?id=146375
http://bugs.gentoo.org/show_bug.cgi?id=146438

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200609-05 (openssl)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"dev-libs/openssl", unaffected: make_list("ge 0.9.7k"), vulnerable: make_list("lt 0.9.7k"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"app-emulation/emul-linux-x86-baselibs", unaffected: make_list("ge 2.5.2"), vulnerable: make_list("lt 2.5.2"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
