# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(58064);
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200703-05 (mozilla)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200703-05.

Several vulnerabilities exist in the Mozilla Suite, which is no longer
supported by the Mozilla project.

Solution:
The Mozilla Suite is no longer supported and has been masked after some
necessary changes on all the other ebuilds which used to depend on it.
Mozilla Suite users should unmerge www-client/mozilla or
www-client/mozilla-bin, and switch to a supported product, like SeaMonkey,
Thunderbird or Firefox.

    
    # emerge --unmerge 'www-client/mozilla'
    
    # emerge --unmerge 'www-client/mozilla-bin'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200703-05
http://bugs.gentoo.org/show_bug.cgi?id=135257
http://www.mozilla.org/projects/security/known-vulnerabilities.html#Mozilla

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200703-05 (mozilla)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"www-client/mozilla", unaffected: make_list(), vulnerable: make_list("le 1.7.13"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"www-client/mozilla-bin", unaffected: make_list(), vulnerable: make_list("le 1.7.13"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
