# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(58161);
 script_cve_id("CVE-2007-1049", "CVE-2007-1230", "CVE-2007-1244", "CVE-2007-1409");
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200703-23 (wordpress)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200703-23.

Wordpress contains several cross-site scripting, cross-site request forgery
and information leak vulnerabilities.

Solution:
Due to the numerous recently discovered vulnerabilities in WordPress, this
package has been masked in the portage tree. All WordPress users are
advised to unmerge it.

    
    # emerge --unmerge 'www-apps/wordpress'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200703-23
http://bugs.gentoo.org/show_bug.cgi?id=168529
http://secunia.com/advisories/24430/

Risk factor : Low";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200703-23 (wordpress)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"www-apps/wordpress", unaffected: make_list(), vulnerable: make_list("le 2.1.2"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
