#
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
                                                                                
if(description)
{
 script_id(63688);
 script_cve_id("CVE-2008-3162", "CVE-2008-4866", "CVE-2008-4867", "CVE-2008-4868", "CVE-2008-4869", "CVE-2009-0385");
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200903-33 (ffmpeg gst-plugins-ffmpeg mplayer)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200903-33.

Multiple vulnerabilities in FFmpeg may lead to the remote execution of
arbitrary code or a Denial of Service.

Solution:
All FFmpeg users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=media-video/ffmpeg-0.4.9_p20090201'

All gst-plugins-ffmpeg users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=media-plugins/gst-plugins-ffmpeg-0.10.5'

All Mplayer users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=media-video/mplayer-1.0_rc2_p28450'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200903-33
http://bugs.gentoo.org/show_bug.cgi?id=231831
http://bugs.gentoo.org/show_bug.cgi?id=231834
http://bugs.gentoo.org/show_bug.cgi?id=245313
http://bugs.gentoo.org/show_bug.cgi?id=257217
http://bugs.gentoo.org/show_bug.cgi?id=257381

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200903-33 (ffmpeg gst-plugins-ffmpeg mplayer)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"media-video/ffmpeg", unaffected: make_list("ge 0.4.9_p20090201"), vulnerable: make_list("lt 0.4.9_p20090201"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"media-plugins/gst-plugins-ffmpeg", unaffected: make_list("ge 0.10.5"), vulnerable: make_list("lt 0.10.5"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"media-video/mplayer", unaffected: make_list("ge 1.0_rc2_p28450"), vulnerable: make_list("lt 1.0_rc2_p28450"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
