###############################################################################
# This script was written by David Maciejak <david dot maciejak at kyxar dot fr>
# based on work from
# (C) Tenable Network Security
#
#
# Updated: 02/12/2009 Antu Sanadi <santu@secpod.com>
#
# Ref: David F. Madrid <conde0@telefonica.net>
# This script is released under the GNU GPLv2
###############################################################################

if(description)
{
  script_id(14249);
  script_bugtraq_id(7430);
  script_version("$Revision: 2750 $");
  script_name(english:"Opera web browser news url denial of service vulnerability");
  desc["english"] = "
  The remote host is using Opera - an alternative web browser.

  This version reportedly occurs when processing a 'news:' URL
  of excessive length, that may result in a denial of service.
  It has been reported that this issue will trigger a condition
  that will prevent Opera from functioning until the program
  has been reinstalled.

  solution : Install Opera 7.20 or newer.

  Risk factor : High";

  script_description(english:desc["english"]);
  script_summary(english:"Determines the version of Opera.exe");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2004 David Maciejak");
  script_family(english:"Windows");
  script_dependencies("secpod_opera_detection_win_900036.nasl");
  script_require_keys("Opera/Win/Version");
  exit(0);
}


include("version_func.inc");

OperaVer = get_kb_item("Opera/Win/Version");
if(!OperaVer){
  exit(0);
}

if(version_is_less_equal(version:OperaVer, test_version:"7.19")){
  security_hole(0);
}


