#CESA-2009:0398-01 63753 1
# $Id$
# Description: Auto-generated from advisory CESA-2009:0398-01 (seamonkey)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(63753);
 script_cve_id("CVE-2009-1044", "CVE-2009-1169");
 script_version ("$");
 name["english"] = "CentOS Security Advisory CESA-2009:0398-01 (seamonkey)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates to seamonkey announced in
advisory CESA-2009:0398-01.

For details on the issues addressed in this update,
please visit the referenced security advisories.

Solution:
Update the appropriate packages on your system.

http://www.securityspace.com/smysecure/catid.html?in=CESA-2009:0398-01
http://www.securityspace.com/smysecure/catid.html?in=RHSA-2009:0398
https://rhn.redhat.com/errata/rh21as-errata.html

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "CentOS Security Advisory CESA-2009:0398-01 (seamonkey)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "CentOS Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"seamonkey", rpm:"seamonkey~1.0.9~0.32.el2.c2.1", rls:"CentOS2")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"seamonkey-chat", rpm:"seamonkey-chat~1.0.9~0.32.el2.c2.1", rls:"CentOS2")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"seamonkey-devel", rpm:"seamonkey-devel~1.0.9~0.32.el2.c2.1", rls:"CentOS2")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"seamonkey-dom-inspector", rpm:"seamonkey-dom-inspector~1.0.9~0.32.el2.c2.1", rls:"CentOS2")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"seamonkey-js-debugger", rpm:"seamonkey-js-debugger~1.0.9~0.32.el2.c2.1", rls:"CentOS2")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"seamonkey-mail", rpm:"seamonkey-mail~1.0.9~0.32.el2.c2.1", rls:"CentOS2")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"seamonkey-nspr", rpm:"seamonkey-nspr~1.0.9~0.32.el2.c2.1", rls:"CentOS2")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"seamonkey-nspr-devel", rpm:"seamonkey-nspr-devel~1.0.9~0.32.el2.c2.1", rls:"CentOS2")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"seamonkey-nss", rpm:"seamonkey-nss~1.0.9~0.32.el2.c2.1", rls:"CentOS2")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"seamonkey-nss-devel", rpm:"seamonkey-nss-devel~1.0.9~0.32.el2.c2.1", rls:"CentOS2")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
