###############################################################################
# OpenVAS Vulnerability Test
# $Id: secpod_amarok_detect_lin.nasl 862 2009-01-20 14:40:29Z jan $
#
# Amarok Player Version Detection (Linux)
#
# Authors:
# Sujit Ghosal <sghosal@secpod.com>
#
# Copyright:
# Copyright (c) 2009 SecPod, http://www.secpod.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(900430);
  script_version("$Revision: 1.0 $");
  script_name(english:"Amarok Player Version Detection (Linux)");
  desc["english"] = "

  Overview: The script detects the version of Amarok Player for Linux on
  remote host and sets the reuslt into KB.

  Risk Factor: Informational";

  script_description(english:desc["english"]);
  script_summary(english:"Check for Linux Amarok Player version");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 SecPod");
  script_family(english:"General");
  exit(0);
}


include("version_func.inc");

sock = ssh_login_or_reuse_connection();
if(!sock){
  exit(0);
}

amarokPaths = find_file(file_name:"amarok", file_path:"/", useregex:TRUE,
                       regexpar:"$", sock:sock);
foreach amarokBin (amarokPaths)
{
  amarokVer = get_bin_version(full_prog_name:chomp(amarokBin), sock:sock,
                             version_argv:"-v",
                             ver_pattern:"Amarok: ([0-9]\.[0-9]+)");
  if(amarokVer[1] != NULL)
  {
    set_kb_item(name:"Amarok/Linux/Ver", value:amarokVer[1]);
    ssh_close_connection();
    exit(0);
  }
}
ssh_close_connection();
