###############################################################################
# OpenVAS Vulnerability Test
# $Id: secpod_ghostscript_detect_lin.nasl 1699 2009-04-21 09:21:12Z apr $
#
# Ghostscript Version Detection (Linux)
#
# Authors:
# Nikita MR <rnikita@secpod.com>
#
# Copyright:
# Copyright (c) 2009 SecPod, http://www.secpod.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(900541);
  script_version("$Revision: 1.0 $");
  script_name(english:"Ghostscript Version Detection (Linux)");
  desc["english"] = "

  Overview: This script detects the installed version of Ghostscript and
  sets the result in KB.

  Risk factor: Informational";

  script_description(english:desc["english"]);
  script_summary(english:"Sets KB for Version of Ghostscript");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 secPod");
  script_family(english:"Service detection");
  exit(0);
}


include("version_func.inc");

sock = ssh_login_or_reuse_connection();
if(!sock){
  exit(0);
}

gsName = find_file(file_name:"gs", file_path:"/", useregex:TRUE,
                   regexpar:"$", sock:sock);
foreach binary_gsName(gsName)
{
  binary_name = chomp(binary_gsName);
  gsVer = get_bin_version(full_prog_name:binary_name, version_argv:"--version",
                          ver_pattern:"([0-9]\.[0-9.]+)", sock:sock);
  if(gsVer[0] != NULL)
  {
    set_kb_item(name:"Ghostscript/Linux/Ver", value:gsVer[0]);
    ssh_close_connection();
    exit(0);
  }
}
ssh_close_connection();
