###############################################################################
# OpenVAS Vulnerability Test
# $Id: secpod_oprea_mult_vuln_mar09_win.nasl 984 2009-03-19 10:13:23Z mar $
#
# Opera Web Browser Multiple Vulnerabilities (Win)
#
# Authors:
# Nikita MR <rnikita@secpod.com>
#
# Copyright:
# Copyright (c) 2009 SecPod, http://www.secpod.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(900516);
  script_version("$Revision: 1.0 $");
  script_cve_id("CVE-2009-0914", "CVE-2009-0915", "CVE-2009-0916");
  script_bugtraq_id(33961);
  script_name(english:"Opera Web Browser Multiple Vulnerabilities (Win)");
  desc["english"] = "

  Overview: The host is installed with Opera Web Browser and is prone to
  multiple vulnerabilities.

  Vulnerability Insight:
  - memory corruption error when processing a malformed JPEG image.
  - an error related to plug-ins.
  - error with unknown impact and attack vectors related to a
    'moderately severe issue'.

  Impact:
  Successful remote attack could inject arbitrary HTML and script code, launch
  cross site scripting attacks on user's browser session when malicious data
  is being viewed.

  Impact Level: Application

  Affected Software/OS:
  Opera version prior to 9.64 on Windows.

  Fix: Upgrade to Opera 9.64
  http://www.opera.com/download/?custom=yes

  References:
  http://secunia.com/advisories/34135
  http://www.opera.com/docs/changelogs/windows/964

  CVSS Score:
    CVSS Base Score     : 9.3 (AV:N/AC:M/Au:NR/C:C/I:C/A:C)
    CVSS Temporal Score : 6.9
  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the version of Opera Web Browser");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 SecPod");
  script_family(english:"General");
  script_dependencies("secpod_opera_detection_win_900036.nasl");
  script_require_keys("Opera/Win/Version");
  exit(0);
}


include("version_func.inc");

operaVer = get_kb_item("Opera/Win/Version");
if(!operaVer){
  exit(0);
}

if(version_is_less(version:operaVer, test_version:"9.64")){
  security_hole(0);
}
