###############################################################################
# OpenVAS Vulnerability Test
# $Id: WEBJump_multiple_sql_injection.nasl 123 2009-03-13 12:23:21Z mime $
#
# WEBJump! Multiple SQL Injection Vulnerabilities
#
# Authors:
# Michael Meyer
#
# Copyright:
# Copyright (c) 2009 Michael Meyer
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if (description)
{
 script_id(100045);
 script_bugtraq_id(34058);
 script_version ("1.0");

 script_name(english:"WEBJump! Multiple SQL Injection Vulnerabilities");
 desc["english"] = "

 Overview:
  WEBJump! is prone to multiple SQL-injection vulnerabilities because
  it fails to sufficiently sanitize user-supplied data before using it
  in an SQL query.

  Exploiting these issues could allow an attacker to compromise the
  application, access or modify data, or exploit latent
  vulnerabilities in the underlying database. 

 See also:
  http://www.securityfocus.com/bid/34058

 Risk factor : Medium";

 script_description(english:desc["english"]);
 script_summary(english:"Determine if WEBJump! is vulnerable to multiple SQL Injection");
 script_category(ACT_GATHER_INFO);
 script_family(english:"Web application abuses");
 script_copyright(english:"This script is Copyright (C) 2009 Michael Meyer");
 script_dependencie("find_service.nes", "http_version.nasl");
 script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");
 exit(0);
}

include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);

if(!get_port_state(port))exit(0);
if(!can_host_php(port:port))exit(0);

dir = make_list(cgi_dirs());
foreach d (dir)
{ 
 url = string(d, "/portfolio_genre.php?id=-67%20union%20select%201,2,0x4f70656e5641532d53514c2d496e6a656374696f6e2d54657374--");
 req = http_get(item:url, port:port);
 buf = http_keepalive_send_recv(port:port, data:req, bodyonly:1);
 if( buf == NULL )continue;

 if( 
     egrep(pattern: "OpenVAS-SQL-Injection-Test", string: buf, icase:TRUE)
   )
   {    
    security_warning(port:port);
    exit(0);
   }
}
exit(0);
