# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 028-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53790);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 028-1 (man-db)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to man-db
announced via advisory DSA 028-1.

Styx has reported that the program `man' mistakenly passes malicious
strings (i.e. containing format characters) through routines that were
not meant to use them as format strings.  Since this could cause a
segmentation fault and privileges were not dropped it may lead to an
exploit for the 'man' user.

We recommend you upgrade your man-db package immediately.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20028-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 028-1 (man-db)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"man-db", ver:"2.3.16-1.1", rls:"DEB2.2")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
