# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 033-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53795);
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 033-1 (analog)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to analog
announced via advisory DSA 033-1.

The author of analog, Stephen Turner, has found a buffer overflow bug
in all versions of analog except of version 4.16.  A malicious user
could use an ALIAS command to construct very long strings which were
not checked for length and boundaries.  This bug is particularly
dangerous if the form interface (which allows unknown users to run the
program via a CGI script) has been installed.  There doesn't seem to
be a known exploit.

The bugfix has been backported to the version of analog from Debian
2.2.  Version 4.01-1potato1 is fixed.

We recommend you upgrade your analog packages immediately.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20033-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 033-1 (analog)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"analog", ver:"4.01-1potato1", rls:"DEB2.2")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
