# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 295-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53369);
 script_bugtraq_id(7316);
 script_cve_id("CVE-2003-0213");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 295-1 (pptpd)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to pptpd
announced via advisory DSA 295-1.

Timo Sirainen discovered a vulnerability in pptpd, a Point to Point
Tunneling Server, which implements PPTP-over-IPSEC and is commonly
used to create Virtual Private Networks (VPN).  By specifying a small
packet length an attacker is able to overflow a buffer and execute
code under the user id that runs pptpd, probably root.  An exploit for
this problem is already circulating.

For the stable distribution (woody) this problem has been fixed in
version 1.1.2-1.4.

For the old stable distribution (potato) this problem has been
fixed in version 1.0.0-4.2.

For the unstable distribution (sid) this problem has been fixed in
version 1.1.4-0.b3.2.

We recommend that you upgrade your pptpd package immediately.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20295-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 295-1 (pptpd)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"pptpd", ver:"1.0.0-4.2", rls:"DEB2.2")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"pptpd", ver:"1.1.2-1.4", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
