# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 425-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53126);
 script_cve_id("CVE-2003-1029", "CVE-2003-0989", "CVE-2004-0055", "CVE-2004-0057");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 425-1 (tcpdump)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to tcpdump
announced via advisory DSA 425-1.

Multiple vulnerabilities were discovered in tcpdump, a tool for
inspecting network traffic.  If a vulnerable version of tcpdump
attempted to examine a maliciously constructed packet, a number of
buffer overflows could be exploited to crash tcpdump, or potentially
execute arbitrary code with the privileges of the tcpdump process.

CVE-2003-1029 - infinite loop and memory consumption in processing
L2TP packets

CVE-2003-0989, CVE-2004-0057 - infinite loops in processing ISAKMP
packets.

CVE-2004-0055 - segmentation fault caused by a RADIUS attribute with a
large length value

For the current stable distribution (woody) these problems have been
fixed in version 3.6.2-2.7.

For the unstable distribution (sid) these problems will be fixed soon.

We recommend that you update your tcpdump package.



Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20425-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 425-1 (tcpdump)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"tcpdump", ver:"3.6.2-2.7", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
