# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 453-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53681);
 script_bugtraq_id(9686);
 script_cve_id("CVE-2004-0077");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 453-1 (kernel)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to kernel-source-2.2.20,
kernel-image-2.2.20-i386, kernel-image-2.2.20-reiserfs-i386,
kernel-image-2.2.20-amiga, kernel-image-2.2.20-atari,
kernel-image-2.2.20-bvme6000, kernel-image-2.2.20-mac,
kernel-image-2.2.20-mvme147, kernel-image-2.2.20-mvme16x,
kernel-patch-2.2.20-powerpc announced via advisory DSA 453-1.

Paul Starzetz and Wojciech Purczynski of isec.pl discovered a critical
security vulnerability in the memory management code of Linux inside
the mremap(2) system call.  Due to flushing the TLB (Translation
Lookaside Buffer, an address cache) too early it is possible for an
attacker to trigger a local root exploit.

The attack vectors for 2.4.x and 2.2.x kernels are exclusive for the
respective kernel series, though.  We formerly believed that the
exploitable vulnerability in 2.4.x does not exist in 2.2.x which is
still true.  However, it turned out that a second (sort of)
vulnerability is indeed exploitable in 2.2.x, but not in 2.4.x, with a
different exploit, of course.

For the stable distribution (woody) this problem has been fixed in
the following versions and architectures:

kernel-source-2.2.20                source    2.2.20-5woody3
kernel-image-2.2.20-i386            i386      2.2.20-5woody5
kernel-image-2.2.20-reiserfs-i386   i386      2.2.20-4woody1
kernel-image-2.2.20-amiga           m68k      2.20-4
kernel-image-2.2.20-atari           m68k      2.2.20-3
kernel-image-2.2.20-bvme6000        m68k      2.2.20-3
kernel-image-2.2.20-mac             m68k      2.2.20-3
kernel-image-2.2.20-mvme147         m68k      2.2.20-3
kernel-image-2.2.20-mvme16x         m68k      2.2.20-3
kernel-patch-2.2.20-powerpc         powerpc   2.2.20-3woody1

For the unstable distribution (sid) this problem will be fixed soon
for the architectures that still ship a 2.2.x kernel package.

We recommend that you upgrade your Linux kernel package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20453-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 453-1 (kernel)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"kernel-doc-2.2.20", ver:"2.2.20-5woody3", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-source-2.2.20", ver:"2.2.20-5woody3", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-patch-2.2.20-powerpc", ver:"2.2.20-3woody1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-headers-2.2.20", ver:"2.2.20-3woody1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-headers-2.2.20-compact", ver:"2.2.20-5woody5", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-headers-2.2.20-idepci", ver:"2.2.20-5woody5", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20", ver:"2.2.20-5woody5", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-compact", ver:"2.2.20-5woody5", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-idepci", ver:"2.2.20-5woody5", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-headers-2.2.20-reiserfs", ver:"2.2.20-4woody1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-reiserfs", ver:"2.2.20-4woody1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-amiga", ver:"2.2.20-4", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-atari", ver:"2.2.20-3", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-bvme6000", ver:"2.2.20-3", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-mac", ver:"2.2.20-3", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-mvme147", ver:"2.2.20-3", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-mvme16x", ver:"2.2.20-3", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-chrp", ver:"2.2.20-3woody1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-pmac", ver:"2.2.20-3woody1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"kernel-image-2.2.20-prep", ver:"2.2.20-3woody1", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
