# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 524-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53689);
 script_cve_id("CVE-2004-0393", "CVE-2004-0454");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 524-1 (rlpr)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to rlpr
announced via advisory DSA 524-1.

jaguar@felinemenace.org discovered a format string vulnerability in
rlpr, a utility for lpd printing without using /etc/printcap.  While
investigating this vulnerability, a buffer overflow was also
discovered in related code.  By exploiting one of these
vulnerabilities, a local or remote user could potentially cause
arbitrary code to be executed with the privileges of 1) the rlprd
process (remote), or 2) root (local).

CVE-2004-0393: format string vulnerability via syslog(3) in msg()
function in rlpr

CVE-2004-0454: buffer overflow in msg() function in rlpr

For the current stable distribution (woody), this problem has been
fixed in version 2.02-7woody1.

For the unstable distribution (sid), this problem will be fixed soon.

We recommend that you update your rlpr package.



Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20524-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 524-1 (rlpr)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"rlpr", ver:"2.02-7woody1", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
