# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 584-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53276);
 script_bugtraq_id(11591);
 script_cve_id("CVE-2004-1006");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 584-1 (dhcp)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to dhcp
announced via advisory DSA 584-1.

infamous41md noticed that the log functions in dhcp 2.x, which is
still distributed in the stable Debian release, contained pass
parameters to function that use format strings.  One use seems to be
exploitable in connection with a malicious DNS server.

For the stable distribution (woody) these problems have been fixed in
version 2.0pl5-11woody1.

For the unstable distribution (sid) these problems have been fixed in
version 2.0pl5-19.1.

We recommend that you upgrade your dhcp package.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20584-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 584-1 (dhcp)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"dhcp", ver:"2.0pl5-11woody1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"dhcp-client", ver:"2.0pl5-11woody1", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"dhcp-relay", ver:"2.0pl5-11woody1", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
