# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 705-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53532);
 script_cve_id("CVE-2005-0256", "CVE-2003-0854");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 705-1 (wu-ftpd)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to wu-ftpd
announced via advisory DSA 705-1.

Several denial of service conditions have been discovered in wu-ftpd,
the popular FTP daemon.  The Common Vulnerabilities and Exposures
project identifies the following problems:

CVE-2005-0256

Adam Zabrocki discovered a denial of service condition in wu-ftpd
that could be exploited by a remote user and cause the server to
slow down the server by resource exhaustion.

CVE-2003-0854

Georgi Guninski discovered that /bin/ls may be called from within
wu-ftpd in a way that will result in large memory consumption and
hence slow down the server.

For the stable distribution (woody) these problems have been fixed in
version 2.6.2-3woody5.

For the unstable distribution (sid) these problems have been fixed in
version 2.6.2-19.

We recommend that you upgrade your wu-ftpd package.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20705-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 705-1 (wu-ftpd)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"wu-ftpd-academ", ver:"2.6.2-3woody5", rls:"DEB3.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"wu-ftpd", ver:"2.6.2-3woody5", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
