# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 753-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(54338);
 script_cve_id("CVE-2005-1686");
 script_version ("$");
 name["english"] = "Debian Security Advisory DSA 753-1 (gedit)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing an update to gedit
announced via advisory DSA 753-1.

A format string vulnerability has been discovered in gedit, a
light-weight text editor for GNOME, that may allow attackers to cause
a denial of service (application crash) via a binary file with format
string specifiers in the filename.  Since gedit supports opening files
via http:// URLs (through GNOME vfs) and other schemes, this might
be a remotely exploitable vulnerability.

The old stable distribution (woody) is not vulnerable to this problem.

For the stable distribution (sarge) this problem has been fixed in
version 2.8.3-4sarge1.

For the unstable distribution (sid) this problem has been fixed in
version 2.10.3-1.

We recommend that you upgrade your gedit package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20753-1

Risk factor : High";

 script_description(english:desc["english"]);

 summary["english"] = "Debian Security Advisory DSA 753-1 (gedit)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Debian Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"gedit-common", ver:"2.8.3-4sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"gedit-dev", ver:"2.8.3-4sarge1", rls:"DEB3.1")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"gedit", ver:"2.8.3-4sarge1", rls:"DEB3.1")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
