###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_adobe_prdts_mult_vuln_nov08_lin.nasl 428 2008-11-05 11:22:46Z oct $
#
# Adobe Reader/Acrobat Multiple Vulnerabilities - Nov08 (Linux)
#
# Authors:
# Chandan S <schandan@secpod.com>
#
# Copyright:
# Copyright (c) 2008 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(800051);
  script_version("$Revision: 1.0 $");
  script_cve_id("CVE-2008-2992", "CVE-2008-2549", "CVE-2008-4812",
                "CVE-2008-4813", "CVE-2008-4817", "CVE-2008-4816",
                "CVE-2008-4814", "CVE-2008-4815");
  script_bugtraq_id(30035, 32100);
  script_name(english:"Adobe Reader/Acrobat Multiple Vulnerabilities - Nov08 (Linux)");
  desc["english"] = "

  Overview: This host has Adobe Reader/Acrobat installed, which is/are prone
  to multiple vulnerabilities.

  Vulnerability Insight:
  The flaws are due to,
  - a boundary error when parsing format strings containing a floating point
    specifier in the util.printf() Javascript function.
  - improper parsing of type 1 fonts.
  - bounds checking not being performed after allocating an area of memory.

  Impact:
  Successful exploitation allows remote attackers to execute arbitrary code
  to cause a stack based overflow via a specially crafted PDF, and could
  also take complete control of the affected system and cause the application
  to crash.

  Impact Level: System

  Affected Software/OS:
  Adobe Reader/Acrobat versions 8.1.2 and prior - Linux(All)

  Fix:
  Upgrade to 8.1.3 or higher versions,
  http://www.adobe.com/products/

  References:
  http://www.adobe.com/support/security/bulletins/apsb08-19.html
  http://www.coresecurity.com/content/adobe-reader-buffer-overflow

  CVSS Score:
    CVSS Base Score     : 9.3 (AV:N/AC:M/Au:NR/C:C/I:C/A:C)
    CVSS Temporal Score : 7.3
  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the version of Adobe Reader/Acrobat");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2008 Intevation GmbH");
  script_family(english:"Misc.");
  script_dependencies("gb_adobe_prdts_detect_lin.nasl");
  exit(0);
}


adobeVer = get_kb_item("Adobe/Reader/Linux/Version");
if(!adobeVer){
  exit(0);
}

if(adobeVer =~ "^(7.*|8\.0(\..*)?|8\.1(\.[0-2](_.*)?)?)$"){
  security_hole(0);
}
