###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_cscope_putstring_mult_bof_vuln.nasl 2156 2009-05-11 15:05:27Z may $
#
# Cscope putstring Multiple Buffer Overflow vulnerability.
#
# Authors:
# Antu Sanadi <santu@secpod.com>
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(800615);
  script_version("$Revision: 1.0 $");
  script_cve_id("CVE-2009-1577");
  script_name(english:"Cscope putstring Multiple Buffer Overflow vulnerability");
  desc["english"] = "

  Overview: This host has installed Cscope and is prone to Multiple Buffer
  Overflow vulnerability

  Vulnerability Insight:
  Error exists when application fails to perform adequate boundary checks in
  putstring function in find.c via a long function name or symbol in a source
  code file.

  Impact:
  Successful exploitation could allow remote attackers to execute arbitrary
  code or can cause stack based buffer overflows.

  Impact Level: Application

  Affected Software/OS:
  Cscope version prior to 15.6

  Fix: Upgrade to Cscope version 15.6
  http://sourceforge.net/projects/cscope

  References:
  http://www.vupen.com/english/advisories/2009/1238
  https://bugzilla.redhat.com/show_bug.cgi?id=499174
  http://cscope.cvs.sourceforge.net/viewvc/cscope/cscope/src/find.c?view=log#rev1.19

  CVSS Score:
    CVSS Base Score     : 9.3 (AV:N/AC:M/Au:NR/C:C/I:C/A:C)
    CVSS Temporal Score : 6.9
  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of Cscope");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Buffer overflow");
  script_dependencies("gb_cscope_detect.nasl");
  script_require_keys("Cscope/Ver");
  exit(0);
}


include("version_func.inc");

cscopeVer = get_kb_item("Cscope/Ver");
if(!cscopeVer){
  exit(0);
}

if(version_is_less(version:cscopeVer, test_version:"15.6")){
  security_hole(0);
}
