###############################################################################
# OpenVAS Vulnerability Test
#
# HP-UX Update for rpc.yppasswdd HPSBUX00242
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(835143);
  script_version("$Revision: 1.0 $");
  script_xref(name: "HPSBUX", value: "00242");
  script_cve_id("");
  script_name(english: "HP-UX Update for rpc.yppasswdd HPSBUX00242");
  desc["english"] = "

  Vulnerability Insight:
  A potential security vulnerability has been identified with HP-UX running 
  rpc.yppasswdd, where the vulnerability may be exploited remotely to create a 
  Denial of Service (DoS) and gain unauthorized access. 

  Impact:
  Remote Denial of Service (DoS)
  unauthorized access

  Affected Software/OS:
  rpc.yppasswdd on
  HP-UX B.10.10, B.10.20, B.11.00, B.11.11, B.11.22 using rpc.yppasswdd. 

  Fix: Please Install the Updated Packages.

  References:
  http://www11.itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c00958271-2

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of rpc.yppasswdd");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"HP-UX Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-hpux.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "HPUX11.00")
{

  if(ishpuxpkgvuln(pkg:"NFS.NIS-SERVER", patch_list:['PHNE_28102'], rls:"HPUX11.00"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.22")
{

  if(ishpuxpkgvuln(pkg:"NFS.NIS-SERVER", patch_list:['PHNE_28138'], rls:"HPUX11.22"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX10.20")
{

  if(ishpuxpkgvuln(pkg:"NFS.NIS-SERVER", patch_list:['PHNE_28886'], rls:"HPUX10.20"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.11")
{

  if(ishpuxpkgvuln(pkg:"NFS.NIS-SERVER", patch_list:['PHNE_28103'], rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}
