###############################################################################
# OpenVAS Vulnerability Test
#
# HP-UX Update for BIND HPSBUX02219
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(835034);
  script_version("$Revision: 1.0 $");
  script_xref(name: "HPSBUX", value: "02219");
  script_cve_id("CVE-2006-4339", "CVE-2007-0493", "CVE-2007-0494");
  script_name(english: "HP-UX Update for BIND HPSBUX02219");
  desc["english"] = "

  Vulnerability Insight:
  Potential vulnerabilities have been identified with HP-UX running BIND. The 
  vulnerabilities could be exploited remotely tocreate a Denial of Service 
  (DoS). 

  Impact:
  Remote Denial of Service (DoS)

  Affected Software/OS:
  BIND on
  HP-UX B.11.11, and B.11.23 running BIND v9.2.0 or BIND v9.3.2. 

  Fix: Please Install the Updated Packages.

  References:
  http://www11.itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c01070495-2

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of BIND");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"HP-UX Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-hpux.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "HPUX11.23")
{

  if(ishpuxpkgvuln(pkg:"InternetSrvcs.INETSVCS2-RUN", patch_list:['PHNE_35920'], rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"BindUpgrade.BIND-UPGRADE", revision:"C.9.3.2.1.0", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"BindUpgrade.BIND2-UPGRADE", revision:"C.9.3.2.1.0", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.11")
{

  if(ishpuxpkgvuln(pkg:"BINDv920.INETSVCS-BIND", revision:"B.11.11.01.009", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"BindUpgrade.BIND-UPGRADE", revision:"C.9.3.2.1.0", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}