###############################################################################
# OpenVAS Vulnerability Test
#
# HP-UX Update for HP Secure Shell HPSBUX02287
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(835082);
  script_version("$Revision: 1.0 $");
  script_xref(name: "HPSBUX", value: "02287");
  script_cve_id("CVE-2007-4752");
  script_name(english: "HP-UX Update for HP Secure Shell HPSBUX02287");
  desc["english"] = "

  Vulnerability Insight:
  A potential security vulnerability has been identified with HP-UX running HP 
  Secure Shell. The vulnerability could be exploited remotely to gain extended 
  privileges. 

  Impact:
  Remotely gain extended privileges

  Affected Software/OS:
  HP Secure Shell on
  HP-UX B.11.11, B.11.23, and B.11.31 running HP Secure Shell 

  Fix: Please Install the Updated Packages.

  References:
  http://www11.itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c01271085-1

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of HP Secure Shell");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"HP-UX Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-hpux.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "HPUX11.31")
{

  if(ishpuxpkgvuln(pkg:"Secure_Shell.SECURE_SHELL", revision:"A.04.70.005", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.23")
{

  if(ishpuxpkgvuln(pkg:"Secure_Shell.SECURE_SHELL", revision:"A.04.70.004", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.11")
{

  if(ishpuxpkgvuln(pkg:"Secure_Shell.SECURE_SHELL", revision:"A.04.70.003", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}
