###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for squid MDKSA-2007:026 (squid)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830190);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKSA", value: "2007:026");
  script_cve_id("CVE-2007-0247", "CVE-2007-0248");
  script_name(english: "Mandriva Update for squid MDKSA-2007:026 (squid)");
  desc["english"] = "

  Vulnerability Insight:

  A vulnerability in squid was discovered that could be remotely
  exploited by using a special ftp:// URL (CVE-2007-0247).
  
  Another Denial of Service vulnerability was discovered in squid 2.6
  that allows remote attackers to crash the server by causing an
  external_acl_queue overload (CVE-2007-0248).
  
  Additionally, a bug in squid 2.6 for max_user_ip handling in ntlm_auth
  has been corrected.
  
  The updated packages have been patched to correct this problem.

  Affected Software/OS:
  squid on Mandriva Linux 2006.0,
  Mandriva Linux 2006.0/X86_64,
  Mandriva Linux 2007.0,
  Mandriva Linux 2007.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-01/msg00040.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of squid");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.0")
{

  if(isrpmvuln(pkg:"squid", rpm:"squid~2.6.STABLE1~4.2mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"squid-cachemgr", rpm:"squid-cachemgr~2.6.STABLE1~4.2mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "MNDK_2006.0")
{

  if(isrpmvuln(pkg:"squid", rpm:"squid~2.5.STABLE10~10.3.20060mdk", rls:"MNDK_2006.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"squid-cachemgr", rpm:"squid-cachemgr~2.5.STABLE10~10.3.20060mdk", rls:"MNDK_2006.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}