###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for php-pear MDKSA-2007:110 (php-pear)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830027);
  script_version("$Revision: 1.0 $");
  script_xref(name: "MDKSA", value: "2007:110");
  script_cve_id("CVE-2007-2519");
  script_name(english: "Mandriva Update for php-pear MDKSA-2007:110 (php-pear)");
  desc["english"] = "

  Vulnerability Insight:

  A security hole was discovered in all versions of the PEAR Installer
  http://pear.php.net/PEAR
  hole found to date in the PEAR Installer, and would allow a malicious
  package to install files anywhere in the filesystem.
  
  The vulnerability only affects users who are installing an
  intentionally created package with a malicious intent.  Because the
  package is easily traced to its source, this is most likely to happen
  if a hacker were to compromise a PEAR channel server and alter a
  package to install a backdoor. In other words, it must be combined
  with other exploits to be a problem.
  
  Updated packages have been patched to prevent this issue.

  Affected Software/OS:
  php-pear on Mandriva Linux 2007.0,
  Mandriva Linux 2007.0/X86_64,
  Mandriva Linux 2007.1,
  Mandriva Linux 2007.1/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2007-06/msg00001.php

  Risk factor: High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the Version of php-pear");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 Intevation GmbH");
  script_family(english:"Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2007.1")
{

  if(isrpmvuln(pkg:"php-pear", rpm:"php-pear~5.2.1~2.1mdv2007.1", rls:"MNDK_2007.1"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "MNDK_2007.0")
{

  if(isrpmvuln(pkg:"php-pear", rpm:"php-pear~5.1.6~1.1mdv2007.0", rls:"MNDK_2007.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}