# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(54760);
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200412-01 (scponly)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200412-01.

rssh and scponly do not filter command-line options that can be exploited
to execute any command, thereby allowing a remote user to completely
bypass the restricted shell.

Solution:
All scponly users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=net-misc/scponly-4.0'

All rssh users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=app-shells/rssh/rssh-2.2.3'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200412-01
http://bugs.gentoo.org/show_bug.cgi?id=72815
http://bugs.gentoo.org/show_bug.cgi?id=72816
http://www.securityfocus.com/archive/1/383046/2004-11-30/2004-12-06/0

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200412-01 (scponly)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"net-misc/scponly", unaffected: make_list("ge 4.0"), vulnerable: make_list("lt 4.0"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"app-shells/rssh", unaffected: make_list("ge 2.2.3"), vulnerable: make_list("le 2.2.2"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
