# OpenVAS Vulnerability Test
# $
# Description: Auto generated from Gentoo's XML based advisory
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2008 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
                                                                                
if(description)
{
 script_id(56727);
 script_bugtraq_id(17857);
 script_cve_id("CVE-2006-2236");
 script_version ("$");
 name["english"] = "Gentoo Security Advisory GLSA 200605-12 (quake)";
 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing updates announced in
advisory GLSA 200605-12.

The Quake 3 engine has a vulnerability that could be exploited to execute
arbitrary code.

Solution:
All Quake 3 users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=games-fps/quake3-bin-1.32c'

All RTCW users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=games-fps/rtcw-1.41b'

All Enemy Territory users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose '>=games-fps/enemy-territory-2.60b'

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20200605-12
http://bugs.gentoo.org/show_bug.cgi?id=132377

Risk factor : Medium";

 script_description(english:desc["english"]);

 summary["english"] = "Gentoo Security Advisory GLSA 200605-12 (quake)";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"Copyright (c) 2006 E-Soft Inc. http://www.securityspace.com");
 family["english"] = "Gentoo Local Security Checks";
 script_family(english:family["english"]);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/gentoo");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-gentoo.inc");
vuln = 0;
if(ispkgvuln(pkg:"games-fps/quake3-bin", unaffected: make_list("ge 1.32c"), vulnerable: make_list("lt 1.32c"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"games-fps/rtcw", unaffected: make_list("ge 1.41b"), vulnerable: make_list("lt 1.41b"))) {
    vuln=1;
}
if(ispkgvuln(pkg:"games-fps/enemy-territory", unaffected: make_list("ge 2.60b"), vulnerable: make_list("lt 2.60b"))) {
    vuln=1;
}

if(vuln) {
    security_hole(0);
}
