###############################################################################
# OpenVAS Vulnerability Test
# $Id: phpmyadmin_cve_2007_5976.nasl 2866 2009-03-21 09:04:15Z mime $
#
# phpMyAdmin DB_Create.PHP Multiple Input Validation Vulnerabilities
#
# Authors:
# Michael Meyer
#
# Copyright:
# Copyright (c) 2009 Michael Meyer
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################


if (description)
{
 script_id(100067);
 script_bugtraq_id(26512);
 script_cve_id("CVE-2007-5976","CVE-2007-5977");
 script_version ("1.0");

 script_name(english:"phpMyAdmin DB_Create.PHP Multiple Input Validation Vulnerabilities");
 desc["english"] = "

 Overview:
  phpMyAdmin is prone to multiple input-validation vulnerabilities, including a
  cross-site scripting and a SQL-injection issue.

  A successful exploit may allow an attacker to steal cookie-based
  authentication credentials, compromise the application, access or modify data,
  or exploit latent vulnerabilities in the underlying database.

  These issues affect versions prior to phpMyAdmin 2.11.2.1. 

 Solution:
  Vendor updates are available. Please see http://www.phpmyadmin.net for more
  Information.

 See also:
  http://www.securityfocus.com/bid/26512

 Risk factor : Medium";

 script_description(english:desc["english"]);
 script_summary(english:"Determine if phpMyAdmin is vulnerable to Multiple Input Validation Vulnerabilities");
 script_category(ACT_GATHER_INFO);
 script_family(english:"Web application abuses");
 script_copyright(english:"This script is Copyright (C) 2009 Michael Meyer");
 script_dependencie("secpod_phpmyadmin_detect_900129.nasl");
 script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");
 exit(0);
}


 include("http_func.inc");
 include("version_func.inc");
  
 port = get_http_port(default:80);

 if(!get_port_state(port))exit(0);
 if(!can_host_php(port:port))exit(0);

 version = eregmatch(pattern:"(.*) under (/.*)", string:get_kb_item("www/" + port + "/phpMyAdmin"));

 if(isnull(version[1]))exit(0); 

   if (version_is_less_equal(version:version[1], test_version:"2.11.1") ) { 
        security_warning(port:port);
	exit(0);
   }

exit(0);

