###############################################################################
# OpenVAS Vulnerability Test
# $Id$
#
# phpMyAdmin Configuration File PHP Code Injection Vulnerability
#
# Authors:
# Michael Meyer
#
# Copyright:
# Copyright (c) 2009 Michael Meyer
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################


if (description)
{
 script_id(100144);
 script_bugtraq_id(34526);
 script_cve_id("CVE-2009-1285");
 script_version ("1.0");

 script_name(english:"phpMyAdmin Configuration File PHP Code Injection Vulnerability");
 desc["english"] = "

 Overview:
  According to its version number, the remote version of phpMyAdmin is
  prone to a remote PHP code-injection vulnerability.

  An attacker can exploit this issue to inject and execute arbitrary
  malicious PHP code in the context of the webserver process. This may
  facilitate a compromise of the application and the underlying
  system; other attacks are also possible.

  phpMyAdmin 3.x versions prior to 3.1.3.2 are vulnerable. 

 Solution:
  Vendor updates are available. Please see http://www.phpmyadmin.net for more
  Information.

 See also:
  http://www.securityfocus.com/bid/34526

 Risk factor : Medium";

 script_description(english:desc["english"]);
 script_summary(english:"Determine if phpMyAdmin is vulnerable to PHP Code Injection");
 script_category(ACT_GATHER_INFO);
 script_family(english:"Web application abuses");
 script_copyright(english:"This script is Copyright (C) 2009 Michael Meyer");
 script_dependencie("secpod_phpmyadmin_detect_900129.nasl");
 script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");
 exit(0);
}


 include("http_func.inc");
 include("version_func.inc");
  
 port = get_http_port(default:80);

 if(!get_port_state(port))exit(0);
 if(!can_host_php(port:port))exit(0);

version = eregmatch(pattern:"(.*) under (/.*)", string:get_kb_item("www/" + port + "/phpMyAdmin"));

if(isnull(version[1]))exit(0); 

   if (version_in_range(version:version[1], test_version:"3", test_version2:"3.1.3.1")) { 
        security_warning(port:port);
	exit(0);
   }

exit(0);

