###############################################################################
# OpenVAS Vulnerability Test
# $Id: secpod_firefox_status_bar_spoof_vuln_lin.nasl 876 2009-01-27 16:45:33Z jan $
#
# Firefox Information Disclosure Vulnerability Jan09 (Linux)
#
# Authors:
# Sujit Ghosal <sghosal@secpod.com>
#
# Copyright:
# Copyright (c) 2009 SecPod, http://www.secpod.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(900449);
  script_version("$Revision: 1.0 $");
  script_cve_id("CVE-2009-5913");
  script_bugtraq_id(33276);
  script_name(english:"Firefox Information Disclosure Vulnerability Jan09 (Linux)");
  desc["english"] = "

  Overview: The host is installed with Mozilla Firefox browser and is prone
  to information disclosure vulnerability.

  Vulnerability Insight:
  The Web Browser fails to properly enforce the same-origin policy, which leads
  to cross-domain information disclosure.

  Impact: Successful exploitation will let the attacker execute arbitrary
  codes in the context of the web browser and can obtain sensitive information
  of the remote user through the web browser.

  Impact Level: Application

  Affected Software/OS:
  Mozilla Firefox version from 2.0 to 3.0.5 on Linux.

  Fix: No solution or patch is available as on 28th January, 2009. Information
  regarding this issue will be updated once the solution details are available.
  For updates refer, http://www.getfirefox.com

  References:
  https://bugzilla.redhat.com/show_bug.cgi?id=480938
  http://www.trusteer.com/files/In-session-phishing-advisory-2.pdf

  CVSS Score:
    CVSS Base Score     : 2.1 (AV:N/AC:H/Au:SI/C:N/I:P/A:N)
    CVSS Temporal Score : 1.8
  Risk factor : Low";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the version of Mozilla Firefox");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2009 SecPod");
  script_family(english:"Web application abuses");
  script_dependencies("gb_firefox_detect_lin.nasl");
  script_require_keys("Firefox/Linux/Ver");
  exit(0);
}


include("version_func.inc");

firefoxVer = get_kb_item("Firefox/Linux/Ver");
if(!firefoxVer){
  exit(0);
}

# Grep for firefox version from 2.0 to 3.0.5.
if(version_in_range(version:firefoxVer, test_version:"2.0",
                                        test_version2:"3.0.5")){
  security_warning(0);
}
