###############################################################################
# OpenVAS Vulnerability Test
# $Id: secpod_opera_mult_vuln_dec08_win.nasl 736 2008-12-22 16:35:18Z dec $
#
# Opera Web Browser Multiple Vulnerabilities - Dec08 (Win)
#
# Authors:
# Chandan S <schandan@secpod.com>
#
# Copyright:
# Copyright (c) 2008 SecPod, http://www.secpod.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(900081);
  script_version("$Revision: 1.0 $");
  script_cve_id("CVE-2008-5679", "CVE-2008-5680", "CVE-2008-5681",
                "CVE-2008-5682", "CVE-2008-5683");
  script_bugtraq_id(32864);
  script_name(english:"Opera Web Browser Multiple Vulnerabilities - Dec08 (Win)");
  desc["english"] = "

  Overview: The host is installed with Opera web browser and is prone to
  multiple Vulnerabilities.

  Vulnerability Insight:
  The flaws are caused due to,
  - a buffer overflow error when handling certain text-area contents.
  - a memory corruption error when processing certain HTML constructs.
  - an input validation error in the feed preview feature when processing URLs.
  - an error in the built-in XSLT templates that incorrectly handle escaped
    content.
  - an error which could be exploited to reveal random data.
  - an error when processing SVG images embedded using img tags.

  Impact:
  Successful remote attack could inject arbitrary code, information disclosure,
  execute java or plugin content and can even crash the application.

  Impact Level: Application

  Affected Software/OS:
  Opera version prior to 9.63 on Windows.

  Fix: Upgrade to Opera 9.63
  http://www.opera.com/download/

  References:
  http://www.opera.com/support/kb/view/920/
  http://www.opera.com/support/kb/view/921/
  http://www.opera.com/support/kb/view/923/
  http://www.opera.com/support/kb/view/924/
  http://www.opera.com/docs/changelogs/windows/963/

  CVSS Score:
    CVSS Base Score     : 9.3 (AV:N/AC:M/Au:NR/C:C/I:C/A:C)
    CVSS Temporal Score : 6.9
  Risk factor : High";

  script_description(english:desc["english"]);
  script_summary(english:"Check for the version of Opera Web Browser");
  script_category(ACT_GATHER_INFO);
  script_copyright(english:"Copyright (C) 2008 SecPod");
  script_family(english:"Buffer overflow");
  script_dependencies("secpod_opera_detection_win_900036.nasl");
  exit(0);
}


include("version_func.inc");

operaVer = get_kb_item("Opera/Win/Version");
if(!operaVer){
  exit(0);
}

if(version_is_less(version:operaVer, test_version:"9.63")){
  security_hole(0);
}
